$(function () {
    var searchObj = new $.hsTools.parseLocationSearch();
    var capitalmode = searchObj.capitalmode || "";
    var bankserial = searchObj.bankserial || "";
    var bankname = searchObj.bankname || "";
    var isSupport = searchObj.isSupport;    //0走SDK,1不走SDK
    var accoValidate = {
        init: function () {
            if (capitalmode == "" || bankserial == "" || bankname == "") {
                alert("开户渠道信息错误!");
            } else {
                accoValidate.events();
                accoValidate.loadBankInfo();//加载银行信息
                accoValidate.queryCrsInfo();
            }
        },
        events: function () {
            $("#revenueIdentification").UISelectField("change", function() {
                if($("#revenueIdentificationId option:selected").val()==0){
                    $("#tableNoResident").hide();
                }else if($("#revenueIdentificationId option:selected").val()==1){
                    $("#tableNoResident").show();
                    if($("#crstaxcauseId option:selected").val()=='B'){
                        // $("#crstaxcauseText").hide();
                        $("#nocrstaxcauseText").show();
                        //$("#crscusttaxnono").hide();
                    }else if($("#crstaxcauseId option:selected").val()=='A'){
                        // $("#crstaxcauseText").show();
                        $("#nocrstaxcauseText").hide();
                        //$("#crscusttaxnono").show();
                    }else if($("#crstaxcauseId option:selected").val()==''){
                        // $("#crstaxcauseText").show();
                        $("#nocrstaxcauseText").hide();
                        //$("#crscusttaxnono").show();
                    }
                }else{
                    $("#tableNoResident").show();
                    if($("#crstaxcauseId option:selected").val()=='B'){
                        // $("#crstaxcauseText").hide();
                        $("#nocrstaxcauseText").show();
                        //$("#crscusttaxnono").hide();
                    }else if($("#crstaxcauseId option:selected").val()=='A'){
                        // $("#crstaxcauseText").show();
                        $("#nocrstaxcauseText").hide();
                        //$("#crscusttaxnono").show();
                    }else if($("#crstaxcauseId option:selected").val()==''){
                        // $("#crstaxcauseText").show();
                        $("#nocrstaxcauseText").hide();
                        //$("#crscusttaxnono").show();
                    }
                }
            });
            $('.list-btn').on('tap',function(){
                if($('.more-box').hasClass('more-show')){
                    $("#crscusttaxno2").attr("name","crstaxcountry");
                    $("#crscusttaxno3").attr("name","crstaxcountry");
                    $('.more-box').removeClass('more-show').slideDown();
                    $('.list-btn').text('收起>>');
                }else {
                    $("#crscusttaxno2").removeAttr("name");
                    $("#crscusttaxno3").removeAttr("name");
                    $('.more-box').addClass('more-show').slideUp();
                    $('.list-btn').text('更多纳税人识别号>>');
                }
                return false;
            });
            $("select[id='crstaxcauseId']").change( function() {
                if($("#crstaxcauseId option:selected").val()=='B'){
                    // $("#crstaxcauseText").hide();
                    $("#nocrstaxcauseText").show();
                    //$("#crscusttaxnono").hide();
                }else if($("#crstaxcauseId option:selected").val()=='A'){
                    // $("#crstaxcauseText").show();
                    $("#nocrstaxcauseText").hide();
                    //$("#crscusttaxnono").show();
                }else if($("#crstaxcauseId option:selected").val()==''){
                    // $("#crstaxcauseText").show();
                    $("#nocrstaxcauseText").hide();
                    //$("#crscusttaxnono").show();
                }
            });
            //选择中文英文切换。
            $("#crschinabircountry").UISelectField("change", function() {
                var nano = $("#nationSel option:selected").val();
                $("#crsebircountry").UISelectField("value", nano);
            });
            //选择中文英文切换。
            $("#crsebircountry").UISelectField("change", function() {
                var ennano = $("#ennationSel option:selected").val();
                $("#crschinabircountry").UISelectField("value", ennano);
            });
            $("#getAuthCode").on("tap", function () {
                    accoValidate.getAuthCode();
            });
            $("#submitBtn").on("tap", function (e) {
                e.preventDefault();
                accoValidate.doSubmit();
            });
        },
        loadBankInfo: function () {//加载银行信息
            $("#bankname").append(bankname);
            if(bankserial=="934"||bankserial=="010"||bankserial=="006"){//邮政，浦发，交行需要这个提示
                $("#reminde").show();
            }
        },
        //查询CRS信息
        queryCrsInfo:function () {
            $.doAjaxCall("account/crs/querycrsinfodict", "",
                accoValidate.rscInfoCallBack);
        },
        //查询CRS信息回调
        rscInfoCallBack:function (jsonResult) {
            console.log("jsonResult="+jsonResult);
            var that = this;
            $.stopLoading();
            if(jsonResult.successful) {
                var $obj = $("#custflagPart");
                var html = doT.template($obj.text(), undefined).call(this,  jsonResult.custflagdict);
                $obj.after(html).remove();

                $obj = $("#ennationPart2");
                html = doT.template($obj.text(), undefined).call(this,  jsonResult.ennationdict);
                $obj.after(html).remove();

                $obj = $("#nationPart");
                html = doT.template($obj.text(), undefined).call(this,  jsonResult.nationdict);
                $obj.after(html).remove();

                $obj = $("#ennationPart");
                html = doT.template($obj.text(), undefined).call(this,  jsonResult.ennationdict);
                $obj.after(html).remove();

                $obj = $("#nationPart2");
                html = doT.template($obj.text(), undefined).call(this,  jsonResult.nationdict);
                $obj.after(html).remove();

                $obj = $("#nationPart3");
                html = doT.template($obj.text(), undefined).call(this,  jsonResult.nationdict);
                $obj.after(html).remove();

                $obj = $("#nationPart4");
                html = doT.template($obj.text(), undefined).call(this,  jsonResult.nationdict);
                $obj.after(html).remove();

                $("#revenueIdentification").UISelectField("value", "0");
                $("#crsecountry").UISelectField("value", "156");
                $("#crschinabircountry").UISelectField("value", "156");
                $("#crsebircountry").UISelectField("value", "156");
                $("#crstaxcountry1").UISelectField("value", "156");
                $("#crstaxcountry2").UISelectField("value", "156");
                $("#crstaxcountry3").UISelectField("value", "156");
            }
        },
        countdown: function () {
            var wait_time = 60; //设置秒数(单位秒)
            $("#getAuthCode").hide();
            $("#authCodeTime").show();
            var i = setInterval(function () {
                wait_time = wait_time - 1;
                if (wait_time == 0) {
                    $("#getAuthCode").show();
                    $("#authCodeTime").hide();
                    clearInterval(i);
                } else {
                    $("#authCodeTime").html(wait_time + "秒");
                }
            }, 1000);
        },
        //获取验证码
        getAuthCode: function () {
            var bankacco = $.trim($("#bankacco").UITextField("value"));
            var mobile = $("#mobile").UITextField("value").trim();
            var identitytype = "0";//$("#identitytype").UISelectField("value");
            var identityno = $("#identityno").UITextField("value").trim();
            var reg = /^(\d{15}|\d{18}|\d{17}[a-zA-Z]{1})$/;
            var handsetReg = /^[1]\d{10}$/;
            var numReg = /^[0-9]*$/;

            if (!numReg.test(bankacco) || bankacco=="") {
                $.doAlert("银行卡号必须为数字！");
                return false;
            }
            if ("" == mobile) {
                $.doAlert("请输入手机号码！");
                return false;
            }
            if (!handsetReg.test(mobile)) {
                $.doAlert("请输入正确的手机号码！");
                return false;
            }
            if ("" == identityno) {
                $.doAlert("请输入证件号码！");
                return false;
            }
            if ("0" == identitytype && !reg.test(identityno)) {
                $.doAlert("请输入正确的身份证号码！");
                return false;
            }

            var data = "identitytype=" + identitytype
                + "&identityno=" + identityno
                + "&mobile=" + mobile
                + "&way=0"
                + "&sendintent=openacco";
            $.startLoading("正在获取...");
            $.doAjaxCall("account/mobile/sendCode", data, accoValidate.sendAuthCodeCallback);
        },
        //验证码返回
        sendAuthCodeCallback: function (jsonResult) {
            $.stopLoading();
            if (jsonResult && jsonResult.successful) {
                $("#authcode").show();
                $.doAlert("手机验证码已发送！请注意查收短信！");
                accoValidate.countdown();
            } else {
                $.stopLoading();
                $.callFailProcess(jsonResult);
            }
        },
        doSubmit: function () {
            if (!accoValidate.validate()) {
                return false;
            }
            var identitytype = "0";//$("#identitytype").UISelectField("value");
            var data = "identitytype=" +  "0"
                + "&identityno=" + $("#identityno").UITextField("value").trim()
                + "&mobile=" + $("#mobile").UITextField("value").trim()
                + "&authcode=" + $("#authcode").UITextField("value").trim()
                + "&bankacco=" + $("#bankacco").UITextField("value").trim()
                + "&bankserial="+ bankserial
                + "&capitalmode="+ capitalmode
               	+ "&custname="+ $("#custname").UITextField("value").trim()
                + "&way=0&sendintent=openacco";
            $.startLoading("正在验证...");
            $.doAjaxCall("account/mobile/validateCode",data,accoValidate.validateSignatureCallback);
        },
        validateSignatureCallback: function (jsonResult) {//身份验证返回
            if (jsonResult &&jsonResult.successful) {
                var bankacco = $.trim($("#bankacco").UITextField("value"));     //银行卡号
                var identityno = $.trim($("#identityno").UITextField("value"));
                var identitytype ="0";
                var capitalmode = "3";
                var mobile = $.trim($("#mobile").UITextField("value"));
                var isvalidopenacco = 0;
                var busintype = "OPENACCO";
                var customerappellation = $.trim($("#custname").UITextField("value"));  //姓名
                var sex = accoValidate.getSexFromCard(identityno);
                var bankserial = searchObj.bankserial;
                var data = "bankacco="+bankacco+"&customerappellation="+customerappellation
                    +"&identitytype="+identitytype+"&identityno="+identityno+"&bankserial="+bankserial
                    +"&capitalmode=3&mobile="+mobile+"&sex="+sex+"&isvalidopenacco=0&busintype=OPENACCO";
                $.startLoading("正在请求...");
                $.doAjaxCall("capital/chinapay/openaccoOrder",data,accoValidate.openaccoOrderCallback);
            } else {
                $.stopLoading();
                $.callFailProcess(jsonResult);
            }
        },
        //银联下单返回
        openaccoOrderCallback : function (jsonResult) {
            if (jsonResult &&jsonResult.successful) {
                var charactercode = jsonResult.orderResult.charactercode;
                //特征码
                var merid = jsonResult.orderResult.merid;//商户号
                var merorderid = jsonResult.orderResult.merorderid;//商户订单号
                var merordertime = jsonResult.orderResult.merordertime;//下单时间
                var sign = jsonResult.orderResult.sign;//签名
                var mobile = $.trim($("#mobile").UITextField("value"));
                //如果isSupport是0,走SDK,不是0,走H5
                if (isSupport == 0 || isSupport == 2){
                    var argv = {
                        "merorderid": merorderid,
                        "merordertime": merordertime,
                        "sign": sign,
                        "charactercode": charactercode,
                        "merid": merid,
                        "mobile": mobile
                    };
                    $.stopLoading();
                    $.hsDo("doCpOpenAccoAuthor", argv);
                }else {
                    var data = "orderid=" + merorderid
                        + "&mobile=" + mobile;
                    var argv = {"title": "开户", "returnpageid": "home", "hidemenubar":"true","leftbuttonstatus":"show"};

                    data=accoValidate.addCrsInfo(data);

                    setTimeout(function(){
                        $.hsOpen("account/account-chinapay-openAcco-form.html?" + data, argv);
                        $.stopLoading();
                    },1000);
                }
            }else {
                $.callFailProcess(jsonResult);
            }
        },
        getSexFromCard: function (identityno) {//从身份中获取性别
            var sex = 0;
            if (identityno.length == 15) {
                sex = identityno.substr(13, 1);
            } else if (identityno.length == 18) {
                sex = identityno.substr(16, 1);
            }
            return (sex % 2).toString();
        },
        validate: function () {//表单验证
            var bankacco = $.trim($("#bankacco").UITextField("value"));
            var mobile = $.trim($("#mobile").UITextField("value"));
            var mobileSecurityCode = $.trim($("#authcode").UITextField("value"));
            var custname = $.trim($("#custname").UITextField("value"));
            var identityno = $.trim($("#identityno").UITextField("value"));
            var numReg = /^\d+$/;
            var mobileReg = /^[1]\d{10}$/;

            if ("" == bankacco) {
                $.doAlert("请输入银行卡号！");
                return false;
            }
            if ("" == custname) {
                $.doAlert("请输入您的真实姓名！");
                return false;
            }
            if ("" == identityno) {
                $.doAlert("请输入您的证件号码！");
                return false;
            }
            if ("" == mobile) {
                $.doAlert("请输入手机号码！");
                return false;
            }
            if ("" == mobileSecurityCode) {
                $.doAlert("请输入手机验证码！");
                return false;
            }
            if (!numReg.test(bankacco)) {
                $.doAlert("银行卡号必须为数字！");
                return false;
            }
            if (!numReg.test(mobile)) {
                $.doAlert("手机号码必须为数字！");
                return false;
            }
            if (!mobileReg.test(mobile)) {
                $.doAlert("请输入正确的手机号码！");
                return false;
            }
            //crs信息校验
            //crs新增校验字段
            var eng_name = $("#eng_name").UITextField("value");
            var eng_last_name = $("#eng_last_name").UITextField("value");
            var crsecountry = $("#crsecountry").UISelectField("value");
            var crseprovince = $("#crseprovince").UITextField("value");
            var crsecity = $("#crsecity").UITextField("value");
            var crschinabircountry = $("#crschinabircountry").UISelectField("value");
            var crschinabirprovince = $("#crschinabirprovince").UITextField("value");
            // var crschinabircity = $("#crschinabircity").UITextField("value");
            var crsebircountry = $("#crsebircountry").UISelectField("value");
            var crsebirprovince = $("#crsebirprovince").UITextField("value");
            // var crsebircity = $("#crsebircity").UITextField("value");
            var crstaxcountry1 = $("#crstaxcountry1").UISelectField("value");
            var crscusttaxno1 = $("#crscusttaxno1").UITextField("value");
            var crstaxcountry2 = $("#crstaxcountry2").UISelectField("value");
            var crscusttaxno2 = $("#crscusttaxno2").UITextField("value");
            var crstaxcountry3 = $("#crstaxcountry3").UISelectField("value");
            var crscusttaxno3 = $("#crscusttaxno3").UITextField("value");
            var no_tax_no_reason = $("#no_tax_no_reason").UISelectField("value");
            var tax_explain = $("#nocrstaxcauseText2").UITextField("value");
            var cust_flag = $("#revenueIdentification").UISelectField("value");

            var eng_nameReg=/^[A-Za-z]+$/;
            var crseReg=/^[A-Za-z\s]+$/;
            var crschinaReg=/^[\u4E00-\u9FA5]{1,10}$/;
            var crsebirReg=/^[A-Za-z\s]+$/;
            var notEmptyReg=/^[\s\S]+$/;

            //细则判断
            if($("#revenueIdentificationId option:selected").val()!=0){
                if(""==eng_name || !eng_nameReg.test(eng_name)){
                    $.UIAlert("请输入正确的姓(英文或拼音)");
                    return false;
                }
                if(""==eng_last_name || !eng_nameReg.test(eng_last_name)){
                    $.UIAlert("请输入正确的名(英文或拼音)");
                    return false;
                }
                if(""==crseprovince || !crseReg.test(crseprovince)){
                    $.UIAlert("请输入正确的联系地址(英文或拼音)");
                    return false;
                }
                if(""==crsecity || !crseReg.test(crsecity)){
                    $.UIAlert("请输入正确的联系地址(英文或拼音)");
                    return false;
                }
                if(""==crschinabirprovince || !crschinaReg.test(crschinabirprovince)){
                    $.UIAlert("请输入正确的出生地(省会)");
                    return false;
                }
                if(""==crsebirprovince || !crsebirReg.test(crsebirprovince)){
                    $.UIAlert("请输入正确的出生地(英文或拼音)");
                    return false;
                }
                if(""==crstaxcountry1 || !notEmptyReg.test(crstaxcountry1)){
                    $.UIAlert("请输入正确的纳税居民国(地区)");
                    return false;
                }
                if($("#crstaxcauseId option:selected").val()=='B'){
                    if(""==tax_explain || !notEmptyReg.test(tax_explain)){
                        $.UIAlert("请输入不能提供的原因");
                        return false;
                    }
                }else if($("#crstaxcauseId option:selected").val()==''){
                    tax_explain=null;
                    if(""==crscusttaxno1 || !notEmptyReg.test(crscusttaxno1)){
                        $.UIAlert("请输入正确的纳税人识别号");
                        return false;
                    }
                }
            }
            return true;
        },
        addCrsInfo:function(data){
            if($("#revenueIdentificationId option:selected").val() ==0){
                data +="&modifycrsinfo=false";
            }else{
                //crs信息
                eng_name = $("#eng_name").UITextField("value");
                eng_last_name = $("#eng_last_name").UITextField("value");
                crsecountry = $("#crsecountry").UISelectField("value");
                crseprovince = $("#crseprovince").UITextField("value");
                crsecity = $("#crsecity").UITextField("value");
                crschinabircountry = $("#crschinabircountry").UISelectField("value");
                crschinabirprovince = $("#crschinabirprovince").UITextField("value");
                // crschinabircity = $("#crschinabircity").UITextField("value");
                crsebircountry = $("#crsebircountry").UISelectField("value");
                crsebirprovince = $("#crsebirprovince").UITextField("value");
                // crsebircity = $("#crsebircity").UITextField("value");
                crstaxcountry1 = $("#crstaxcountry1").UISelectField("value");
                crscusttaxno1 = $("#crscusttaxno1").UITextField("value");
                crstaxcountry2 = $("#crstaxcountry2").UISelectField("value");
                crscusttaxno2 = $("#crscusttaxno2").UITextField("value");
                crstaxcountry3 = $("#crstaxcountry3").UISelectField("value");
                crscusttaxno3 = $("#crscusttaxno3").UITextField("value");
                no_tax_no_reason = $("#no_tax_no_reason").UISelectField("value");
                tax_explain = $("#nocrstaxcauseText2").UITextField("value");
                cust_flag = $("#revenueIdentification").UISelectField("value");

                var json_id;
                var json_belong_id;
                if($('.list-btn').text()=="收起>>"){
                    if(crscusttaxno2!=""){
                        $("#crscusttaxno2").attr("name","crstaxcountry");
                    }else{
                        $("#crscusttaxno2").removeAttr("name");
                    }
                    if(crscusttaxno3!=""){
                        $("#crscusttaxno3").attr("name","crstaxcountry");
                    }else{
                        $("#crscusttaxno3").removeAttr("name");
                    }
                    if(crscusttaxno2=="" && crscusttaxno3!=""){
                        crstaxcountry2 = crstaxcountry3;
                        crscusttaxno2 = crscusttaxno3;
                    }
                }
                var crstaxcountrylist = $('[name=crstaxcountry]');
                var taxlist = new Array();
                var taxinfo1 = {};
                var taxinfo2 = {};
                var taxinfo3 = {};
                json_id = "";
                json_belong_id = "";

                for(var i=0;i<crstaxcountrylist.length;i++){
                    if(i==0){
                        taxinfo1.taxnation=crstaxcountry1;
                        taxinfo1.taxno=crscusttaxno1;
                        taxinfo1.notaxnoreason=no_tax_no_reason;
                        taxinfo1.taxexplain=tax_explain;
                        if(taxinfo1.taxno!=''){
                            taxinfo1.notaxnoreason='';
                            taxinfo1.taxexplain='';
                        }
                        taxinfo1.jsonid=json_id;
                        taxinfo1.jsonbelongid=json_belong_id;
                        taxinfo1.ismaintax="1";
                        taxinfo1.belongtype="1";
                        taxlist.push(taxinfo1);
                    }else if(i==1){
                        taxinfo2.taxnation=crstaxcountry2;
                        taxinfo2.taxno=crscusttaxno2;
                        taxinfo2.notaxnoreason="";
                        taxinfo2.taxexplain="";
                        taxinfo2.jsonid=json_id;
                        taxinfo2.jsonbelongid=json_belong_id;
                        taxinfo2.ismaintax="0";
                        taxinfo2.belongtype="1";
                        taxlist.push(taxinfo2);
                    }else if(i==2){
                        taxinfo3.taxnation=crstaxcountry3;
                        taxinfo3.taxno=crscusttaxno3;
                        taxinfo3.notaxnoreason="";
                        taxinfo3.taxexplain="";
                        taxinfo3.jsonid=json_id;
                        taxinfo3.jsonbelongid=json_belong_id;
                        taxinfo3.ismaintax="0";
                        taxinfo3.belongtype="1";
                        taxlist.push(taxinfo3);
                    }
                }
                var main = {
                    'engname':eng_name,
                    'englastname':eng_last_name,
                    'engcurrentworknation':crsecountry,
                    'engcurrentaddr':crseprovince,
                    'currentaddr':crsecity,
                    'bornnation':crschinabircountry,
                    'homeplace':crschinabirprovince,
                    'engbornnation':crsebircountry,
                    'enghomeplace':crsebirprovince,
                    'cust_flag':cust_flag,
                    'json_id':json_id,
                    'oricustflag':$("#revenueIdentificationId option:selected").val()
                }
                var crsjson = {
                    "main":main,
                    "taxs":taxlist
                }
                data +="&modifycrsinfo=true&crsjson="+JSON.stringify(crsjson);
            }
            return data;
        },
    };
    accoValidate.init();
})
