/**
 * Created by yaoqi on 15/5/20.
 */
$(function() {
    var PwdPage = {
        init: function() {
            PwdPage.events();
        },
        events: function() {
            $("#submitBtn").on("tap", function() {
                var oldpassword = $("#oldpassword").UITextField("value");
                var newpassword1 = $("#newpassword1").UITextField("value");
                var newpassword2 = $("#newpassword2").UITextField("value");
                if(!PwdPage.validate(oldpassword,newpassword1,newpassword2)){
                    return;
                }
                $.startLoading("请稍后...");
                $.doAjaxCall("account/account/modifyPwd","oldpwd="+oldpassword+"&newpwd="+newpassword1+"",function(jsonResult){
                    $.stopLoading("");
                    if(jsonResult && jsonResult.successful){
                        var argv = {"title":"提示", "message":jsonResult.modifypwdResult.message, "jspage":"account-modifyPasswork"};
                        $.hsDo("doAlert",argv);
                    } else {
                        $.callFailProcess(jsonResult);
                    }
                });
            });
        },
        validate: function(oldpassword,newpassword1,newpassword2) {
            if (oldpassword == "") {
                $.doAlert("请输入旧密码！");
                return false;
            } else if (oldpassword.indexOf(" ") >= 0) {
                $.doAlert("旧密码不能含有空格");
                return false;
            }
            if (newpassword1 == "") {
                $.doAlert("请输入新密码！");
                return false;
            } else if (newpassword1.indexOf(" ") >= 0) {
                $.doAlert("新密码不能含有空格");
                return false;
            }
            if (newpassword1 != newpassword2) {
                $.doAlert("两次新密码输入不一致！");
                return false;
            }
            if (newpassword1.length<6 || newpassword1.length > 8){
                $.doAlert("密码长度为6-8位,请重新输入");
                return false;
            }
            if (oldpassword == newpassword1) {
                $.doAlert("新密码和旧密码相同！请重新输入！");
                $("#newpassword1").UITextField("value","");
                $("#newpassword2").UITextField("value","");
                return false;
            }
            return true;
        }
    }
    PwdPage.init();
})