$(function(){
    var riskability = "";
    var pageIndex = {
        init:function(){
            pageIndex.getUserInfo();
            pageIndex.events();
        },
        getUserInfo:function(){
            $.startLoading();
            $.doAjaxCall("account/risk/getModifyRiskForm", "", pageIndex.customerinfoCallback);
        },
        customerinfoCallback: function (jsonResult) {
            if (jsonResult && jsonResult.successful) {
                riskability = jsonResult.riskablility;
                $.stopLoading();
                if (jsonResult.riskablilityStr) {
                    $("#current_result").show()
                    $("#useOriginalRiskAssessment").show()
                    $("#goRiskAssessment").show()
                    $("#current_level").html(jsonResult.riskablilityStr);
                } else {
                    $("#goRiskAssessment").show()

                    $("#risk_welcome").show()
                    $.stopLoading();
                }
            } else {
                $.stopLoading();
                $.callFailProcess(jsonResult);
            }
        },
        events: function () {
            $("#goRiskAssessment").on("tap", function () {
                pageIndex.goRiskAssessment();
            });
            $("#useOriginalRiskAssessment").on("tap", function () {
                pageIndex.useOriginalRiskAssessment();
            });
        },
        goRiskAssessment: function () {
            //var argv = {"title": "风险问卷", "returnpageid": "", "rightbutton": {"title": "取消", "type": "cancel"}};
            //$.hsOpen("account/account-riskAssessment-form.html", argv);
            var argv = {"title":"风险问卷","leftbuttonstatus": "show", "hsnew": "true"};
            argv.securitylevel="login";
            $.hsOpen("account/account-risk.html", argv);
        },
        useOriginalRiskAssessment: function () {
            if (riskability == "") {
                $.doAlert("您还没有做过风险问卷，请选择'进入风险评估'按钮，进行风险评估！");
                return false;
            }else{
                //$.hsDo("finishBack", "");
                var modifydata = "riskability=" + riskability;
                $.startLoading("正在提交...");
                $.doAjaxCall("account/risk/modifyRisk", modifydata, pageIndex.modifyriskCallback)
            }
        },
        modifyriskCallback: function (jsonResult) {
            if (jsonResult && "ETS-5BP00000" == jsonResult.code) {
                $.stopLoading(null);
                var riskablilityStr = jsonResult.riskablilityStr;
                var  messageshow="修改成功！您的风险承受能力为：" + riskablilityStr;
                var argv = {"jsOkMessage": "确定", "jsOkCallback": "$.doBack", "message": messageshow};
                $.hsDo("doConfirm", argv);
            } else {
                $.stopLoading(null);
                $.callFailProcess(jsonResult);
            }
        }

    };
    pageIndex.init();
})
$.extend({
    doBack: function (string) {
        $.hsDo("finishBack", "");
    }
})