$(function () {
    var action = {
        init: function () {
            this.events();
            this.getUserInfo();
        },
        _private: {
            beneficiary:"",
            holdingname:"",
            record:"",//不良记录
            jsresult:null,
            json_id: "",
            taxinfo:"",
            json_belong_id:""
        },
        events: function () {

            $("#modifyVal").UISwitch("change", function (value) {
                if (value == 1) {
                    $("#validdate").UIDateField("value","长期有效");
                } else {
                    var value1 =  $("#validdate").UIDateField("value");
                    if(value1=="长期有效"){
                        $("#validdate").UIDateField("value","");
                        $("#validdate").trigger("tap");
                    }

                }
            });

            //这个控件变化时,判断证件有效期。
            $("#validdate").bind("change", function() {
                var invalidate =  $("#validdate").UIDateField("value");
                if(invalidate != "长期有效"){
                    $("#modifyVal").UISwitch("state","off")
                }
            });

            $("#updateButton").on("tap", function () {
                if (!action.formValidate()) {
                    return;
                }
                var handset = $("#handset").UITextField("value"),
                    email = $("#email").UITextField("value"),
                    communicationaddr = $("#communicationaddr").UITextField("value"),
                    zipcode = $("#zipcode").UITextField("value"),
                    telephone = $("#telephone").UITextField("value"),
                    workcode = $("#workcode").val(),
                    marriage = $("#marriage").val(),
                    educational = $("#educational").val(),
                    annualsalary = $("#annualsalary").val(),
                    investexp = $("#investexp").val(),
                    beneficiary = $("#beneficiary").UITextField("value"),
                    holdingname = $("#holdingname").UITextField("value");
                var birthday = $("#birthday").UIDateField("value");

                var value =  $("#validdate").UIDateField("value");
                var validdate = "";
                if(value=="长期有效"){
                    validdate="99991231"
                }else{
                    value = value.replace(/-/g,'');
                    validdate=value;
                }
                var currentDate = action.getCurrentDate();
                if(validdate==""){
                    $.UIAlert("证件有效期不能为空");
                    return;
                }
                if(validdate<currentDate){
                    $.UIAlert("证件有效期已过期");
                    return;
                }
                birthday = birthday.replace(/-/g,"");
                if ("" == telephone) {
                    telephone = "[ISNULL]";
                }
                var specinfocheck =$("[m-name=specinfocheck]").UICheckBox("value");
                var specinfoStrs;
                if(specinfocheck.length>0){
                    for(var i=0;i<specinfocheck.length;i++){
                        specinfoStrs=specinfoStrs+"|"+specinfocheck[i];
                    }
                    specinfoStrs=specinfoStrs.substring(specinfoStrs.indexOf("|")+1,specinfoStrs.length);
                }else{
                    specinfoStrs="[ISNULL]";
                }
                var data = "handset=" + handset
                    + "&email=" + email
                    + "&communicationaddr=" + communicationaddr
                    + "&zipcode=" + zipcode
                    + "&telephone=" + telephone
                    + "&workcode=" + workcode
                    + "&annualsalary=" + annualsalary
                    + "&investexp=" + investexp
                    + "&marriage=" + marriage
                    + "&educational=" + educational
                    + "&beneficiary=" + beneficiary
                    + "&holdingname=" + holdingname
                    + "&birthday="+birthday
                    + "&specinfo="+specinfoStrs
                    + "&invalidate="+validdate;
                $.startLoading("正在保存...");
                eng_name = $("#eng_name").UITextField("value");
                eng_last_name = $("#eng_last_name").UITextField("value");
                crsecountry = $("#crsecountry").UISelectField("value");
                crseprovince = $("#crseprovince").UITextField("value");
                crsecity = $("#crsecity").UITextField("value");
                crschinabircountry = $("#crschinabircountry").UISelectField("value");
                crschinabirprovince = $("#crschinabirprovince").UITextField("value");
                // crschinabircity = $("#crschinabircity").UITextField("value");
                crsebircountry = $("#crsebircountry").UISelectField("value");
                crsebirprovince = $("#crsebirprovince").UITextField("value");
                // crsebircity = $("#crsebircity").UITextField("value");
                crstaxcountry1 = $("#crstaxcountry1").UISelectField("value");
                crscusttaxno1 = $("#crscusttaxno1").UITextField("value");
                crstaxcountry2 = $("#crstaxcountry2").UISelectField("value");
                crscusttaxno2 = $("#crscusttaxno2").UITextField("value");
                crstaxcountry3 = $("#crstaxcountry3").UISelectField("value");
                crscusttaxno3 = $("#crscusttaxno3").UITextField("value");
                no_tax_no_reason = $("#no_tax_no_reason").UISelectField("value");
                tax_explain = $("#nocrstaxcauseText2").UITextField("value");
                cust_flag = $("#revenueIdentification").UISelectField("value");
                var jsresult = action._private.jsresult;
                var json_id;
                var json_belong_id;
                if(jsresult!=null){
                    json_id = action._private.json_id;
                    json_belong_id = action._private.json_belong_id;
                }
                if($("#revenueIdentificationId option:selected").val()!=0){
                    if($('.list-btn').text()=="收起>>"){
                        if(crscusttaxno2!=""){
                            $("#crscusttaxno2").attr("name","crstaxcountry");
                        }else{
                            $("#crscusttaxno2").removeAttr("name");
                        }
                        if(crscusttaxno3!=""){
                            $("#crscusttaxno3").attr("name","crstaxcountry");
                        }else{
                            $("#crscusttaxno3").removeAttr("name");
                        }
                        if(crscusttaxno2=="" && crscusttaxno3!=""){
                            crstaxcountry2 = crstaxcountry3;
                            crscusttaxno2 = crscusttaxno3;
                        }
                    }
//                  if($("#crstaxcauseId option:selected").val()=='B'){
//                      crscusttaxno1="";
//                  }
                    var crstaxcountrylist = $('[name=crstaxcountry]');
                    var taxlist = new Array();
                    var taxinfo1 = {};
                    var taxinfo2 = {};
                    var taxinfo3 = {};
                    if(jsresult!=null){
                        var taxinfolist = action._private.taxinfo;
                        if(taxinfolist.length>0){//crs修改
                            json_id = action._private.json_id;
                            json_belong_id = action._private.json_belong_id;
                        }else{
                            json_id = "";
                            json_belong_id = ""
                        }
                    }else{
                        json_id = "";
                        json_belong_id = ""
                    }

                    for(var i=0;i<crstaxcountrylist.length;i++){
                        if(i==0){
                            taxinfo1.taxnation=crstaxcountry1;
                            taxinfo1.taxno=crscusttaxno1;
                            taxinfo1.notaxnoreason=no_tax_no_reason;
                            taxinfo1.taxexplain=tax_explain;
                            if(taxinfo1.taxno!=''){
                                taxinfo1.notaxnoreason='';
                                taxinfo1.taxexplain='';
                            }
                            taxinfo1.jsonid=json_id;
                            taxinfo1.jsonbelongid=json_belong_id;
                            taxinfo1.ismaintax="1";
                            taxinfo1.belongtype="1";
                            taxlist.push(taxinfo1);
                        }else if(i==1){
                            taxinfo2.taxnation=crstaxcountry2;
                            taxinfo2.taxno=crscusttaxno2;
                            taxinfo2.notaxnoreason="";
                            taxinfo2.taxexplain="";
                            taxinfo2.jsonid=json_id;
                            taxinfo2.jsonbelongid=json_belong_id;
                            taxinfo2.ismaintax="0";
                            taxinfo2.belongtype="1";
                            taxlist.push(taxinfo2);
                        }else if(i==2){
                            taxinfo3.taxnation=crstaxcountry3;
                            taxinfo3.taxno=crscusttaxno3;
                            taxinfo3.notaxnoreason="";
                            taxinfo3.taxexplain="";
                            taxinfo3.jsonid=json_id;
                            taxinfo3.jsonbelongid=json_belong_id;
                            taxinfo3.ismaintax="0";
                            taxinfo3.belongtype="1";
                            taxlist.push(taxinfo3);
                        }
                    }
                    var main = {
                        'engname':eng_name,
                        'englastname':eng_last_name,
                        'engcurrentworknation':crsecountry,
                        'engcurrentaddr':crseprovince,
                        'currentaddr':crsecity,
                        'bornnation':crschinabircountry,
                        'homeplace':crschinabirprovince,
                        'engbornnation':crsebircountry,
                        'enghomeplace':crsebirprovince,
                        'cust_flag':cust_flag,
                        'json_id':json_id,
                        'oricustflag':$("#revenueIdentificationId option:selected").val()
                    }
                    var crsjson = {
                        "main":main,
                        "taxs":taxlist
                    }
                    var dat = "crsjson="+JSON.stringify(crsjson);
                }

                if($("#revenueIdentificationId option:selected").val()!=0){
                    // $.doAjaxCall("account/account/modifyInfo",data,function (jsonResult) {
                    //     if(jsonResult.successful=="true"){
                    //         $.doAjaxCall("account/crs/addcrsinfo",dat,function (jsResult) {
                    //             if(jsResult.successful=="true"){
                    //                 console.log("修改成功");
                    //             }else {
                    //                 console.log("修改crs失败");
                    //             }
                    //         });
                    //     }else {
                    //         console.log("修改失败");
                    //     }
                    // });
                    $.when(action.modifyAccountInfoForm(data), action.addcrsinfoForm(dat)).done(function (r1, r2) {
                        $.stopLoading();
                        if(r2[0].successful == true && r1[0].successful == true) {
                            // var argv = {"jsOkMessage": "确定", "jsOkCallback": "$.doBack", "message": "账户资料修改成功！"};
                            // $.hsDo("doConfirm", argv);
                            $.UIAlert("账户资料修改成功",function () {
                                $.hsDo("finishBack", "");
                            });
                            // $.doAlert("账户资料修改成功");
                        } else if(r1[0].successful == "false"){
                            $.callFailProcess(r1[0]);
                        }else if(r2[0].successful == "false"){
                            $.callFailProcess(r2[0]);
                        }
                    });
                }else{
                    if(jsresult!=null){
                        var jsonid={
                            "jsonid":json_id
                        }
                        var crsjson={
                            "main":jsonid
                        }
                        var dat = "crsjson="+JSON.stringify(crsjson);
                        $.when(action.modifyAccountInfoForm(data), action.deletecrsinfoForm(dat)).done(function (r1, r2) {
                            $.stopLoading();
                            if(r2[0].successful == true && r1[0].successful == true) {
                                // $.doAlert("账户资料修改成功");
                                // var argv = {"jsOkMessage": "确定", "jsOkCallback": "$.doBack", "message": "账户资料修改成功！"};
                                // $.hsDo("doConfirm", argv);
                                $.UIAlert("账户资料修改成功",function () {
                                    $.hsDo("finishBack", "");
                                });
                            } else if(r1[0].successful == "false"){
                                $.callFailProcess(r1[0]);
                            }else if(r2[0].successful == "false"){
                                $.callFailProcess(r2[0]);
                            }
                        });
                    }else{
                        $.doAjaxCall("account/account/modifyInfo", data, action.modifyCallback);
                    }
                }

                // $.doAjaxCall("account/account/modifyInfo", data, action.modifyCallback);
            });
            $("#revenueIdentification").UISelectField("change", function() {
                if($("#revenueIdentificationId option:selected").val()==0){
                    $("#tableNoResident").hide();
                }else if($("#revenueIdentificationId option:selected").val()==1){
                    $("#tableNoResident").show();
                    if($("#crstaxcauseId option:selected").val()=='B'){
                        // $("#crstaxcauseText").hide();
                        $("#nocrstaxcauseText").show();
                        //$("#crscusttaxnono").hide();
                    }else if($("#crstaxcauseId option:selected").val()=='A'){
                        // $("#crstaxcauseText").show();
                        $("#nocrstaxcauseText").hide();
                        //$("#crscusttaxnono").show();
                    }else if($("#crstaxcauseId option:selected").val()==''){
                        // $("#crstaxcauseText").show();
                        $("#nocrstaxcauseText").hide();
                        //$("#crscusttaxnono").show();
                    }
                }else{
                    $("#tableNoResident").show();
                    if($("#crstaxcauseId option:selected").val()=='B'){
                        // $("#crstaxcauseText").hide();
                        $("#nocrstaxcauseText").show();
                        //$("#crscusttaxnono").hide();
                    }else if($("#crstaxcauseId option:selected").val()=='A'){
                        // $("#crstaxcauseText").show();
                        $("#nocrstaxcauseText").hide();
                        //$("#crscusttaxnono").show();
                    }else if($("#crstaxcauseId option:selected").val()==''){
                        // $("#crstaxcauseText").show();
                        $("#nocrstaxcauseText").hide();
                        //$("#crscusttaxnono").show();
                    }
                }
            });
            $('.list-btn').on('tap',function(){
                if($('.more-box').hasClass('more-show')){
                    $("#crscusttaxno2").attr("name","crstaxcountry");
                    $("#crscusttaxno3").attr("name","crstaxcountry");
                    $('.more-box').removeClass('more-show').slideDown();
                    $('.list-btn').text('收起>>');
                }else {
                    $("#crscusttaxno2").removeAttr("name");
                    $("#crscusttaxno3").removeAttr("name");
                    $('.more-box').addClass('more-show').slideUp();
                    $('.list-btn').text('更多纳税人识别号>>');
                }
                return false;
            });
            $("select[id='crstaxcauseId']").change( function() {
                if($("#crstaxcauseId option:selected").val()=='B'){
                    // $("#crstaxcauseText").hide();
                    $("#nocrstaxcauseText").show();
                    //$("#crscusttaxnono").hide();
                }else if($("#crstaxcauseId option:selected").val()=='A'){
                    // $("#crstaxcauseText").show();
                    $("#nocrstaxcauseText").hide();
                    //$("#crscusttaxnono").show();
                }else if($("#crstaxcauseId option:selected").val()==''){
                    // $("#crstaxcauseText").show();
                    $("#nocrstaxcauseText").hide();
                    //$("#crscusttaxnono").show();
                }
            });
            $("#crschinabircountry").UISelectField("change", function() {
                var nano = $("#nationSel option:selected").val();
                $("#crsebircountry").UISelectField("value", nano);
            });
            $("#crsebircountry").UISelectField("change", function() {
                var ennano = $("#ennationSel option:selected").val();
                $("#crschinabircountry").UISelectField("value", ennano);
            });
        },
        modifyCallback: function (jsonResult) {
            $.stopLoading();
            if (jsonResult.successful) {
                // var argv = {"jsOkMessage": "确定", "jsOkCallback": "$.doBack", "message": "账户资料修改成功！"};
                // $.hsDo("doConfirm", argv);
                $.UIAlert("账户资料修改成功",function () {
                    $.hsDo("finishBack", "");
                });
            } else {
                $.callFailProcess(jsonResult);
            }
        },
        modifyAccountInfoForm: function(data) {
            return 	$.doAjaxCall("account/account/modifyInfo", data, function(jsonResult) {});
            // $.doAjaxCall("account/account/modifyInfo", data, action.modifyCallback);
        },
        addcrsinfoForm: function(dat) {
            return 	$.doAjaxCall("account/crs/addcrsinfo", dat,  function(jsonResult){});
        },
        deletecrsinfoForm: function(dat2) {
            return 	$.doAjaxCall("account/crs/deletecrsinfo", dat2,   function(jsonResult){});
        },
        getUserInfo: function () {
            $.doAjaxCall("atomicquery/account/logininfo", "", function(jsonResult){
                if (jsonResult.successful) {
                    var results = jsonResult.result;
                    $("#customerappellation").html(results.customerappellation);
                    if (results.idtype == "0") {
                        $("#idtype").text("身份证");
                    } else if (results.idtype == "1") {
                        $("#idtype").text("中国护照");
                    } else if (results.idtype == "2") {
                        $("#idtype").text("军官证 ");
                    } else if (results.idtype == "3") {
                        $("#idtype").text("士兵证 ");
                    } else if (results.idtype == "5") {
                        $("#idtype").text("出生证/户口本 ");
                    } else if (results.idtype == "7") {
                        $("#idtype").text("	其他 ");
                    }
                    $("#idno").html(results.idno);
                    if(results.birthday){
                        birthday =  results.birthday.substr(0,4)+"-"+results.birthday.substr(4,2)+"-"+results.birthday.substr(6,2);
                    }else{
                        birthday = results.idtype=="0"?action.getBirthdayFromCard(results.idno):"";
                    }
                    if(birthday!=""){
                        $("#birthday").UIDateField("value", birthday);
                    }
                    $("#handset").UITextField("value", results.handset);
                    $("#telephone").UITextField("value", results.telephone);
                    $("#email").UITextField("value", results.email);
                    $("#communicationaddr").UITextField("value", results.communicationaddr);
                    $("#zipcode").UITextField("value", results.zipcode);
                    $("#marriage").val(results.marriage);
                    $("#educational").val(results.educational);
                    $("#workcode").val(results.workcode);
                    $("#annualsalary").val(results.annualsalary);
                    $("#investexp").val(results.investexp);
                    $("#beneficiary").UITextField("value", results.beneficiary|| results.customerappellation);
                    $("#holdingname").UITextField("value", results.holdingname|| results.customerappellation);

                    if(jsonResult.result.invalidate=="99991231"||jsonResult.result.invalidate==null||jsonResult.result.invalidate=="23591231"){
                        invalidate="长期有效";
                        $("#validdate").UIDateField("value",invalidate);
                    }else{
                        var str=jsonResult.result.invalidate;
                        invalidate=str.substr(0,4)+"-"+str.substr(4,2)+"-"+str.substr(6,2);
                        $("#validdate").UIDateField("value",invalidate);
                        $("#modifyVal").UISwitch("state","off")
                    }

                    var specinfos=jsonResult.result.specinfo.split("|");

                    if(specinfos.length>0){

                        for(var j=0;j<jsonResult.specinfoResult.length;j++){
                            for(var i=0;i<specinfos.length;i++){
                                if(specinfos[i]==jsonResult.specinfoResult[j].key){
                                    jsonResult.specinfoResult[j].check=true;
                                    break;
                                }
                            }
                        }
                    }

                    $.doTemplate("specinfo-form", jsonResult.specinfoResult);
                    $("[m-role='UICheckBox']").UICheckBox();

                    $.doAjaxCall("account/crs/querycrsinfo", "",
                        action.rscInfoCallBack);
                }
            });
        },
        rscInfoCallBack:function (jsonResult) {
            var that = this;
            $.stopLoading();
            if(jsonResult.successful) {
                var $obj = $("#custflagPart");
                var html = doT.template($obj.text(), undefined).call(this,  jsonResult.custflagdict);
                $obj.after(html).remove();

                $obj = $("#ennationPart2");
                html = doT.template($obj.text(), undefined).call(this,  jsonResult.ennationdict);
                $obj.after(html).remove();

                $obj = $("#nationPart");
                html = doT.template($obj.text(), undefined).call(this,  jsonResult.nationdict);
                $obj.after(html).remove();

                $obj = $("#ennationPart");
                html = doT.template($obj.text(), undefined).call(this,  jsonResult.ennationdict);
                $obj.after(html).remove();

                $obj = $("#nationPart2");
                html = doT.template($obj.text(), undefined).call(this,  jsonResult.nationdict);
                $obj.after(html).remove();

                $obj = $("#nationPart3");
                html = doT.template($obj.text(), undefined).call(this,  jsonResult.nationdict);
                $obj.after(html).remove();

                $obj = $("#nationPart4");
                html = doT.template($obj.text(), undefined).call(this,  jsonResult.nationdict);
                $obj.after(html).remove();

                $("#revenueIdentification").UISelectField("value", "0");
                action._private.jsresult=jsonResult.result;
                if(jsonResult.result!=null){
                    action._private.json_id=jsonResult.result.jsonid;
                    action._private.taxinfo=jsonResult.result.taxinfo;
                    if(jsonResult.result.taxinfo.length>0){
                        $("#eng_name").find("input").val(jsonResult.result.engname);
                        $("#eng_last_name").find("input").val(jsonResult.result.englastname);
                        if(jsonResult.result.engcurrentworknation && jsonResult.result.engcurrentworknation != "") {
                            $("#crsecountry").UISelectField("value", jsonResult.result.engcurrentworknation);
                        } else {
                            $("#crsecountry").UISelectField("value", "156");
                        }
                        $("#crseprovince").find("input").val(jsonResult.result.engcurrentaddr);
                        $("#crsecity").find("input").val(jsonResult.result.currentaddr);
                        if(jsonResult.result.bornnation && jsonResult.result.bornnation != "") {
                            $("#crschinabircountry").UISelectField("value", jsonResult.result.bornnation);
                        } else {
                            $("#crschinabircountry").UISelectField("value", "156");
                        }
                        $("#crschinabirprovince").find("input").val(jsonResult.result.homeplace);
                        if(jsonResult.result.engbornnation && jsonResult.result.engbornnation != "") {
                            $("#crsebircountry").UISelectField("value", jsonResult.result.engbornnation);
                        } else {
                            $("#crsebircountry").UISelectField("value", "156");
                        }
                        $("#crsebirprovince").find("input").val(jsonResult.result.enghomeplace);

                        if(jsonResult.result.oricustflag && jsonResult.result.oricustflag != "") {
                            $("#revenueIdentification").UISelectField("value", jsonResult.result.oricustflag);
                        } else {
                            $("#revenueIdentification").UISelectField("value", "0");
                        }
                        if(jsonResult.result.oricustflag=='0'){
                            $("#tableNoResident").hide();
                        }else{
                            $("#tableNoResident").show();
                        }

                        action._private.json_belong_id=jsonResult.result.taxinfo[0].jsonbelongid;
                        var b = 1;
                        for(var a=0;a<jsonResult.result.taxinfo.length;a++){
                            b = a+1;
                            if(jsonResult.result.taxinfo[a].taxnation && jsonResult.result.taxinfo[a].taxnation != "") {
                                $("#crstaxcountry"+b).UISelectField("value", jsonResult.result.taxinfo[a].taxnation);
                            } else {
                                $("#crstaxcountry"+b).UISelectField("value", "156");
                            }
                            $("#crscusttaxno"+b).find("input").val(jsonResult.result.taxinfo[a].taxno);
                        }
                        $("#crscusttaxno1").find("input").val(jsonResult.result.taxinfo[0].taxno);
                        if(jsonResult.result.taxinfo[0].notaxnoreason && jsonResult.result.taxinfo[0].notaxnoreason != "") {
                            $("#no_tax_no_reason").UISelectField("value", jsonResult.result.taxinfo[0].notaxnoreason);
                            if(jsonResult.result.taxinfo[0].notaxnoreason == 'B'){
                                $("#nocrstaxcauseText2").find("input").val(jsonResult.result.taxinfo[0].taxexplain);
                                $("#nocrstaxcauseText").show();
                            }
                            $("#crscusttaxnono").show();
                        } else {
                            $("#no_tax_no_reason").UISelectField("value", "");
                            $("#nocrstaxcauseText").hide();
                            $("#crscusttaxnono").show();
                        }
                        if(jsonResult.result.taxinfo.length>1){
                            $('.more-box').removeClass('more-show').slideDown();
                            $('.list-btn').text('收起>>');
                        }
                    }
                }else{
                    action._private.json_id="";
                    $("#crsecountry").UISelectField("value", "156");
                    $("#crschinabircountry").UISelectField("value", "156");
                    $("#crsebircountry").UISelectField("value", "156");
                    $("#crstaxcountry1").UISelectField("value", "156");
                    $("#crstaxcountry2").UISelectField("value", "156");
                    $("#crstaxcountry3").UISelectField("value", "156");
                }


            }
        },
	getCurrentDate : function () {
            var now = new Date();
            var myyear = now.getFullYear();
            var mymonth = now.getMonth() + 1;
            var myweekday = now.getDate();
            if(mymonth < 10){
                mymonth = "0" + mymonth;
            }
            if(myweekday < 10){
                myweekday = "0" + myweekday;
            }
            return (myyear +""+ mymonth+"" + myweekday);
        },
        getBirthdayFromCard:function (identityno){
            var year;
            var month;
            var day;
            if(identityno.length==15){
                year = "19"+identityno.substr(6,2);
                month = identityno.substr(8,2);
                day= identityno.substr(10,2);
            }else if(identityno.length==18){
                year = identityno.substr(6,4);
                month = identityno.substr(10,2);
                day= identityno.substr(12,2);
            }
            return year+"-"+month+"-"+day;
        },
        formValidate: function () {
            var handset = $("#handset").UITextField("value");
            var email = $("#email").UITextField("value");
            var communicationaddr = $("#communicationaddr").UITextField("value");
            var telephone = $("#telephone").UITextField("value");
            var zipcode = $("#zipcode").UITextField("value");
            var workcode = $("#workcode").val();
            var educational = $("#educational").val();
            var beneficiary = $("#beneficiary").UITextField("value");
            var holdingname = $("#holdingname").UITextField("value");
            var emailReg = /^([a-zA-Z0-9]+[_|\_|\.-]?)*[a-zA-Z0-9]+@([a-zA-Z0-9]+[_|\_|\.-]?)*[a-zA-Z0-9]+\.[a-zA-Z]{2,3}$/;
            var handsetReg = /^[0-9]{11}$/;
            var zipcodeReg = /^[0-9]{6}$/;
            var telephoneReg = /(^(\(\d{3,4}\)|\d{3,4}-)?\d{7,8}$)|(^\d{10,12}$)/;
            var birthday = $("#birthday").UIDateField("value");
            if(birthday==""){
                $.UIAlert("请选择出生日期");
                return false;
            }
            if ("" == handset || !handsetReg.test(handset)) {
                $.UIAlert("请正确填写您的手机号!");
                return false;
            }
            // if ("" != telephone && !telephoneReg.test(telephone)) {
            //     $.UIAlert("请填写正确的电话号码，如xxx-12345678，(xxx)1234567。");
            //     return false;
            // }
            if ("" != email && !emailReg.test(email)) {
                $.UIAlert("请填写有效的Email地址!");
                return false;
            }
            if ("" == communicationaddr) {
                $.UIAlert("请填写您的通信地址!");
                return false;
            }
            if ("" == zipcode || !zipcodeReg.test(zipcode)) {
                $.UIAlert("请正确填写您的邮政编码!");
                return false;
            }
            if ("" == workcode) {
                $.UIAlert("请选择您的职业!");
                return false;
            }
            if (beneficiary == "") {
                $.UIAlert("请填写账户实际受益人");
                return false;
            }
            if (holdingname == "") {
                $.UIAlert("请填写账户实际控制人");
                return false;
            }
            //crs信息校验
            //crs新增校验字段
            var eng_name = $("#eng_name").UITextField("value");
            var eng_last_name = $("#eng_last_name").UITextField("value");
            var crsecountry = $("#crsecountry").UISelectField("value");
            var crseprovince = $("#crseprovince").UITextField("value");
            var crsecity = $("#crsecity").UITextField("value");
            var crschinabircountry = $("#crschinabircountry").UISelectField("value");
            var crschinabirprovince = $("#crschinabirprovince").UITextField("value");
            // var crschinabircity = $("#crschinabircity").UITextField("value");
            var crsebircountry = $("#crsebircountry").UISelectField("value");
            var crsebirprovince = $("#crsebirprovince").UITextField("value");
            // var crsebircity = $("#crsebircity").UITextField("value");
            var crstaxcountry1 = $("#crstaxcountry1").UISelectField("value");
            var crscusttaxno1 = $("#crscusttaxno1").UITextField("value");
            var crstaxcountry2 = $("#crstaxcountry2").UISelectField("value");
            var crscusttaxno2 = $("#crscusttaxno2").UITextField("value");
            var crstaxcountry3 = $("#crstaxcountry3").UISelectField("value");
            var crscusttaxno3 = $("#crscusttaxno3").UITextField("value");
            var no_tax_no_reason = $("#no_tax_no_reason").UISelectField("value");
            var tax_explain = $("#nocrstaxcauseText2").UITextField("value");
            var cust_flag = $("#revenueIdentification").UISelectField("value");

            var eng_nameReg=/^[A-Za-z]+$/;
            var crseReg=/^[A-Za-z\s]+$/;
            var crschinaReg=/^[\u4E00-\u9FA5]{1,10}$/;
            var crsebirReg=/^[A-Za-z\s]+$/;
            var notEmptyReg=/^[\s\S]+$/;

            //细则判断
            if($("#revenueIdentificationId option:selected").val()!=0){
                if(""==eng_name || !eng_nameReg.test(eng_name)){
                    $.UIAlert("请输入正确的姓(英文或拼音)");
                    return false;
                }
                if(""==eng_last_name || !eng_nameReg.test(eng_last_name)){
                    $.UIAlert("请输入正确的名(英文或拼音)");
                    return false;
                }
                if(""==crseprovince || !crseReg.test(crseprovince)){
                    $.UIAlert("请输入正确的联系地址(英文或拼音)");
                    return false;
                }
                if(""==crsecity || !crseReg.test(crsecity)){
                    $.UIAlert("请输入正确的联系地址(英文或拼音)");
                    return false;
                }
                if(""==crschinabirprovince || !crschinaReg.test(crschinabirprovince)){
                    $.UIAlert("请输入正确的出生地(省会)");
                    return false;
                }
                if(""==crsebirprovince || !crsebirReg.test(crsebirprovince)){
                    $.UIAlert("请输入正确的出生地(英文或拼音)");
                    return false;
                }
                if(""==crstaxcountry1 || !notEmptyReg.test(crstaxcountry1)){
                    $.UIAlert("请输入正确的纳税居民国(地区)");
                    return false;
                }
                if($("#crstaxcauseId option:selected").val()=='B'){
                    if(""==tax_explain || !notEmptyReg.test(tax_explain)){
                        $.UIAlert("请输入不能提供的原因");
                        return false;
                    }
                }else if($("#crstaxcauseId option:selected").val()==''){
                    tax_explain=null;
                    if(""==crscusttaxno1 || !notEmptyReg.test(crscusttaxno1)){
                        $.UIAlert("请输入正确的纳税人识别号");
                        return false;
                    }
                }
            }
            var checkContract2 = $("#checkContract2").UICheckBox("value");
            if (checkContract2 != "yes2") {
                $.UIPopup("请勾选信息确认提示框!");
                return false;
            }
            return true;
        }
    }
    action.init();
})
$.extend({
    doBack: function (string) {
        $.hsDo("finishBack", "");
    }
})