﻿$(function () {
    var searchObj = new $.hsTools.parseLocationSearch();
    var projectCode = searchObj.projectCode;
    var projectName = searchObj.projectName;
    var repeatBook = searchObj.repeatBooking;
    var fundScale = searchObj.fundScale;
    var maxbala = searchObj.maxbala;
    var minbala = searchObj.minbala;
    var memo = searchObj.memo;
    var sex = 1;
    var productAppointment = {
        init: function () {
            productAppointment.events();
            $("#valicodeImg").attr("src","http://www.ydamc.com/consult-web/servlet/Image.do?"+new Date().getTime());
             //$("#valicodeImg").attr("src","http://114.251.93.37:7127/consult-web/servlet/Image.do?"+new Date().getTime());
            $.doAjaxCall("account/account/getModifyInfoForm", "", productAppointment.accountInfoCallBack);
            $.startLoading("正在加载...");
        },
        accountInfoCallBack: function(jsonResult){
            if(jsonResult && jsonResult.successful){
                var userInfo = jsonResult.userInfo;
                $.stopLoading();
                $("#customerappellation").html(userInfo.customerappellation);
  
                var i = jsonResult.maskIdNo.length;
                sex = jsonResult.maskIdNo.substr(i-2,1);
                $("#handset").html(userInfo.handset);
                $("#email").html(userInfo.email);
                $("#communicationaddr").html(userInfo.communicationaddr);
            } else {
                $.callFailProcess(jsonResult);
            }
        },
        events: function () {
            $("#submitBtn").on("tap",function(){
                var userName = $("#customerappellation").html();
//                var sex = $("#sex").html();
                var telephone = $("#handset").html();
                var email = $("#email").html();
                var city = $("#communicationaddr").html();
                var investmentType = $("#investmentType").UISelectField("value");
                var applyMoney = $("#applyMoney").UITextField("value");
                //var accountType = $("#accountType").UISelectField("value");
                //var type = $("#appointmentType").UISelectField("value");
                var valiCode = $("#valiCode").UITextField("value");
                if (parseInt(applyMoney) > parseInt(fundScale)){
                    $.doAlert("您预约的金额已超过产品剩余限额，请重新预约!");
                    return;
                }
                
                if(maxbala.length == 0)
                {
                    maxbala = 0;
                }
                if(minbala.length == 0)
                {
                    minbala = 0;
                }
                
                if (parseInt(maxbala) <= parseInt(minbala))
                {
                    maxbala = minbala;
                    if(parseInt(applyMoney) < parseInt(maxbala)){
                        $.doAlert("预约金额必须大于等于"+maxbala+"万");
                        return;
                    }
                }else{
                    if (parseInt(applyMoney) > parseInt(maxbala) || parseInt(applyMoney)< parseInt(minbala) || applyMoney.length == 0){
                        $.doAlert("预约金额需要在"+minbala+"万-"+maxbala+"万之间!");
                        return;
                    }
                }
                if (parseFloat(applyMoney)%parseInt(memo) != 0){
                    $.doAlert("预约金额需要是预约限制金额"+memo+"万的整数倍");
                    return;
                }
                if (valiCode.length == 0){
                    $.doAlert("验证码不能为空!");
                    return;
                }

                    $.startLoading();
                    var data = "userName="+userName+"&sex="+sex+"&telephone="+telephone+"&email="+email+"&city="+city+"&investmentType="+investmentType+"&accountType=1"+"&type=0"+"&valiCode="+valiCode+"&remark="+applyMoney+"&repeatBooking="+repeatBook+"&fundcode="+projectCode+"&fundacco="+telephone+"&orgName="+projectCode+"&message="+projectName;

//                    var beforeMD5 = "111111city"+city+"email"+email+"formatjsonfundacco"+telephone+"fundcode"+projectCode+"investmentType"+investmentType+"meridSINArepeatBooking"+repeatBook+"sex"+sex+"signmodemd5telephone"+telephone+"type0userName"+userName+"versionV1.0111111";
//                    var afterMD5 = hex_md5(beforeMD5);
//                    var data = "city="+city+"&email="+email+"&format=json&fundacco="+telephone+"&fundcode="+projectCode+"&investmentType="+investmentType+"&merid=SINA&repeatBooking="+repeatBook+"&sex="+sex+"&signmode=md5&telephone="+telephone+"&type=0&userName="+userName+"&version=V1.0&signmsg="+afterMD5;
                               
                    $.ajax({
                        url:"",
                       url:"http://www.ydamc.com/consult-web/consultJSON/jsonadd",
                            //url:"http://114.251.93.37:7127/consult-web/consultJSON/jsonadd",
//                           url:"http://website.hundsun.com/webapi/restful/webapps/addConsult",
                        type:"post",
                        dataType:"jsonp",
                        jsonp:"call",
                        jsonpCallback:"ss",
                        data:data,
                        timeout:200000,
                        error:function(){
                            $.stopLoading();
                        },
                        success:function(jsonResult){
                           
                            $.stopLoading();
                            if(jsonResult.resultCode == 999){
                                var argv = {"title":"提示", "message":jsonResult.resultInfo, "jspage":"appointmentSuccess"};
                                $.hsDo("doAlert",argv);
                            }else{
                                $.doAlert(jsonResult.resultInfo);
                             $("#valicodeImg").attr("src","http://www.ydamc.com/consult-web/servlet/Image.do?"+new Date().getTime());
                                 //$("#valicodeImg").attr("src","http://114.251.93.37:7127/consult-web/servlet/Image.do?"+new Date().getTime());
                            }
                        }
                    })
//                }
            });


            $("#valicodeImg").on("tap",function(){
               $("#valicodeImg").attr("src","http://www.ydamc.com/consult-web/servlet/Image.do?"+new Date().getTime());
                 //$("#valicodeImg").attr("src","http://114.251.93.37:7127/consult-web/servlet/Image.do?"+new Date().getTime());
            });
        },


//        formatPhone : function(phone){
//            if(phone.length == 0){
//                $.doAlert("手机号码不能为空!");
//                return false;
//            }
//            var reg = /^0?1[3|4|5|8][0-9]\d{8}$/;
//            if(!reg.test(phone)){
//                $.doAlert("手机号码格式不对!");
//                return false;
//            }else{
//                return true;
//            }
//        },

//        formatEmail : function(email){
//            if(email.length == 0){
//                $.doAlert("邮箱不能为空!");
//                return false;
//            }
//            var reg = /^([a-zA-Z0-9]+[_|\_|\.]?)*[a-zA-Z0-9]+@([a-zA-Z0-9]+[_|\_|\.]?)*[a-zA-Z0-9]+\.[a-zA-Z]{2,3}$/;
//            if(!reg.test(email)){
//                $.doAlert("邮箱格式不对!");
//                return false;
//            }else{
//                return true;
//            }
//        }

    };
    productAppointment.init();
})


