$(function () {
    var pageHome = {
        init: function () {
            $.startLoading("正在加载,请稍候...");
            pageHome.events();
            pageHome.packForm();
        },
        events: function () {
            $("#table").on("tap", "div[id^='funddiv']", function () {
                var fundcode = $(this).attr("m-value");
                var fundtype = $(this).attr("fundtype");
                var fundflag = ("2"==fundtype||"9"==fundtype)?"1":"0";
                $.hsDo("doOpenDetailPage", {"fundcode" : fundcode,"fundflag":fundflag});
            });
            $("#reserve").on("tap",function(){
                var argv = {"title":"专属理财产品","hsnew":"true","leftbuttonstatus":"show"};
                argv.securitylevel = "login";
                $.hsOpen("discoverinvestment/product-reserve.html",argv);
            });
        },
        packForm: function () {
            $.doAjaxCall("account/main/main", "", function (jsonResult) {
                if (jsonResult && jsonResult.successful) {
                    var htmlStr = "";
                    var list = jsonResult.recommendFundList;
                    for (var i = 0; i < list.length; i++) {
                        var item = list[i];
                        if("2"==item.fundtype||"9"==item.fundtype){
                            htmlStr += "<div m-role=\"cell\" m-mode=\"y\" class=\"e-p-item e-hot-item\" id=\"funddiv" + i + "\" fundtype=\"" + item.fundtype + "\" m-value=\"" + item.fundcode + "\">" +
                                "<div m-role=\"cell\" m-mode=\"x-equal\" m-margin=\"1 0 1 0\">" +
                                "<div m-role=\"cell\" m-mode=\"y\" m-flex=\"2\" m-padding=\"0 0 0 1\" class=\"e-m-b-border\">" +
                                "<div m-role=\"cell\" m-mode=\"x\" class=\" m-font-big m-font-bold\" m-margin=\"0 0 1 0\" m-padding=\"1 0 1 0\">" +
                                "<div m-role=\"cell\" class=\"e-p-title\">" + item.fundname + "</div>" +
                                "<div m-role=\"cell\" m-layout=\"fit\"></div>" +
                                "</div>" +
                                "<div m-margin=\"1 0 1 0\" class=\"m-font-small\">" +
                                "七日年化:<span class=\"m-color-7\" m-margin=\"0 1 0 1\">" + item.incomeratio + "</span>" +
                                "</div>" +
                                "<div m-margin=\"1 0 1 0\" class=\"m-font-small\">" +
                                "万份收益:<span class=\"m-color-7\" m-margin=\"0 1 0 1\">" + item.hfincomeratio + "</span>" +
                                "</div>" +
                                "</div>" +
                                "<div m-role=\"cell\" m-align=\"right\" m-valign=\"bottom\">" +
                                "<div class=\"e-syb-cart\"></div>" +
                                "</div>" +
                                "</div>" +
                                "<div m-padding=\"0 1 1 1\" class=\"m-color-4\">" + "现金宝货币基金" + "</div>" +
                                    //"<div m-role=\"cell\" class=\"e-p-bottom\">" +
                                    //"起售金额 <span class=\"m-color-8\">" + item.sndMinValue + "元</span>" +
                                    //"</div>" +
                                "</div>";
                        }else{
                            htmlStr += "<div m-role=\"cell\" m-mode=\"y\" class=\"e-p-item e-hot-item\" id=\"funddiv" + i + "\" fundtype=\"" + item.fundtype + "\" m-value=\"" + item.fundcode + "\">" +
                                "<div m-role=\"cell\" m-mode=\"x-equal\" m-margin=\"1 0 1 0\">" +
                                "<div m-role=\"cell\" m-mode=\"y\" m-flex=\"2\" m-padding=\"0 0 0 1\" class=\"e-m-b-border\">" +
                                "<div m-role=\"cell\" m-mode=\"x\" class=\" m-font-big m-font-bold\" m-margin=\"0 0 1 0\" m-padding=\"1 0 1 0\">" +
                                "<div m-role=\"cell\" class=\"e-p-title\">" + item.fundname + "</div>" +
                                "<div m-role=\"cell\" m-layout=\"fit\"></div>" +
                                "</div>" +
                                "<div m-margin=\"1 0 1 0\" class=\"m-font-small\">";
                                if(parseFloat(item.pernetvalue) > 0){
                                    htmlStr+= "最新净值:<span class=\"m-color-7\" m-margin=\"0 1 0 1\">" + item.pernetvalue + "</span>" +
                                        "</div>" +
                                        "<div m-margin=\"1 0 1 0\" class=\"m-font-small\">";
                                }else if(parseFloat(item.pernetvalue) < 0){
                                    htmlStr += "最新净值:<span class=\"m-color-11\" m-margin=\"0 1 0 1\">" + item.pernetvalue + "</span>" +
                                    "</div>" +
                                    "<div m-margin=\"1 0 1 0\" class=\"m-font-small\">";
                                }else{
                                    htmlStr += "最新净值:<span class=\"m-color-3\" m-margin=\"0 1 0 1\">" + item.pernetvalue + "</span>" +
                                        "</div>" +
                                        "<div m-margin=\"1 0 1 0\" class=\"m-font-small\">";
                                }
                                if(parseFloat(item.seasonhinc) > 0){
                                    htmlStr += "近三个月:<span class=\"m-color-7\" m-margin=\"0 1 0 1\">" + item.seasonhinc + "</span>" +
                                        "<span m-margin=\"0 0 0 1\">";
                                }else if(parseFloat(item.seasonhinc) < 0){
                                    htmlStr += "近三个月:<span class=\"m-color-11\" m-margin=\"0 1 0 1\">" + item.seasonhinc + "</span>" +
                                        "<span m-margin=\"0 0 0 1\">";
                                }else{
                                    htmlStr += "近三个月:<span class=\"m-color-3\" m-margin=\"0 1 0 1\">" + item.seasonhinc + "</span>" +
                                        "<span m-margin=\"0 0 0 1\">";
                                }
                                if(parseFloat(item.thisyearinc) > 0){
                                    htmlStr += "今年以来:<span class=\"m-color-7\" m-margin=\"0 1 0 1\">" + item.thisyearinc + "</span></span>";
                                }else if(parseFloat(item.thisyearinc <0 )){
                                    htmlStr += "今年以来:<span class=\"m-color-11\" m-margin=\"0 1 0 1\">" + item.thisyearinc + "</span></span>";
                                }else{
                                    htmlStr += "今年以来:<span class=\"m-color-7\" m-margin=\"0 1 0 1\">" + item.thisyearinc + "</span></span>";
                                }


                                htmlStr += "</div>" +
                                "</div>" +
                                "<div m-role=\"cell\" m-align=\"right\" m-valign=\"bottom\">" +
                                "<div class=\"e-syb-cart\"></div>" +
                                "</div>" +
                                "</div>" +
                                "<div m-padding=\"0 1 1 1\" class=\"m-color-4\">" + item.description + "</div>" +
                                    //"<div m-role=\"cell\" class=\"e-p-bottom\">" +
                                    //"起售金额 <span class=\"m-color-8\">" + item.sndMinValue + "元</span>" +
                                    //"</div>" +
                                "</div>";
                        }

                        if (i != list.length - 1) {
                            htmlStr += "<div m-role=\"cell\" class=\"e-p-gray\"></div>";
                        }
                    }
                    $("#table").html(htmlStr);
                    $.stopLoading();
                    $.hsDo("doAjaxDone",{fragment:"product-recommend"});
                } else {
                    $.stopLoading();
                    $.callFailProcess(jsonResult);
                }
            });
        }
    };
    pageHome.init();
    window.recommendPageHome = pageHome;
})

$.extend({
    refreshRecommendData: function (jsonResult) {
//        alert("刷新产品推荐");
        window.recommendPageHome.packForm();
    },
    refreshRecommendDataNet: function (jsonResult) {
        $.startLoading("正在加载,请稍候...");
        window.recommendPageHome.packForm();
    }
})
