$(function () {
    var pageHome = {
        init: function () {
            //获取用户的证据类型，证件号码
            $.hsDo("doGetUserInfo", "$.doGetUserInfoCallback");
            pageHome.getProjectsList();
            pageHome.events();
        },
        getProjectsList:function(){
            var data = "format=json&limit=999&merid=SINA&offset=0&signmode=md5&version=V1.0&signmsg=398426afd5255d040d43b7442c1e8106";
            $.ajax({
              url:"http://www.ydamc.com/webapi/restful/project/projectsList",
                  //url:"http://114.251.93.37:7127/webapi/restful/project/projectsList",
                type:"post",
                dataType:"json",
                jsonp:"call",
                data:data,
                timeout:200000,
                error:function(){
                },
                success:function(jsonResult){
                    if (jsonResult.results.code == "WEB-5BP0000"){
                        var projectList = jsonResult.results.returnlist;
                        for (var i in projectList){
                            var projectItem = projectList[i];
                            var scale =projectItem.scale.split("万");
                            projectItem.scale=scale[0];
                            var html = "<div m-role=\"cell\" m-mode=\"y\" class=\"e-p-item\" id=\"funddiv1\" m-value=\""+ projectItem.projectCode +"\" repeatbook=\""+ projectItem.repeatBooking +"\" limitStandard=\""+projectItem.limitStandard +"\" maxBookingNum=\""+projectItem.maxBookingNum +"\" >"
                                + "<div m-role=\"cell\" m-mode=\"x-equal\" m-margin=\"1 0 1 0\">"
                                + "<div m-role=\"cell\" m-mode=\"y\" m-flex=\"2\" m-padding=\"0 0 0 1\" class=\"e-m-b-border\">"
                                + "<div m-role=\"cell\" m-mode=\"x\" class=\"m-font-big m-font-bold\" m-margin=\"0 0 1 0\" m-padding=\"1 0 1 0\" id=\"fundname1\">"
                                + "<div m-role=\"cell\" class=\"e-p-title\">"+ projectItem.projectName+"</div>"
                                + "<div m-role=\"cell\" m-layout=\"fit\"></div>"
                                + "</div>"
                                + "<div m-margin=\"1 0 1 0\" class=\"m-font-small\">"
                                + "业绩比较基准:<span class=\"m-color-7\" id=\"expecteDrate\" m-margin=\"0 1 0 1\">"+ projectItem.expecteDrate +"</span>"
                                + "</div>"
//                                + "<div m-margin=\"1 0 1 0\" class=\"m-font-small\">"
//                                + "项目金额:<span class=\"m-color-7\" id=\"memo\" m-margin=\"0 1 0 1\">"+ projectItem.scale +"万</span>"
//                                + "</div>"
                                + "</div>"
                                + "<div m-role=\"cell\" m-align=\"right\" m-valign=\"bottom\">"
                                + "<div class=\"e-trust-cart\"></div>"
                                + "</div>"
                                + "</div>"
                                + "<div m-padding=\"0 1 1 1\" class=\"m-color-4\" id=\"purpose\">"+ projectItem.purpose +"</div>"
                                + "</div>"
                                + "<div m-role=\"cell\" class=\"e-p-gray\"></div>"

                            $("#project").append(html);
                        }
                    }else{
                        $.callFailProcess(jsonResult);
                    }
                }
            });
        },
        events: function () {
            $("#project").on("tap","div[id^='funddiv']", function () {
                var projectCode = $(this).attr("m-value");
                var repeatbook = $(this).attr("repeatbook");
                var limitStandard = $(this).attr("limitstandard");
                var maxBookingNum = $(this).attr("maxBookingNum");
                var param = "projectCode="+projectCode+"&repeatBooking="+repeatbook+"&limitStandard="+limitStandard+"&maxBookingNum="+maxBookingNum;
                var argv = {"title": "产品详情", "hsnew": "true", "locationpageid": "projectDetail"};
                $.hsOpen("discoverinvestment/product-reserve-detail.html?"+param,argv);
            });
            $("#submit").on("tap",function(){
                var arr = [];
                var html1 = $("#question1").html();
                if(html1.indexOf("m-marked=")==-1){
                    arr.push(1);
                }
                var html2 = $("#question2").html();
                if(html2.indexOf("m-marked=")==-1){
                    arr.push(2);
                }
                var html3 = $("#question3").html();
                if(html3.indexOf("m-marked=")==-1){
                    arr.push(3);
                }
                var html4 = $("#question4").html();
                if(html4.indexOf("m-marked=")==-1){
                    arr.push(4);
                }
                var html5 = $("#question5").html();
                if(html5.indexOf("m-marked=")==-1){
                    arr.push(5);
                }
                var html6 = $("#question6").html();
                if(html6.indexOf("m-marked=")==-1){
                    arr.push(6);
                }
                var html7 = $("#question7").html();
                if(html7.indexOf("m-marked=")==-1){
                    arr.push(7);
                }
                var html8 = $("#question8").html();
                if(html8.indexOf("m-marked=")==-1){
                    arr.push(8);
                }
                if($("[m-marked='yes']").length<8){
                    var msg = "第";
                    for(var i=0;i<arr.length;i++){
                        if(i!=(arr.length-1)){
                            msg += arr[i]+"," ;
                        }else{
                            msg += arr[i]+"题,您未完成";
                        }
                    }
                    $.doAlert(msg);
                    return;
                }
                var totalScore = 0;
                var riskstr = "";
                $("[m-marked='yes']").each(function(index,obj){
                    totalScore = Number($(obj).attr("score")) + totalScore ;
                });
                if(totalScore<=22&&totalScore>=12){
                    riskstr = "保守型";
                }else if(totalScore<=59&&totalScore>=23){
                    riskstr = "稳健型";
                }else if(totalScore<=68&&totalScore>=60){
                    riskstr = "积极型";
                }
                $.doAlert("您的得分是:"+totalScore+"分，风险等级是："+riskstr);
                pageHome.saveRisk(totalScore);
            });
        },
        //调用网站接口保存风险等级
        saveRisk:function(totalScore){
            var data = "identifyno="+identifyno+"&identifytype="+identifytype+"&score="+totalScore;
            $.ajax({
               url:"http://www.ydamc.com/survey-web/survey/addSurveyGlideBean",
                 //url:"http://114.251.93.37:7127/survey-web/survey/addSurveyGlideBean",
                type:"post",
                dataType:"jsonp",
                jsonp:"call",
                data:data,
                timeout:200000,
                error:function(){
                },
                success:function(jsonResult){
                    if (jsonResult.resultCode == "0000") {
                        $("#risk").hide();
                        $("#project").show();
                    }else{
                        $.doAlert(jsonResult.resultInfo);
                    }
                }
            });
        }
    };
    pageHome.init();
})
$.extend({
    doGetUserInfoCallback : function(jsonResult){
        identifyno = jsonResult.identifyno;
        identifytype = jsonResult.identifytype;
        //$.doAlert(identifyno+":"+identifytype);
        $.getRisk(identifyno,identifytype);
    },
    getRisk:function(identifyno,identifytype){
        //调用网站的接口获取该用户是否做过风险测评
        var data = "identifyno="+identifyno+"&identifytype="+identifytype;
        $.ajax({
           url:"http://www.ydamc.com/survey-web/survey/getSurveyScoreJSON",
             //url:"http://114.251.93.37:7127/survey-web/survey/getSurveyScoreJSON",
            type:"post",
            dataType:"jsonp",
            jsonp:"call",
            data:data,
            timeout:200000,
            error:function(){
            },
            success:function(jsonResult){
                if (jsonResult.resultCode == "0000") {
                    $("#risk").hide();
                    $("#project").show();
                }else{
                    $("#risk").show();
                    $("#project").hide();
                }
            }
        });
    }
});