$(function () {
    var pageHome = {
        init: function () {
            pageHome.events();
        },
        events: function () {
            $("#productlist_dl").on("tap","dd", pageHome.forwardToDetail);

            $("#project").on("tap","div[id^='funddiv']", function () {
                var projectCode = $(this).attr("m-value");
                var repeatbook = $(this).attr("repeatbook");
                var limitStandard = $(this).attr("limitstandard");
                var maxBookingNum = $(this).attr("maxBookingNum");
                var param = "projectCode="+projectCode+"&repeatBooking="+repeatbook+"&limitStandard="+limitStandard+"&maxBookingNum="+maxBookingNum;
                var argv = {"title": "产品详情", "hsnew": "true", "locationpageid": "projectDetail"};
                $.hsOpen("discoverinvestment/product-reserve-detail.html?"+param,argv);
            });

            var data = "format=json&limit=999&merid=SINA&offset=0&signmode=md5&version=V1.0&signmsg=398426afd5255d040d43b7442c1e8106";
            $.startLoading("正在加载,请稍候...");
            $.ajax({
//                url: "http://website.hundsun.com/webapi/restful/project/projectsList",
                url:"http://www.ydamc.com/webapi/restful/project/projectsList",
                type:"post",
                dataType:"json",
                jsonp:"call",
//                jsonpCallback:"",
                data:data,
                timeout:200000,
                error:function(){
//                    $.stopLoading();
                },
                success:function(jsonResult){
                   if (jsonResult.results.code == "WEB-5BP0000"){
                        var projectList = jsonResult.results.returnlist;
                        for (var i in projectList){
                            var projectItem = projectList[i];
                            var scale =projectItem.scale.split("万");
                            projectItem.scale=scale[0];
                            var html = "<div m-role=\"cell\" m-mode=\"y\" class=\"e-p-item\" id=\"funddiv1\" m-value=\""+ projectItem.projectCode +"\" repeatbook=\""+ projectItem.repeatBooking +"\" limitStandard=\""+projectItem.limitStandard +"\" maxBookingNum=\""+projectItem.maxBookingNum +"\" >"
                                + "<div m-role=\"cell\" m-mode=\"x-equal\" m-margin=\"1 0 1 0\">"
                                + "<div m-role=\"cell\" m-mode=\"y\" m-flex=\"2\" m-padding=\"0 0 0 1\" class=\"e-m-b-border\">"
                                + "<div m-role=\"cell\" m-mode=\"x\" class=\"m-font-big m-font-bold\" m-margin=\"0 0 1 0\" m-padding=\"1 0 1 0\" id=\"fundname1\">"
                                + "<div m-role=\"cell\" class=\"e-p-title\">"+ projectItem.projectName+"</div>"
                                + "<div m-role=\"cell\" m-layout=\"fit\"></div>"
                                + "</div>"
                                + "<div m-margin=\"1 0 1 0\" class=\"m-font-small\">"
                                + "业绩比较基准:<span class=\"m-color-7\" id=\"expecteDrate\" m-margin=\"0 1 0 1\">"+ projectItem.expecteDrate +"</span>"
                                + "</div>"
//                                + "<div m-margin=\"1 0 1 0\" class=\"m-font-small\">"
//                                + "项目金额:<span class=\"m-color-7\" id=\"memo\" m-margin=\"0 1 0 1\">"+ projectItem.scale +"万</span>"
//                                + "</div>"
                                + "</div>"
                                + "<div m-role=\"cell\" m-align=\"right\" m-valign=\"bottom\">"
                                + "<div class=\"e-trust-cart\"></div>"
                                + "</div>"
                                + "</div>"
                                + "<div m-padding=\"0 1 1 1\" class=\"m-color-4\" id=\"purpose\">"+ projectItem.purpose +"</div>"
                                + "</div>"
                                + "<div m-role=\"cell\" class=\"e-p-gray\"></div>"

                            $("#project").append(html);
                        }
//                        $.stopLoading();
                   }else{
                       $.callFailProcess(jsonResult);
                   }
                }
            });
  
        },
        forwardToDetail: function () {
            var fundname = $(this).attr("m-value");
            var argv = {"title": "预约产品详情", "hsnew": "true", "locationpageid": ""};
            var param = "?fundname="+fundname;
            $.hsOpen("discoverinvestment/product-reserve-detail.html"+param,argv);
        }
    };
    pageHome.init();
})


