$(function() {
    var global = {
        fundcode:""
    }
    var pageHome = {
        init : function() {
            pageHome.events();
            setTimeout(pageHome.initData,1000);
        },
        events: function() {
        	
        	document.addEventListener("deviceready", function(){
        		$.hsDo("refreshLoginStatus","$.isLogin");
        	},false);
            
            $("#qrnhsylDiv_login").on("tap", function() {
                $.hsDo("doOpenYieldChart", "");
            });
            $("#qrnhsylDiv_notLogin").on("tap", function() {
                $.hsDo("doOpenYieldChart", "");
            });
            $("#zrsy").on("tap", function() {
                var argv={"title": "收益","hidemenubar": "true","locationpageid":"","returnpageid":""};
                argv.securitylevel="login";
                $.hsOpen("syb/query-income-list.html", argv);
            });
            $("#cunru").on("tap", function() {
                var argv={"title": "存入","hidemenubar": "true","locationpageid":"","returnpageid":""};
                argv.securitylevel="login";
                $.hsOpen("syb/money-in-form.html", argv);
            });
            $("#quxian").on("tap", function() {
                var argv={"title": "取现","hidemenubar": "true","locationpageid":"","returnpageid":""};
                argv.securitylevel="login";
                $.hsOpen("syb/money-out-form.html", argv);
            });
			$(".getRewardBtn").on("tap",function(){//先判断系统是否支持红包功能，如果不支持直接提示
				$.doAjaxCall("common/sysparameter", "item=SALE&caption=ETS_CAN_REWARD", pageHome.enterToRewardHome);
			});
        },
        initData: function() {
            //加载超级现金宝的信息
            var data = "item=SALE&caption=ETS_SUPERMONEYFUND";
            $.doAjaxCall("common/sysparameter", data, pageHome.loadSuperMoneyFundInfo);
        },
        loadSuperMoneyFundInfo:function (jsonResult){
            if(jsonResult && "true"==jsonResult.successful){
                var sysvalue = jsonResult.results.value;
                var values = sysvalue.split("|");
                global.fundcode = values[0];
                var data = "fundcode="+global.fundcode;//这个要根据英大现金宝实际基金代码进行配置
                $.doAjaxCall("product/funddetail", data, pageHome.funddetailCallback);
            }else{
                $.stopLoading();
                $.callFailProcess(jsonResult);
            }
        },
        funddetailCallback: function(jsonResult) {
            if(jsonResult && "true" == jsonResult.successful){
                var list = jsonResult.results.returnlist.list;
                if(list.length>0){
                    var info = list[0];
                    var incomeratio = (Number(info.incomeratio)*100).toFixed(4);
                    $("#qrnhsylSpan_login").html(incomeratio);
                    $("#qrnhsylSpan_notLogin").html(incomeratio);
                }
            }else{
                $.stopLoading();
                $.callFailProcess(jsonResult);
            }
        },
		enterToRewardHome:function(jsonResult){
		    if(jsonResult && "true"==jsonResult.successful){
			    var sysvalue = jsonResult.results.value;
				if(sysvalue == "1"){
					var argv={"title": "红包首页","hidemenubar": "true","locationpageid":"","returnpageid":""};
                    argv.securitylevel="login";
                    $.hsOpen("syb/reward-home.html", argv);
				}else{
				    $.doAlert("对不起，系统不支持红包领取功能");
				}
				return false;
			}else{
				$.stopLoading(null);
                $.callFailProcess(jsonResult);
		    }   
		}
    };
    pageHome.init();
})

$.extend({
    isLogin:function(jsonResult){
        if(jsonResult.isLogin == 'true'){
        	$("#notLoginDiv").hide();
        	$("#loginDiv").show();
        	$.doAjaxCall("query/share","datasource=DS&querytype=12", $.queryShareCallBack);//查询用户现金宝信息
        }else{
        	$("#notLoginDiv").show();
        	$("#loginDiv").hide();
            $("#notLoginButton").bind("tap",function(){
                $.login();
            });
        }
    },
    login:function(){
    	$.hsDo("login", {"nextAction":"js"});
    },
    queryShareCallBack: function(jsonResult) {
        if(jsonResult && "true"==jsonResult.successful){
            $.setQueryShareData(jsonResult.results);
        }else{
            $.stopLoading();
            $.callFailProcess(jsonResult);
        }
    },
    setQueryShareData: function(results) {
        var list = results.returnlist.list;
        var totalusableremainshare = Number(0.00);//总资产
        var totaldayincome = Number(0.00);//昨日收益
        var totalincome = Number(0.00);//累计收益

        for(var item in list){
            var info = list[item];
            
            if(typeof(info.dayincome) != "undefined"){
            	totaldayincome += Number(info.dayincome);
            }

            var usableshare = info.usableshare;
            if(typeof(usableshare) != "undefined"){
                totalusableremainshare += Number(usableshare);
            } else {
                usableshare = 0.00.toFixed(2);
            }

            if(typeof(info.totalincome) != "undefined"){
            	totalincome += Number(info.totalincome);
            }
        }

        $("#zrsy").html(totaldayincome.toFixed(2));
        $("#zzc").html(totalusableremainshare.toFixed(2));
        $("#ljsy").html(totalincome.toFixed(2));
    }
});
