/**
 * Created by yaoqi on 15/5/26.
 */
$(function() {
    var avgrForm = {
        init : function() {
            avgrForm.events();
            avgrForm.initPage();
        },
        events: function() {
            //提交
            $("#submit").on("tap",avgrForm.toViewPage);

            //查看已有充值计划
            $("#queryCharge").on("tap", function() {
                var argv={"title":"定期申购","hsnew":"true","locationpageid":"money-avgr-charge-list","leftbuttonstatus":"show"};
                $.hsOpen("syb/money-avgr-charge-list.html", argv);
            });

            //终止条件下拉列表绑定
            $("#endcondition").bind("change", function() {
                //alert($("#endcondition").UISelectField("value"));
                var index=$("#endcondition").UISelectField("value");
                if("0"==index){
                    $("#endconditionDD").hide();
                    $("#endDate").hide();
                    $("#endconditionInput").hide();
                    $("#endconditionInput2").hide();
                }else if("1"==index){
                    $("#endconditionDD").show();
                    $("#endDate").show();
                    $("#endconditionInput").hide();
                    $("#endconditionInput2").hide();
                }else if("2"==index){
                    $("#endconditionDD").show();
                    $("#endDate").hide();
                    $("#endconditionInput").show();
                    $("#endconditionInput2").hide();
                }else if("3"==index){
                    $("#endconditionDD").show();
                    $("#endDate").hide();
                    $("#endconditionInput").hide();
                    $("#endconditionInput2").show();
                }
            });
        },
        initPage: function() {
            //首次扣款日期下拉列表绑定
            var date=new Date();
            var year=date.getFullYear();
            var month=date.getMonth()+1;
            for (var i = 0; i < 6; i++) {
                var ye = month > 12 ? year + 1 + "" : year + "";
                var month1 = month > 12 ? month - 12 : month;
                var mo = month1 >= 10 ? month1 + "" : "0" + month1;
                //beginMonthMap.put(ye + mo, ye + "年" + mo + "月");
                var html = "<option value='"+ye+mo+"'>"+ye+"年"+mo+"月</option>";
                $("#scjyrq").append(html);
                month++;
            }
            $.startLoading();
            //定投银行卡
            $.doAjaxCall("valuavgr/fixcharge/fixChargeForm","",avgrForm.bankCallback);
        },
        bankCallback : function(jsonResult){
            if(jsonResult && jsonResult.successful){
                $.stopLoading();
                var bankList = jsonResult.bankCards;
                if(null==bankList||bankList.length==0){
                    $("#bankname").append("<option value=''>您未绑定银行卡</option>");
                    return;
                }
                for(var index in bankList){
                    var obj = bankList[index];
                    if (obj.bankInfo.indexOf("尾号") != 0){
                        obj.bankInfo = obj.bankInfo.replace("尾号","");
                    }
                    if(obj.capitalmode == "3"){
                        obj.bankInfo = obj.bankInfo+"(银联)";
                    }
                    var str = "<option value='" + obj.tradeacco + "' detailcapitalmode = '" + obj.detailcaptailmode
                        + "' bankname = '" + obj.bankname + "' capitalmode = '" + obj.capitalmode + "' bankacco=\"" + obj.bankacco + "\" >"+ obj.bankInfo +"</option>";
                    $("#bankname").append(str);
                }
            }else{
                $.stopLoading();
                $.callFailProcess(jsonResult);
            }
        },
        //前往预览页面
        toViewPage:function(){
            if(false==avgrForm.formValidate()){
                return;
            }
            var bankInfo = $("#bankname").find("option:selected").text();//关联银行+卡号
            var tradeacco=$("#bankname").find("option:selected").attr("value");//交易账号
            var jyrq = $("#jyrq").UISelectField("value");//充值日期
            var scjyrq=$("#scjyrqDiv").UISelectField("value");//首次扣款
            var scjyrqStr=$("#scjyrqDiv").find("option:selected").text();//首次扣款字符串
            var endcondition=$("#endcondition").UISelectField("value");//终止条件
            var applysum = $("#applysum").UITextField("value"); //充值金额
            var detailcapitalmode = $.trim($("#bankname").find("option:selected").attr("detailcapitalmode"));
            var capitalmode = $.trim($("#bankname").find("option:selected").attr("capitalmode"));

            var data = "tradeacco="+tradeacco+"&bankInfo="+bankInfo+"&jyrq="+jyrq+"&scjyrq="+scjyrq
                +"&applysum="+applysum+"&cycleunit=0&detailcapitalmode="+detailcapitalmode+
                "&busintype=01&capitalmode="+capitalmode+"&jyzq=1";

            if("1"==endcondition){
                var endDate=$("#endDate").UIDateField("value");//终止日期
                endDate=endDate.replace("-","").replace("-","");
                data+="&zzrq="+endDate;
            }else if("2"==endcondition){
                var endconditionInput=$("#endconditionInput").UITextField("value");//终止金额
                data+="&maxvalue="+endconditionInput+"&zzrq=99991231";
            }else if("3"==endcondition){
                var endconditionInput2=$("#endconditionInput2").UITextField("value");//终止期数
                data+="&maxsuccessnum="+endconditionInput2+"&zzrq=99991231";
            } else{
                data+="&zzrq=99991231";
            }
            var argv={"title":"预览页面","returnpageid":"avgrDeclareForm","locationpageid":"avgrDeclareView"};
            $.hsOpen("syb/money-autoCharge-view.html?"+data,argv);
        },
        //验证
        formValidate : function(){
            var applysum = $("#applysum").UITextField("value");
            var bankacco = $("#bankacco").UISelectField("value");
            var index=$("#endcondition").UISelectField("value");//终止参数

            if(null==bankacco||""==bankacco){
                $.doAlert("请选择扣款银行卡！");
                return false;
            }
            if("0"!=index){
                if("1"==index){
                    var endDate = $("#endDate").UITextField("value");
                    if(""==endDate){
                        $.doAlert("请输入终止日期！");
                        return false;
                    }

                }else if("2"==index){
                    var endconditionInput = $("#endconditionInput").UITextField("value");
                    if(""==endconditionInput){
                        $.doAlert("请输入终止金额！");
                        return false;
                    }
                }else if("3"==index){
                    var endconditionInput2 = $("#endconditionInput2").UITextField("value");
                    if(""==endconditionInput2){
                        $.doAlert("请输入终止期数！");
                        return false;
                    }
                }
            }
            var min = applysum.toString().split(".")[1];
            if ("" == applysum || isNaN(applysum) || isNaN(applysum.charAt(0)) || applysum.charAt(0) == " ") {
                $.doAlert("请输入充值金额");
                return false;
            }
            if (null != min && min.length > 2) {
                $.doAlert("充值金额最多只保留2位小数");
                return false;
            }
            //if(Number(applysum)>1000000){
            //    $.doAlert("亲，充值金额应小于一百万！");
            //    return false;
            //}
            return true;
        }
    };
    avgrForm.init();
})



