/**
 * Created by yaoqi on 15/5/26.
 */
$(function() {
    var myAvgrList = {
        init : function() {
            $.startLoading("正在加载...");
            myAvgrList.queryMoneyAvgrList();
        },
        events : function() {
            $("#moneyAvgrList dd" ).on("tap",myAvgrList.toDetail);//跳转页面
            $("#modifyBtn").on("tap",myAvgrList.toAdd);
        },
        queryMoneyAvgrList:function(){
            //自动充值协议列表
            $.doAjaxCall("valuavgr/fixcharge/protocolList", "", myAvgrList.queryMoneyAvgrListCallback);
        },
        queryMoneyAvgrListCallback:function(jsonResult){
            $.stopLoading();
            if(jsonResult && jsonResult.successful){
                var html = myAvgrList.assembleData(jsonResult.protocolList);
                if(html.length == 0){
                    $("#moneyTableView").hide();
                    $("#moneyNoResult").show();
                }else{
                    $("#moneyAvgrList").html(html);
                    $("#moneyTableView").show();
                }
                myAvgrList.events();
                $("#moneyTableView").UITableView("refresh");
            }else{
                $.callFailProcess(jsonResult);
            }
        },
        assembleData:function (protocolList){
            var html = "";
            for(var item in protocolList){
                var info = protocolList[item];
                var tradeTime = "";
                if("0"==info.cycleunit){
                    tradeTime += "每月<span class='m-color-2'>"+info.jyrq+"</span>日";
                }
                var statestr = "";
                if(info.state == "A"){
                    statestr = "启用";
                } else if (info.state == "P") {
                    statestr = "暂停";
                } else if (info.state == "H") {
                    statestr = "终止";
                }
                stateHtml = "<span>"+statestr+"</span>";
                html += '<dd m-selectionstyle="yes" m-type="arrow" state= "'+ info.state +'" xyh="'+info.xyh+'">'
                +		'<div m-role="cell" m-mode="y" m-layout="fit">'
                +			'<div m-role="cell" m-valign="middle" m-padding="1 1 1 1">'
                +				'<div m-role="cell" m-layout="fit" class="m-font-heavy m-font-normal" >'
                +					tradeTime
                +				'</div>'
                +				'<div m-role="cell"  class="m-font-bold">'
                +              '充值'
                +			    '<span class="m-color-2">'+info.applysum+'</span>'
                +              '元'
                +				'</div>'
                +			'</div>'
                +			'<div  m-role="cell" m-valign="middle" m-padding="1 1 1 1">'
                +				'<div m-role="cell" m-layout="fit" class="m-font-bold" >'
                +					info.businname
                +				'</div>'
                +				'<div m-role="cell"  class="m-font-light">'
                +					stateHtml
                +				'</div>'
                +			'</div>'
                +		'</div>'
                +	'</dd>';
            }
            return html;
        },
        toDetail:function (){
//            var state = $(this).attr("state");
//            if("H" ==  state){
//                $.doAlert("对不起，该协议已终止");
//                return false;
//            }
            var argv={"title":"定期申购详情","returnpageid":"avgr-index","locationpageid":"money-avgr-charge-detail"};
            argv.securitylevel="login";
            var xyh = $(this).attr("xyh");
            $.hsOpen("syb/money-avgr-charge-detail.html?xyh="+xyh,argv);
        },
        toAdd : function(){
            var argv={"title":"新增定期申购计划","returnpageid":"avgr-index","locationpageid":"money-autoCharge-form"};
            argv.securitylevel="login";
            $.hsOpen("syb/money-autoCharge-form.html",argv);
        }
    }
    myAvgrList.init();
})