$(function () {

    var obj = new $.hsTools.parseLocationSearch();

    var hasResult = false;

    var handler = {};

    var count = 0;

    var tradeCustomResult = {

        init: function () {

            tradeCustomResult.getPayInfo();

            tradeCustomResult.events();

            tradeCustomResult.getWorkdayInfo();

            tradeCustomResult.setApplysumInfo();

        },
        
        getSupermoneyinfo: function () {//获取超级现金宝信息
        	$.doAjaxCall("trade/supermoneyinfo","", tradeCustomResult.supermoneyinfoCallBack);//查询用户现金宝信息
        },
        
        supermoneyinfoCallBack: function (jsonResult) {
            if (jsonResult && "true" == jsonResult.successful) {
            	var list = jsonResult.results.resultList.list;
                if (list.length > 0) {
                    for (var item in list) {
                        var info = list[item];
                        if (info.comefrom != "000000150001") {
                        	continue;
                        }
                        var capitalmode = info.capitalmode;
                        //过滤小d
                        if (capitalmode == "d") {
                            continue;
                        }
                        if (typeof(info.realasset) != "undefined") {
                        	zzc += Number(info.realasset);
                        }
                    }
                    //存入成功后，更新是否刷新资产页面
                    var argv = {"zzcLatest":Number(zzc).toFixed(2)};
                    $.hsDo("refreshZC", argv);
                    $("#queryResult").hide();
                    $("#main_success").show();
                }
            } else {
                $("#queryResult").hide();
                $.callFailProcess(jsonResult);
            }
            
        },

        getWorkdayInfo: function () {//获取工作日信息

            $.doAjaxCall("common/getnworkday", "interval=2", tradeCustomResult.setDateInfo);

        },

        setDateInfo: function (jsonResult) {

            if (jsonResult && "true" == jsonResult.successful) {

                var items = jsonResult.results.resultList.list;

                var item1 = items[1];

                var item2 = items[2];

                //var workday = searchObj.oriapplydate;

                var nextworkday = item1['workday'];

                var nextnextworkday = item2['workday'];

  

                var day1 = nextworkday.split("-");

                var day2 = nextnextworkday.split("-");

  

//                $("#today").html(pageResult.formatMonth(day0[1]) + "月" + day + "日" + time + " ");

                $("#tomorrow").html(tradeCustomResult.formatMonth(day1[1]) + "月" + day1[2] + "日");

                $("#the-day-af-tom").html(tradeCustomResult.formatMonth(day2[1]) + "月" + day2[2] + "日");



            } else {

                $.callFailProcess(jsonResult);

            }

        },

        formatMonth: function (str) {



            if (str.indexOf("0") == 0) {

                str = str.substr(1, 1);

            }



            return str;

        },

        setApplysumInfo: function () {

            $("#money-data").html(Number(obj.applysum).toFixed(2));

            $("#errortipinfo").html("存入失败");

            $("#errorconcreteinfo").html("土豪，存入没有成功哦，请检查您的银行卡余额吧~");

        },



        events: function () {

            $("#complete").on("tap", function () {

                var argv = {"pageIndex": "2"};

                $.hsDo("doBackMainPage", argv);

            });

 

        },

        getPayInfo: function () {

            $("#main_success").hide();

            //$("#main_fail").hide();

            $("#queryResult").show();

            handler = setInterval(tradeCustomResult.queryTradeResult, 3000);

        },

        queryTradeResult: function () {

            count++;

            var data = "applyrecordno=1&agencytype=D&pageno=1&applyserial=" + obj.applyserial;

            $.doAjaxCall("query/apply", data, tradeCustomResult.queryTradeResultCallBack);

        },

        queryTradeResultCallBack: function (jsonResult) {

            if (jsonResult && "true" == jsonResult.successful) {

                var list = jsonResult.results.returnlist.list;

                if (list.length > 0) {

                    var obj = list[0];//

                    var kkstat = obj.kkstat;//扣款状态

                    if ("2" == kkstat) {

                       clearInterval(handler);

                        $("#main_success").show();

                      var day0 = list[0].acceptdatetime.split("-");

                     var daytime = day0[2].split(" ");

                     var day = daytime[0];

                     var time = daytime[1];

                        $("#today").html(tradeCustomResult.formatMonth(day0[1]) + "月" + day + "日" + time + " ");

                        $("#queryResult").hide();
  
                        $.hsDo("refreshZC","");
                      tradeCustomResult.getSupermoneyinfo();
                       // $("#main_fail").hide();

                    } else if ("1" == kkstat) {

                        clearInterval(handler);

                        $("#nav1").removeClass();

                        $("#nav2").removeClass();

                        $("#main_success").show();

                        $("#split1").hide();

                        $("#split2").hide();

                        $("#div1").hide();

                        $("#div2").hide();

                        $("#tipinfo").html("存入失败");

                        $("#moneydetail").html("土豪，存入申请失败");

                        $("#nav1").addClass("e-fg-icobg-3");

                        $("#nav2").addClass("e-fg-ico-1 e-fg-ico1-1");

                        $("#queryResult").hide();

                    }

                }

            } else {

                clearInterval(handler);
                pageResult.getSupermoneyinfo();

                $.callFailProcess(jsonResult);

            }

            if (count > 3) {

                clearInterval(handler);

                $("#main_success").show();
  
                $("#tipinfo").html("存入处理中");

                $("#moneydetail").html("土豪，存入结果暂时无法查询到哦，咨询一下客服MM吧");

                $("#split1").hide();

                $("#split2").hide();

                $("#div1").hide();

                $("#div2").hide()

                $("#queryResult").hide();
                $("#nav1").removeClass();
                $("#nav1").addClass("e-fg-icobg-2");
  
  
            }

        }

    };

    tradeCustomResult.init();

})

