$(function () {
  var searchObj = new $.hsTools.parseLocationSearch();
  var superMoneyTradeAccoArray = new Array();//超级现金宝交易行号列表
  var fsupermoneytradeacco = searchObj.fsupermoneytradeacco || "";
  var fcapitalmode = searchObj.fcapitalmode || "";
  var ftradeacco = searchObj.ftradeacco || "";//选中的银行卡
  var fbankserial = searchObj.fbankserial || "";//选中的银行卡
  var pageForm = {
  init: function () {
  pageForm.packForm();
  pageForm.events();
  },
  events: function () {
  $("#bank-select").on("tap", "dd", pageForm.returnCard);
  },
  packForm: function () {//组装基金信息
  $.startLoading("正在加载...");
  //加载超级现金宝的信息
  $.doAjaxCall("account/tradeacco/myCardList", "", pageForm.loadBankList);
  },
  loadBankList: function (jsonResult) {
  if (jsonResult.successful) {
  $.stopLoading();
  var list = jsonResult.bankcards;
  for (var index in list) {
  var capitalmode = list[index].capitalmode
  var key = capitalmode + "_" + list[index].tradeacco;
  var value = list[index];
  var obj = {"key": key, "value": value};
  //过滤天天盈，财付通，支付宝
  if(capitalmode=="E"||capitalmode=="Q"||capitalmode=="6" || capitalmode=="d"){
  continue;
  }
  var comefrom = list[index].comefrom;
  //根据交易来源过滤
  
  superMoneyTradeAccoArray.push(obj);
  }
  pageForm.packCardlist();//组装
  } else {
  $.stopLoading();
  $.callFailProcess(jsonResult);
  }
  },
  packCardlist: function () {
  var ddStr = "";
  for (var item in superMoneyTradeAccoArray) {
  var superMoneyTradeAccoObj = superMoneyTradeAccoArray[item];
  var key = superMoneyTradeAccoObj.key;
  var value = superMoneyTradeAccoObj.value;
  
  var supermoneytradeacco = value.tradeacco;//超级现金宝的交易账号
  var realasset = value.realasset;//可普通取现的最大金额
  var validshare = value.validshare;//可快速取现的最大金额
  var fundcode = value.fundcode;
  var sharetype = value.sharetype;
  var orignalTradeAccoObj = value.tradeacco;
  var bankaccoTemp = value.bankacco;
  var length = bankaccoTemp.length;
  bankaccoTemp = bankaccoTemp.substr(length-4);
  
  var bankname = orignalTradeAccoObj.bankname;
  var desc = value.bankinfo;
  
  var tradeacco = value.tradeacco;
  var capitalmode = value.capitalmode;
  var bankserial = value.bankserial;
  ddStr += "<dd m-type=\"mark\" key=\"" + key + "\" supermoneytradeacco=\"" + supermoneytradeacco + "\" realasset=\"" + realasset +
  "\" validshare=\"" + validshare + "\" fundcode=\"" + fundcode + "\" bankserial=\"" + bankserial + "\" sharetype=\"" + sharetype + "\" tradeacco=\"" + tradeacco +
  "\" capitalmode=\"" + capitalmode + "\"";
  //当supermoneytradeacco和tradeacco都相同时才选中
  if (fsupermoneytradeacco == supermoneytradeacco && ftradeacco == tradeacco && fcapitalmode == capitalmode) {
  ddStr += " m-marked=\"yes\">";
  } else {
  ddStr += ">"
  }
  ddStr += "<div m-role=\"cell\" m-mode=\"x\" m-layout=\"fit\" m-valign=\"middle\" m-padding=\"1 1 1 1\">"
  + "<div m-role=\"cell\" m-mode=\"x\" m-layout=\"fit\" m-valign=\"middle\">"
  + "<div m-role=\"cell\" m-padding=\"1 0 0 1\" class=\"e-bank e-bank1-ico"+orignalTradeAccoObj.bankserial+"\"></div>"
  + "<div m-role=\"cell\" m-padding=\"1 1 0 1\" class=\"m-font-big\" id=\"bankacco" + supermoneytradeacco + "_" + tradeacco + "_" + capitalmode + "\">"
  + desc
  + "</div>"
  + "</div>"
  + "</div>"
  + "</dd>"
  }
  $("#bank-select").append(ddStr);
  $("#UITableView").UITableView("refresh");
  
  },
  returnCard: function () {//更换
  var supermoneytradeacco = $(this).attr("supermoneytradeacco");
  var realasset = $(this).attr("realasset");
  var validshare = $(this).attr("validshare");
  var fundcode = $(this).attr("fundcode");
  var sharetype = $(this).attr("sharetype");
  var tradeacco = $(this).attr("tradeacco");
  var capitalmode = $(this).attr("capitalmode");
  var bankserial = $(this).attr("bankserial");
  var desc = $("#bankacco" + supermoneytradeacco + "_" + tradeacco + "_" + capitalmode).html()
  var argv = {"title": "取现", "returnpageid": "accountIndex", "locationpageid": "moneyOut", "hsnew": "true","hidemenubar":"true", "hl_key_fragment_cached": false};
  
  
  argv.fsupermoneytradeacco=supermoneytradeacco;
  argv.frealasset=realasset;
  argv.fvalidshare=validshare;
  
  argv.ffundcode=fundcode;
  argv.fsharetype=sharetype;
  argv.ftradeacco =tradeacco;
  argv.fcapitalmode=capitalmode;
  argv.fdesc =desc;
  argv.fbankserial=bankserial;
  
  argv.startpage="syb/money-out-form.html";
  $.hsDo("doStoreDefaultMoneyOutBankPage",argv);
  //doStoreDefaultMoneyOutBankPage
  }
  }
  pageForm.init();
  });
