$(function () {
    var searchObj = new $.hsTools.parseLocationSearch();
    var realtimeflag = "0";//赎回标志

    var superMoneyTradeAccoArray = new Array();//超级现金宝交易行号列表
    var fsupermoneytradeacco = searchObj.fsupermoneytradeacco || "";//超级现金宝选中账号
    var fcapitalmode = searchObj.fcapitalmode || "";
    var ftradeacco = searchObj.ftradeacco || "";//选中的银行卡
    var fsharetype = searchObj.fsharetype || "";
    var fbankserial = searchObj.fbankserial || "";
    var fbankname = "";
    var saleway = "0";

    var pageForm = {
        init: function () {
            pageForm.packForm();
            pageForm.events();
        },
        events: function () {
            $(".quick-in").on("click", pageForm.nextPage);//用tap会有穿透的问题
            $("#protocol").on("click",pageForm.openProtocol);     //查看协议
            $("#fastusableshare").html("10000");//可快速取现最大金额
        },
        packForm: function () {//组装基金信息
            $.startLoading("正在加载...");
            //加载超级现金宝的信息
            $.doAjaxCall("moneyfund/encash/encashForm", null, pageForm.encashFormCallBack);
        },
  
        openProtocol: function(){
            var argv = {"title": "T+0快速取现协议", "hsnew": "true", "locationpageid": "help", "returnpageid": "accountIndex"};
            $.hsOpen("syb/protocol.html", argv);
        },
  
        encashFormCallBack: function (jsonResult) {
            if(jsonResult && jsonResult.successful){
                var bankCards = jsonResult.bankCards;
                if(bankCards.length <= 0){
                    $("#tradeAccoList_dd").off("tap");
                    $("#bankcard-toredeem").append("<option>您暂无可取现银行卡</option>");
                    $("#normalRedeemBtn")
                    return false;
                }else{
                    for(var index in bankCards){
                        var obj = bankCards[index];
                        if (obj.bankInfo.indexOf("尾号") != 0){
                            obj.bankInfo = obj.bankInfo.replace("尾号","");
                        }
                        if(obj.capitalmode == "3"){
                            obj.bankInfo = obj.bankInfo+"(银联)";
                        }
                        if(obj.capitalmode==1)
                        {
                            var str = "<option value='" + obj.tradeacco + "' tradeacco = '" + obj.tradeacco
                                + "' detailcapitalmode = '" + obj.paymode + "' capitalmode = '" + obj.capitalmode + "'bankname = '" + obj.bankname + "'class = e-bank e-bank-ico=\"" + obj.bankserial + "\" >"+ ""+obj.bankInfo +"</option>";
                        }else
                        {
                            var str = "<option value='" + obj.tradeacco + "' tradeacco = '" + obj.tradeacco
                                + "' detailcapitalmode = '" + obj.paymode + "' capitalmode = '" + obj.capitalmode + "'bankname = '" + obj.bankname+ "'class = e-bank e-bank-ico=\"" + obj.bankserial + "\" >" + obj.bankInfo + "</option>";
                        }
                        $("#bankcard-toredeem").append(str);
                    }
                    //$("#bankcard-toredeem").html(bankCards[0].bankInfo);
                    //$("#bankcard-toredeem").attr("tradeacco", bankCards[0].tradeacco)
                    //
                    //if (bankCards.length > 1) {
                    //    $("#tradeAccoList_dd").attr("m-type", "arrow");
                    //    $("#tradeAccoList_dd").attr("m-selectionstyle", "yes");
                    //    $("#UITableView").UITableView("refresh");
                    //}
                }
                //没选择的时候这里填写第一张卡的值
                var usableShare = bankCards[0].usableShare;
                var fastusableshare = bankCards[0].fastUsableShare;
                $("#usableshareCell").html(usableShare);//可普通取现的最大金额

                $("#fastusableshare").html("10000");//jsonResult.realTimeDayRedeemLimit);//可快速取现最大金额
                $("#realtime_usableshareCell").html(usableShare);//可快速取现的最大金额

                $("#bankacco").UISelectField("change",function(value){
                    for (var index in bankCards){
                        if(value == bankCards[index].tradeacco){
                            var usableShare = bankCards[index].usableShare;
                            $("#usableshareCell").html(usableShare);//可普通取现的最大金额
                            $("#realtime_usableshareCell").html(usableShare);//可快速取现的最大金额
                            $("#bankicon").removeAttr("class").addClass("e-bank e-bank-ico" + bankCards[index].bankserial);
                        }
                    }
                });
                $("#bankicon").addClass("e-bank e-bank-ico" + bankCards[0].bankserial);

            }
        },
        changeBankCard: function () {//更换
            var argv = {"title": "选择银行卡", "returnpageid": "moneyOut", "locationpageid": "", "hsnew": "true", "hl_key_fragment_cached": false, "hidemenubar": "true"};
            $.hsOpen("syb/money-out-bankcards.html?fsupermoneytradeacco=" + fsupermoneytradeacco + "&ftradeacco=" + ftradeacco + "&fcapitalmode=" + fcapitalmode + "&fbankserial=" + fbankserial, argv);
        },
        nextPage: function (event) {
            $("#applysum  input").blur();
            if (!pageForm.formValidate(event)) {
                return;
            }
            var applysumstr = $("#applysum").UITextField("value");
            if (applysumstr >= 0.01) {
                var applysum = Number(applysumstr).toFixed(2);
                var bankname=$("#bankcard-toredeem").find("option:selected").attr("bankname");
                var mcapitalmode=$("#bankcard-toredeem").find("option:selected").attr("capitalmode");
                if(mcapitalmode == "6"){
                    $.doAlert("您好！APP暂不支持天天盈渠道！");
                    return;
                }
                var html = "<div m-role=\"cell\" m-mode=\"y\" m-layout=\"fit\" m-padding=\"1 1 1 1\">"
                    + "<div m-role=\"cell\" m-margin=\"1 1 1 1\" m-padding=\"1 1 1 1\" m-align=\"center\" id='bankcardinfo' class=\"m-font-big\">使用" + fbankname + "取现</div>"
                    + "<div m-role=\"cell\" class=\"m-font-big m-font-bold e-whitebg\" m-margin=\"1 1 1 1\" m-padding=\"1 1 1 1\" m-align=\"center\" id='money-in' >" + applysum + "(元)</div>"
                    + "</div>";
                $.UIComfirm({
                    "html": html,
                    "cancelText": "取消",
                    "cancelStyle": "style-2",
                    "submitText": "取现",
                    "submitStyle": "style-1"
                }, function (v) {
                    if (v && "yes" == v) {//选择支付，则直接调用下单接口
                        var targetId = event.target.id;
                        if (targetId == "normalRedeemBtn") {//普通赎回
                            saleway  = "0";
                            realtimeflag="0"
                        } else if (targetId == "realtimeRedeembtn") {//快速赎回
                            saleway = "3";
                            realtimeflag="1"
                        }
                        pageForm.sale();
                    }
                });
            } else{
                $.doAlert("对不起，您的取现金额小于0.01");
            }
            return true;
        },
        sale: function () {
            $.startLoading("正在提交申请...");
            var data = "&tradeacco=" + $("#bankcard-toredeem").find("option:selected").attr("tradeacco")
            + "&applysum=" + $("#applysum").UITextField("value")
            + "&saleway="+saleway //0:赎回到银行卡;2:赎回其他基金;3:快速赎回

            $.doAjaxCall("moneyfund/encash/encash", data, pageForm.tradeSaleCallback);
        },

        formValidate: function (event) {//表单验证
            var applysum = $("#applysum").UITextField("value");
            if ("" == applysum || isNaN(applysum) || isNaN(applysum.charAt(0)) || applysum.charAt(0) == " ") {
                $.doAlert("请输入金额!");
                return false;
            }
            var targetId = event.target.id;
            if (targetId == "realtimeRedeembtn") {//快速赎回
                saleway = "3";
            }else {
                saleway = "0";
            }
            //if (!ftradeacco) {
            //    return false;
            //}
            var applysum = $("#applysum").UITextField("value");
            if ("" == applysum || isNaN(applysum)) {
                $.doAlert("请输入正确的取现金额。");
                return false;
            }
            if(saleway == "3" && parseFloat(applysum)>10000){
                $.doAlert("快速取现金额不能超过10000元。");
                return false;
            }
            //可用余额，如果是快速取现，则以当日可赎回份额为最大金额，否则以实时资产为最大金额
            var usableShare = ("3" == saleway) ? parseFloat($("#realtime_usableshareCell").text()) : parseFloat($("#usableshareCell").text());
            applysum = parseFloat(applysum);
            if (applysum > usableShare) {
                "3" == saleway ? $.doAlert("快速取现金额不可大于" + usableShare + "元。") : $.doAlert("取现份额大于可用余额。");
                return false;
            }

            return true;
        },
        tradeSaleCallback: function (jsonResult) {//赎回下单回调
            $.stopLoading();
            if (jsonResult && true == jsonResult.successful) {
                //取现成功后，更新是否刷新资产页面
                //var argv = {"pageName":"zcIndex","pageEvents":[{"eventName":"$.refreshPage","isActive":"true"}]};
                //$.hsDo("setPageEvents", argv);
                var applysum = $("#applysum").UITextField("value");
                var params = "applysum=" + applysum + "&bankname=" + fbankname + "&realtimeflag=" + realtimeflag;
                var argv = {"title": "取现结果", "returnpageid": "splashpage","locationpageid":"moneyOutResult", "nextAction": "startpage", "hidemenubar": "true", "leftbuttonstatus":"hidden"};
                argv.securitylevel = "login";
                $.hsOpen("syb/money-out-result.html?" + params, argv);
            } else if ("0151" == jsonResult.code) {
                jsonResult.message = "客官，当日存入的金额不能快速取现哦！";
                $.callFailProcess(jsonResult);
                $("#applysum").UITextField("clear");
            }
            else {
                $.callFailProcess(jsonResult);
                $("#applysum").UITextField("clear");
            }
        },
        tradeRefresh:function(jsonResult){
            fsupermoneytradeacco=jsonResult.fsupermoneytradeacco;
            fcapitalmode=jsonResult.fcapitalmode;
            fsharetype=jsonResult.fsharetype;
            ftradeacco=jsonResult.ftradeacco;
            fbankserial=jsonResult.fbankserial;
            $("#bankcard-toredeem").html(jsonResult.fdesc);
            fbankname = jsonResult.fdesc;
            $("#usableshareCell").html(jsonResult.frealasset);//可普通取现的最大金额
            $("#realtime_usableshareCell").html(jsonResult.fvalidshare);//可快速取现的最大金额
            $("#bankicon").removeClass();
            $("#bankicon").addClass("e-bank e-bank-ico"+jsonResult.fbankserial);
        }
    }
    pageForm.init();
    window.otherpageForm2=pageForm;
});


$.extend({

    getMoneyOutBankDataCallBack : function(jsonResult) {
        window.otherpageForm2.tradeRefresh(jsonResult);
    }
});






