$(function() {
	var bonusModifyList = {
		init : function() {
			this.events();
		},
		events : function() {
			$("#bonusList").on("tap", "dd", bonusModifyList.bonusModifyForm);
			$.startLoading("正在加载...");
			var data = "bonusmode=0";
			$.doAjaxCall("trade/bonus/bonusList", data, bonusModifyList.listCallback);
		},

		listCallback : function (jsonResult) {
			if (jsonResult.successful) {
				bonusModifyList.assembleData(jsonResult);
				$.stopLoading();
			} else {
				$.stopLoading();
				$.callFailProcess(jsonResult);
			}
		},
		assembleData: function (results) {
			var list = results.bonusList;
			var ownedModifyLists = {};
			if (null == list || list.length == 0) {
				$("#tableView").hide();
				$("#noResult").show();
			} else {
				for (var item in list) {
					var info = list[item];
					if (ownedModifyLists[info.fundcode]) {
						continue;
					}
					ownedModifyLists[info.fundcode] = info;
					var bonustypestr = "";
					if (info.bonustype == 1) {
						bonustypestr = "现金红利"
					} else {
						bonustypestr = "红利再投资"
					}
					var arrowstr = 'm-type="arrow"';
					if (info.canchange == 0) {
						arrowstr = ''
					}
					var html = '<dd m-selectionstyle="yes"' + arrowstr + ' index="' + item + '" tradeacco="' + info.tradeacco + '" fundcode="' + info.fundcode + '" fundname="' + info.fundname + '" sharetype ="' + info.sharetype + '" melonmethod ="' + info.melonmethod + '" bonustype ="' + info.bonustype + '" bonustypestr ="' + bonustypestr + '" bankname ="' + info.bankname + '" banknameacco ="' + info.bankacco + '" sharetypestr ="' + info.sharetypestr + '" canchange ="' + info.canchange + '">'
						+ '<div m-role="cell" m-mode="x" m-layout="fit">'
						+ '<div m-role="cell" m-layout="fit" m-valign="middle" m-mode="y" m-padding="1 1 1 1">'
						+ '<div m-role="cell" m-valign="middle" class="m-font-heavy m-font-big" m-padding="0 1 0 1">'
						+ info.fundname
						+ '</div>'
						+ '<div m-role="cell" m-valign="middle" class="m-font-light m-font-small" m-padding="1 1 0 1">'
						+ info.fundcode
						+ '</div>'
						+ '</div>'
						+ '<div  m-role="cell" m-valign="middle" m-mode="y"  m-padding="1 1 1 1">'
						+ '<div  m-role="cell"  m-valign="middle" m-align="right" class="m-font-normal m-color-2">'
						+ bonustypestr
						+ '</div>'
						+ '</div>'
						+ '</div>'
						+ '</dd>';

					$("#bonusList").append(html);
				}
			}

			$("#tableView").UITableView("refresh");
		},
		//"rightbutton":{"title":"取消","type":"cancel"}
		bonusModifyForm: function () {
			if ($(this).attr("canchange") == 1) {
				var argv = {
					"title": "修改分红方式",
					"hsnew": "true",
					"leftbuttonstatus": "show",
					"returnpageid": "bonus"
				};
				argv.securitylevel = "login";
				$.hsOpen("trade/trade-bonus-modify-form.html?index=" + $(this).attr("index") + "&fundname=" + $(this).attr("fundname") + "&fundcode=" + $(this).attr("fundcode") + "&sharetype=" + $(this).attr("sharetype") + "&tradeacco=" + $(this).attr("tradeacco") + "&melonmethod=" + $(this).attr("melonmethod") + "&bonustype=" + $(this).attr("bonustype") + "&bonustypestr=" + $(this).attr("bonustypestr") + "&banknameacco=" + $(this).attr("banknameacco") + "&bankname=" + $(this).attr("bankname") + "&sharetypestr=" + $(this).attr("sharetypestr"), argv);
			}


		}
	}
	bonusModifyList.init();
})

