﻿$(function () {
    var cmd = {
        init: function () {
            //$.UILoading("show","数据加载中..");
            $("body").css("min-height", parseInt($(window).height()));
            $(window).load(function () {
                setTimeout(function () {
                    $.UILoading("hide");
                }, 200)
            });
            $("[m-role='page']").css("visibility", "visible");
            $("[m-role='page']").animate({"opacity": 1}, 500);

            $(document).on("tap.mhref", "[m-href]", function () {
                $(this).addClass("UISelectionStyle")
                window.location.href = $(this).attr("m-href")

            })

        }
    }
    cmd.init();

    //格式化日期原型
    Date.prototype.pattern = function (fmt) {
        var o = {
            "M+": this.getMonth() + 1, //月份
            "d+": this.getDate(), //日
            "h+": this.getHours() % 12 == 0 ? 12 : this.getHours() % 12, //小时
            "H+": this.getHours(), //小时
            "m+": this.getMinutes(), //分
            "s+": this.getSeconds(), //秒
            "q+": Math.floor((this.getMonth() + 3) / 3), //季度
            "S": this.getMilliseconds() //毫秒
        };
        var week = {
            "0": "/u65e5",
            "1": "/u4e00",
            "2": "/u4e8c",
            "3": "/u4e09",
            "4": "/u56db",
            "5": "/u4e94",
            "6": "/u516d"
        };
        if (/(y+)/.test(fmt)) {
            fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
        }
        if (/(E+)/.test(fmt)) {
            fmt = fmt.replace(RegExp.$1, ((RegExp.$1.length > 1) ? (RegExp.$1.length > 2 ? "/u661f/u671f" : "/u5468") : "") + week[this.getDay() + ""]);
        }
        for (var k in o) {
            if (new RegExp("(" + k + ")").test(fmt)) {
                fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
            }
        }
        return fmt;
    }
});

var lastClickTime = 0;
var ajaxFirst = true;
$.extend({

    recovery: function () {//内存回收
        if (!$.support.leadingWhitespace) {
            setTimeout("CollectGarbage();", 1)
        }
    },

    recovery_iframe: function (iframe_parent) {
        var iframe = $("iframe", iframe_parent);
        iframe.attr("src", "about:blank");
        try {
            var iframe_dom = iframe[0].contentWindow;
            iframe_dom.document.write("");
            iframe_dom.document.close();
        } catch (e) {
        }
        iframe_parent.remove();
        $.recovery();
    },
    theHighestRiskLevel:"5",//产品最高风险等级
    theLowestRiskLevel:"1",//产品低风险等级,若多个为低风险,则配置低风险中最高的
    theLowestRiskAbility:"1",//投资者最低风险等级
    getServerURL: function (url) {//获取服务端地址
var appServer = "http://app.ydamc.com:7001/appServer/"+url;
     return appServer;
    },
    getWebsiteURL: function () {//获取网站服务端地址

    },

    doAjaxRequest: function (url, type, dataType, data, callback) { //ajax请求
        $.ajax({
            url: url,
            type: type,
            dataType: dataType,
            data: data,
            timeout: 60000,
            error: function (XMLHttpRequest, textStatus, errorThrown) {
                $.stopLoading();
                $.doToast(textStatus);
            }
        }).done(function (json) {
            callback && callback.call(this, json);
        });
    },

    doAjaxCall: function (functionNo, data, callback) { //ajax请求
       return $.ajax({
            url: $.getServerURL(functionNo + ".json"),
            type: 'POST',
            dataType: "jsonp",
            jsonp: "jsonpCallback",
            data: data,
            timeout: 60000,
            error: function (XMLHttpRequest, textStatus, errorThrown) {
                $.stopLoading();
                if ("customize/queryRecommends" == functionNo) {
                    $.hsDo("doAjaxDone", {fragment: "product-recommend", connection: "error"});
                } else if ("query/share" == functionNo || "trade/supermoneyinfo" == functionNo) {
                    $.hsDo("doAjaxDone", {fragment: "user-asset", connection: "error"});
                }
                if (ajaxFirst) {
                    //$.doToast("亲，网络不给力哦~");
                }
                ajaxFirst = false;
                //alert(XMLHttpRequest.status);
                //alert(XMLHttpRequest.readyState);
                //alert(textStatus);
            }
        }).done(function (json) {
            callback && callback.call(this, json);
        });
    },
    doTemplate : (function() {
        var cache = [];
        return function(id, data, mode) {
            var $obj = $("#"+id);
            if (mode == "repeat") {
                var html = doT.template($obj.text(), undefined).call(this, data);
                $obj.before(html);
            } else if (mode == "keepid") {
                var html = doT.template($obj.text(), undefined).call(this, data);
                html = "<div id='"+id+"'>" + html +"</div>";
                $obj.after(html).remove();
            } else if (mode == "refresh") {
                if (cache[id]) {
                    var current_$obj = $obj;
                    $obj = cache[id];
                    var html = doT.template($obj.text(), undefined).call(this, data);
                    html = "<div id='"+id+"'>" + html +"</div>"
                    current_$obj.replaceWith(html);
                } else {
                    cache[id] = $obj;
                    var html = doT.template($obj.text(), undefined).call(this, data);
                    html = "<div id='"+id+"'>" + html +"</div>";
                    $obj.after(html).remove();
                }
            } else if (mode == "recover") {
                $("#"+id).replaceWith(cache[id]);
            } else {
                var html = doT.template($obj.text(), undefined).call(this, data);
                $obj.after(html).remove();
            }
        }
    })(),
    doWebsiteAjaxCall: function (url, jsonpname, callback) {//调用网站服务
        $.ajax({
            url: getWebsiteURL(url),
            type: "get",
            dataType: "jsonp",
            jsonpCallback: jsonpname,
            error: function () {
            }
        }).done(function (json) {
            callback && callback.call(this, json);
        });
    },

    doLocationCall: function (functionNo, data) {//本地页面跳转
        var url = getServerURL(functionNo) + "?" + data;
        window.location.href = url;
    },

    doAlert: function (message) {
        $.hsDo('doAlert', {'message': message});
    },
    doAlert: function(message,jspage){
        $.hsDo('doAlert',{'message':message,'jspage':jspage});
    },

    doToast: function (message) {
        $.hsDo('doToast', {'message': message});
    },

    startLoading: function (message) {
        var argv;

        if (null == message || "" == message) {
            argv = {"message": "正在加载,请稍后..."};
        } else {
            argv = {"message": message};
        }
        $.UILoading("show", message);
    },
    stopLoading: function () {
        var argv = {"sdf": "sdf"};
        $.UILoading("hide");
    },
    //ajax请求失败统一处理(非error)
    callFailProcess: function (jsonResult) {
        $.UILoading("hide");
        if (jsonResult) {
            $.hsDo("callFailProcess", jsonResult);
        }
    },
    //打开页面
    hsOpen: function (url, argv) {
        if (window.device && (device.platform == "Android" || device.platform == "iOS" || device.platform == "iPhone")) {
            try {
                argv.startpage = url;
                if (argv.leftbuttonstatus == null) {
                    argv.leftbuttonstatus = "show";//默认左边返回按钮显示
                }

                if (argv.animation == null) {
                    argv.animation = "right";//默认使用右边推送动画
                }

                if (argv.securitylevel == "login") {
                    argv.nextAction = "startpage";
                }

                $.hsDo("loginIntercept", argv);
            } catch (e) {
                alert('ERROR:' + JSON.stringify(e));
            }
        } else {
            window.location.href = encodeURI("../"+url);
        }
    },
    hsDo: function (methodname, argv) {
        var myDate = new Date();
        var currentClickTime = myDate.getTime();
        if (currentClickTime - lastClickTime <= 1000) {
            return;
        }
        lastClickTime = currentClickTime;
        hybrid.core.execMethod(methodname, argv);
    },
    //js工具类
    hsTools: {
        isEmpty: function (param) {
            if (null == param || "" == param) {
                return true;
            }
            return false;
        },
        parseLocationSearch: function () {//解析本地url为对象
            var queryObject = {};
            var locationSearch = decodeURI(window.location.search);
            if (locationSearch != '') {
                var pairs = locationSearch.substring(1).split('&');
                for (var i in pairs) {
                    var pair = pairs[i];
                    var keyAndValue = pair.split('=');
                    var key = keyAndValue[0];
                    var value = keyAndValue[1];
                    queryObject[key] = value;
                }
            }
            return queryObject;
        },
        putLocalStorage: function (key, value) {//把数据放到本地存储
            window.localStorage.setItem(key, JSON.stringify(value));
        },
        getLocalStorage: function (key) {/*获取本地存储数据*/
            var obj = window.localStorage.getItem(key);
            if (obj != null) {
                return JSON.parse(obj);
            } else {
                return null;
            }
        },
        removeLocalStorage: function (key) {/*清除本地数据*/
            window.localStorage.removeItem(key);
        },
        getParam: function (paramName) {
            var reg = new RegExp("(^|&)" + paramName + "=([^&]*)(&|$)", "i");
            var r = window.location.search.substr(1).match(reg);
            if (r != null) {
                return unescape(r[2]);
            } else {
                return null;
            }
        },
        getParamFromStr: function (str, paramName) {
            var reg = new RegExp("(^|&)" + paramName + "=([^&]*)(&|$)", "i");
            var r = str.match(reg);
            if (r != null) {
                return unescape(r[2]);
            } else {
                return null;
            }
        },
        modifyParam: function (str, paramName, newValue) {
            var value = this.getParamFromStr(str, paramName);
            var search = str;
            if (typeof value == "string") {
                var oldParam = paramName + "=" + value;
                var newParam = paramName + "=" + newValue;
                search = search.replace("&" + oldParam, "&" + newParam);
                search = search.replace("?" + oldParam, "?" + newParam);
                return search;
            } else {
                return null;
            }
        },
        formatUIDateField: function (str) {
            if (str.length == 10) {
                return str;
            } else {
                var dateArr = str.split("-");
                if (dateArr[1].length == 1) {
                    dateArr[1] = "0" + dateArr[1];
                }
                if (dateArr[2].length == 1) {
                    dateArr[2] = "0" + dateArr[2];
                }
                return str[0] + "-" + str[1] + "-" + str[2];
            }
        },
        substr: function (str, start, len) {
            var strlen = 0;
            var s = "";
            for (var i = start; i < str.length; i++) {
                if (str.charCodeAt(i) > 128) {
                    strlen += 2;
                } else {
                    strlen++;
                }
                s += str.charAt(i);
                if (strlen >= len) {
                    return s;
                }
            }
            return s;
        }
    }

})