$(function () {
    var tradeAccoList = {
        init: function () {
            this.packForm();
            this.events();
        },
        events: function () {
            $("#AccoList").on("tap", "dd", function () {
                var $this = $(this);
                var capitalmode = $this.attr("capitalmode");
                var cardmode = $this.attr("cardmode");
                var bankserial = $this.attr("bankserial");
                var isSupport = $this.attr("isSupport");
                if(typeof(capitalmode) == "undefined"&&typeof(cardmode) == "undefined"&&typeof(bankserial) == "undefined"){

                } else {
                    var params = "capitalmode=" + capitalmode + "&bankserial=" + bankserial + "&bankname=" + $this.find(".bankname").text() +"&isSupport="+isSupport;
                    var bankname = $this.find(".bankname").text();
                    var argv = {
                        "title": "开户",
                        "hsnew": "true",
                        "leftbuttonstatus": "show",
                        "locationpageid": "",
                        "returnpageid": "",
                        "nextAction": "startpage",
                        "hidemenubar": "true"
                    };
                    $.hsOpen("account/account-chinapay-openAcco-validate.html?"+params,argv);
                }
            });
        },
        packForm: function () {
            //banklimit存储的是bankserial对应的银行限额
            //005建行 002工行 003农行 004中行 006交行 008中信 012光大 014民生 011兴业
            //016广发 920平安 010浦发 934邮政 904南京 903上农 915浙商 912顺德 907温州 916烟台
            var banklimit = {"002":"单笔5万,单日5万",
                             "003":"单笔2千,单日1万",
                             "004":"单笔5万,单日50万",
                             "005":"单笔5万,单日5万",
                             "006":"单笔2万,单日2万",
                             "008":"单笔5千,单日1万,单月2万",
                             "009":"单笔5万,单日5万",
                             "010":"单笔5万,单日5万",
                             "011":"单笔5万,单日5万",
                             "012":"单笔50万,单日50万",
                             "014":"单笔100万",
                             "015":"单笔5千,单日1万,单月2万",
                             "016":"单笔50万,单日50万",
                             "021":"单笔5千,单日5千",
                             "025":"单笔50万,单日50万",
                             "920":"单笔5万,单日5万",
                             "934":"单笔5千"};
            var htmlStr = "";
            $.startLoading("正在加载...");
            $.doAjaxCall("account/openacco/bankForm", "", function (jsonResult) {
                if (jsonResult&&jsonResult.successful) {
                    $.stopLoading();
                    var list = jsonResult.bankcards;
                    if (list.length == 0) {
                        htmlStr += "<dd m-selectionstyle=\"yes\" class=\"noResult\">"
                            + "<div m-role=\"cell\"  m-mode=\"y\" m-layout=\"fit\" m-padding=\"1 1 1 1\">"
                            + "<div m-role=\"cell\"  class=\"m-font-heavy\"   m-padding=\"1 1 0 1\">"
                            + "暂无支持开户的银行卡"
                            + "</div></div></dd>";
                    }
                    for (var i in list) {
                        var bankObj = list[i];
                        if (bankObj.capitalmode != "3"){
                            continue;
                        }
                        if(bankObj.bankserial == "904" || bankObj.bankserial == "903" || bankObj.bankserial == "915" || bankObj.bankserial == "912" || bankObj.bankserial == "907" || bankObj.bankserial == "916"){
                            continue;
                        }
                        //截取"银联-"或者"银联_"
                        if (bankObj.bankname.indexOf("银联-") !="-1" || bankObj.bankname.indexOf("银联_") != "-1"){
                            bankObj.bankname = bankObj.bankname.slice(3,bankObj.bankname.length);
                        }
                        var banklimitstr;
                        if (typeof (banklimit[bankObj.bankserial]) == "undefined"){
                            banklimitstr = "";
                        }else {
                            banklimitstr = banklimit[bankObj.bankserial];
                        }
                        var dd = "<dd m-type=\"arrow\" m-selectionstyle=\"yes\"";
                            dd += "class=\"tradeDetailDl\" cardmode=\"" +
                                bankObj.cardmode + "\" capitalmode=\"" + bankObj.capitalmode +
                                "\" isSupport=\"" + bankObj.isSupport +"\" bankserial=\"" +
                                bankObj.bankserial + "\">" +
                            "<div m-role=\"cell\" m-mode=\"x\" m-layout=\"fit\" m-padding=\"1 1 1 1\">" +
                                "<div m-role=\"cell\" class=\"e-bank e-bank-ico"+bankObj.bankserial+"\"></div>" +
                                    "<div m-role='cell' m-mode='y' m-layout='fit'>" +
                                    "<div m-role=\"cell\" class=\"m-font-heavy bankname\" m-valign=\"middle\" m-padding=\"1 1 0 1\" >" + bankObj.bankname + "</div>" +
                                    "<div m-role='cell' class='m-font-small banklimit' m-valign='middle' m-padding='1 1 0 1'>"+banklimitstr+"</div>" +
                                    "</div>"
                            "</div>" +
                            "</dd>";
                        htmlStr += dd;
                    }
                }else{
                    $.stopLoading();
                    $.callFailProcess(jsonResult);
                }
                $("#AccoList").append(htmlStr);
            });
        }
    }
    tradeAccoList.init();
})
