$(function () {
    var tradeAccoList = {
        init: function () {
            this.packForm();
            this.events();
        },
        events: function () {
            $("#AccoList").on("tap", "dd", function () {
//                var argv = {"type": "建行"};
//                $.hsDo("openAccoDoc",argv);
                var $this = $(this);
                var capitalmode = $this.attr("capitalmode");
                var cardmode = $this.attr("cardmode");
                var bankserial = $this.attr("bankserial");              
                if(typeof(capitalmode) == "undefined"&&typeof(cardmode) == "undefined"&&typeof(bankserial) == "undefined"){
                }
                else {
                    var params = "capitalmode=" + capitalmode + "&bankserial=" + bankserial + "&bankname=" + $this.find(".bankname").text();
                    var bankname = $this.find(".bankname").text();
                    if(bankname.indexOf("建设") != -1){
                        var argv = {
                            "title": "建设银行开户引导",
                            "hsnew": "true",
                            "leftbuttonstatus": "show",
                            "locationpageid": "",
                            "returnpageid": "",
                            "nextAction": "startpage",
                            "hidemenubar": "true"
                        };
                        $.hsOpen("account/ccb_introduction.html?" + params, argv);
                    }else if(bankname.indexOf("工商") != -1){
                        var argv = {
                            "title": "工商银行开户引导",
                            "hsnew": "true",
                            "leftbuttonstatus": "show",
                            "locationpageid": "",
                            "returnpageid": "",
                            "nextAction": "startpage",
                            "hidemenubar": "true"
                        };
                        $.hsOpen("account/icbc_introduction.html?" + params, argv);
                    }
                }
            });
        },
        packForm: function () {
            var htmlStr = "";
            $.startLoading("正在加载...");
            $.doAjaxCall("account/fastopenacco/banklist", "", function (jsonResult) {
                if (jsonResult&&jsonResult.successful) {
                    $.stopLoading();
                    var list = jsonResult.bankcards;
                    if (list.length == 0) {
                        htmlStr += "<dd m-selectionstyle=\"yes\" class=\"noResult\">"
                            + "<div m-role=\"cell\"  m-mode=\"y\" m-layout=\"fit\" m-padding=\"1 1 1 1\">"
                            + "<div m-role=\"cell\"  class=\"m-font-heavy\"   m-padding=\"1 1 0 1\">"
                            + "暂无支持开户的银行卡"
                            + "</div></div></dd>";
                    }
                    for (var i in list) {
                        var bankObj = list[i];
                        var dd = "<dd m-type=\"arrow\" m-selectionstyle=\"yes\"";
                        dd += "class=\"tradeDetailDl\" cardmode=\"" +
                            bankObj.cardmode + "\" capitalmode=\"" +
                            bankObj.capitalmode + "\" bankserial=\"" +
                            bankObj.bankserial + "\">" +
                            "<div m-role=\"cell\" m-mode=\"x\" m-layout=\"fit\" m-padding=\"1 1 1 1\">" +
                            "<div m-role=\"cell\" class=\"e-bank e-bank-ico"+bankObj.bankserial+"\"></div>" +
                            "<div m-role=\"cell\" class=\"m-font-heavy bankname\" m-valign=\"middle\" m-padding=\"1 1 0 1\" >" +
                            bankObj.bankname + "</div></div></dd>";
                        htmlStr += dd;
                    }
                }else{
                    $.stopLoading();
                    $.callFailProcess(jsonResult);
                }
                $("#AccoList").append(htmlStr);
            });
        }
    }
    tradeAccoList.init();
})
