$(function() {
	var action = {
		constant : {
			total : 0
		},
		init : function() {
			this.getRisk();
			this.events();
		},
		events: function() {
			$(document).on("tap","#submit", function() {
				action.updateRisk();
				return false;
			})
			$("#resultBtn").bind("tap", function() {
				var riskCCheck = $("#riskCCheck");
				var riskCMushUpdate = riskCCheck.is(':visible');
	           	if (riskCMushUpdate) {//需要更新合格
	           		if (!riskCCheck.is(':checked')) {//没有选中
	           			$.doAlert("请同意《公募基金投资准入要求》");
	           			return false;
	           		} else {//需要更新合格，并且选中
						$.doAjaxCall("account/account/modifyInfo", "pubhgflag=1&onlymodpubhgflag=1",  function(jsonResult){
		           			check();
		           		});
	           		}
	           	} else {
	           		check();
	           	}
				return false;
			});
			
			function check() {
				$.doAjaxCall("trade/common/todolist", "warningchannel=2",  function (jsonResult) {
					if (jsonResult.resultlist.length > 0) {
						$.UIAlert("您有风险待办事项需要处理", function () {
							var argv = {"title":"待办事项","leftbuttonstatus": "show", "hsnew": "true"};
							argv.securitylevel="login";
							$.hsOpen("account/todolist.html", argv);
						});
					} else {
						//获取用户资料判断是否完整
						$.doAjaxCall("atomicquery/account/logininfo", "",  function (jsonResult) {
							if (jsonResult.successful) {
								var result = jsonResult.result;
								var customerappellation = result.customerappellation;
								var idno = result.idno;
								var handset = result.handset;
								var beneficiary = result.beneficiary;
								var holdingname = result.holdingname;
								var communicationaddr = result.communicationaddr;
								var workcode = result.workcode;
								var idtype = result.idtype;
								var birthday = result.birthday;
								if(""==customerappellation
									||""==idno
									||""==handset
									||""==beneficiary
									||""==holdingname
									||""==communicationaddr
									||""==workcode
									||""==idtype
									||""==birthday){
									$.UIAlert("您的资料需要完善", function() {
										var argv = {"title":"客户信息修改","leftbuttonstatus": "show", "hsnew": "true"};
										argv.securitylevel="login";
										$.hsOpen("account/setting-account-modify-form.html", argv);
									});
								}else{
									$.hsDo("finishBack", "");
								}
							}
						});
					}
				});
			}
		},
		ensure:function () {
			$("#riskTest").hide();
			$("#agreementPage").show();
		},
		getRisk: function() {
			$.startLoading("正在加载...");
			$.doAjaxCall("account/risk/getModifyRiskForm", "", function(jsonResult){
				$.stopLoading();
				if (jsonResult.code == "ETS-5BP00000") {
					// action.constant.total = jsonResult.questionList.length;
					// var question1 = new Array();//风险问卷
					// var question2 = new Array();//诚信问卷
					// $(jsonResult.questionList).each(function (k, m) {
					// 	if (m.integrityflag == "0") {
					// 		question1.push(m);
					// 	}
					// });
					// $(jsonResult.questionList).each(function (k, m) {
					// 	if (m.integrityflag == "1") {
					// 		question2.push(m);
					// 	}
					// });
					// var $obj1 = $("#q-template1");
					// var html1 = doT.template($obj1.text(), undefined).call(this, question1);
					// $obj1.after(html1).remove();
					// $("[m-role='UITableView']").UITableView();
                    //
					// var $obj2 = $("#q-template2");
					// var html2 = doT.template($obj2.text(), undefined).call(this, question2);
					// $obj2.after(html2).remove();
					action.constant.question = jsonResult.questionList;
					action.constant.minrisklist=jsonResult.minrisklist;
					var question1 = [];//风险问卷
					var question2 = [];//诚信问卷
					$(jsonResult.questionList).each(function (k, m) {
						if (m.integrityflag == "" ||m.integrityflag == "0" || m.integrityflag == "4"|| typeof m.integrityflag === 'undefined') {
							question1.push(m);
						}else if (m.integrityflag == "1") {
							question2.push(m);
						}
					});
					$.doTemplate("risk-form", [question1,question2,jsonResult.minrisklist], "keepid");
					$("[m-role='UITableView']").UITableView();
					$("#question-view").show();
				} else {
					$.callFailProcess(jsonResult)
				}
			});
		},
		updateRisk: function() {
			var ddMarked = $("dd[m-marked='yes']");
		 	if ($("dd[m-marked='yes']").length < (action.constant.question.length)) {
				$.doAlert("请做完风险测评再提交");
				return;
			}


			var qnoandanswer = "";
			var minriskquestioncont="";
			ddMarked.each(function () {
				var _self = $(this);
				var qno = _self.parent().parent().attr("qno");
				var qanswer = _self.attr("qitemvalue");

				if(qno&&qno!=""&&qno!="undefined"){
					qnoandanswer += "\"" + qno + "\"" + ":" + "\"" + qanswer + "\"" + ",";
				}else{
					minriskquestioncont=qanswer;
				}

			});
			qnoandanswer = "{" + qnoandanswer.substr(0, qnoandanswer.length - 1) + "}";
			var data = "qnoandanswer=" + qnoandanswer+"&minriskquestioncont="+minriskquestioncont;
			$.startLoading("正在提交...");
			$.doAjaxCall("account/risk/modifyRisk", data, function (jsonResult) {
				if (jsonResult.successful) {
					$("#risk-result-span").text(jsonResult.riskablilityStr);
					$.doAjaxCall("atomicquery/account/logininfo", "", function (jsonResult) {
						if (jsonResult.successful) {
							if (jsonResult.result.pubhgflag!="1") {
								$("#riskCTip").show();
							}
							$("#question-view").remove();
							$("body").scrollTop(0);
							$("#result-view").show();
						}
					});

					$.stopLoading();
				} else {
					$.callFailProcess(jsonResult);
				}
			});

			// var result = [];
			// $(".qno").each(function(i, n) {
			// 	var q = $(n);
			// 	var mkd = q.find("dd[m-marked='yes']");
			// 	if (mkd.length == 0) {
			// 		$("html,body").animate({scrollTop: q.offset().top - 44}, 1000);
			// 	} else {
			// 		var qno = q.attr("q-no");
			// 		result.push("\""+ qno + "\":\""+mkd.attr("m-id")+"\"");
			// 	}
			// })
			// result = "{"+result.join(",")+"}";
			// var data = "qnoandanswer=" + result;
			// $.startLoading("正在评测");
			// $.doAjaxCall("account/risk/modifyRisk", data,  function (jsonResult) {
			// 	$.stopLoading();
			// 	if (jsonResult.successful) {
			// 		$("#risk-result-span").text(jsonResult.riskablilityStr);
			// 		$.doAjaxCall("atomicquery/account/logininfo", "", function (jsonResult) {
			// 			if (jsonResult.successful) {
			// 				if (jsonResult.result.pubhgflag!="1") {
			// 					$("#riskCTip").show();
			// 				}
			// 				$("#question-view").remove();
			// 				$("body").scrollTop(0);
			// 				$("#result-view").show();
			// 			}
			// 		});
			// 	} else {
			// 		$.callFailProcess(jsonResult);
			// 	}
			// });
		}
	};
	action.init();
})