$(function() {
	var action = {
		constant : {
			weeks : {
				"2" : "周一",
				"3" : "周二",
				"4" : "周三",
				"5" : "周四",
				"6" : "周五"
			},
			todolistBData:[]
		},
		init: function() {
			this.packForm();
			this.events();
		},
		formatAvgrDate : function(cycleunit, jyzq, jyrq) {
			var that=this;
			if ("0" === cycleunit) {
				jyzq = "每月";
				jyrq = jyrq+"日";
			} else if ("1" === cycleunit) {
				if ("1" === jyzq) {
					jyzq = "每周的";
					jyrq = that.constant.weeks[jyrq];
				} else if ("2" === jyzq) {
					jyzq = "每两周的";
					jyrq = that.constant.weeks[jyrq];
				}
			}
			return jyzq+jyrq;
		},
		packForm: function() {
			$.startLoading("正在加载...");
			$.doAjaxCall("trade/common/todolist", "warningchannel=2", function (jsonResult) {
				$.stopLoading();
				if (jsonResult.successful) {
					var todolist1 = [];
					var todolist2 = [];
					$(jsonResult.resultlist).each(function (k, m) {
						m.riskability = jsonResult.riskability;
						if (m.businflag == "AAA") {
							var requestlist = {};
							requestlist.serialno = m.serialno;
							requestlist.requestno = m.requestno;
							requestlist.warningno = m.warningno;
							requestlist.fundcode = m.fundcode;
							requestlist.businflag = m.businflag;
							requestlist.placeholder = m.placeholder;
							todolist2.push(m);
							action.constant.todolistBData.push(requestlist);
						} else {
							if (m.businflag == "090" || m.businflag == "091" || m.businflag == "982") {
								m.dtdate =action.formatAvgrDate(m.cycleunit, m.jyzq, m.jyrq)
								todolist1.push(m);
							}
						}
					});
					if(todolist1.length>0||todolist2.length>0){
						$("#tishi1").show();
						$("#tishi2").hide();
						var $obj1 = $("#todolist1");
						var html1 = doT.template($obj1.text(), undefined).call(this, todolist1);
						$obj1.after(html1).remove();
						$("[m-role='UITableView']").UITableView();

						var $obj2 = $("#todolist2");
						var html2 = doT.template($obj2.text(), undefined).call(this, todolist2);
						$obj2.after(html2).remove();
						$("[m-role='UITableView']").UITableView();
						$(".operation").on("tap", function() {
							action.next($(this));
						});
					}else{
						$("#tishi1").hide();
						$("#tishi2").show();
					}
				} else {
					$.callFailProcess(jsonResult);
				}
			});
		},

		events: function() {

			$("#ok").on("tap", function() {
				action.ok();
			})
		},
		next: function (html) {
			var id = html.attr("data-id");
			var type = html.attr("data-type");
			var requestno = html.attr("data-requestno");
			var warningno = html.attr("data-warningno");
			var fundcode = html.attr("data-fundcode");
			var businflag = html.attr("data-businflag");
			var placeholder = html.attr("data-placeholder");
			var requestlist = {};
			requestlist.serialno = id;
			requestlist.requestno = requestno;
			requestlist.warningno = warningno;
			requestlist.fundcode = fundcode;
			requestlist.businflag = businflag;
			requestlist.placeholder = placeholder;

			var request = new Array();
			request.push(requestlist);
			var data = "requestlist=" + JSON.stringify(request) + "&dealtype=" + type;
			var confirmHtml = type == "1"?"终止后定投计划将不再继续定时扣款":"确定继续使用该定投协议？";
			$.UIComfirm({"html":confirmHtml, "submitText":"确定","cancelText":"取消"}, function(confirm) {
				if ("yes" == confirm) {
					$.startLoading();
					$.doAjaxCall("trade/common/dealAndTrace", data, function (jsonResult) {
						$.stopLoading();
						if (jsonResult.successful) {
							html.parent().parent().remove();
							$.UIAlert("待办事项处理成功!");
							var content = $(".operation").length;
							if(content == 0){
								$("#tishi1").hide();
								$("#tishi2").show();
							}
						} else {
							$.callFailProcess(jsonResult);
						}

					});
				}
			});
			return false;
		},
		ok: function () {
			if(action.constant.todolistBData.length>0){
				var data = "requestlist=" + JSON.stringify(action.constant.todolistBData) + "&dealtype=0";
				$.startLoading();
				$.doAjaxCall("trade/common/dealAndTrace", data, function (jsonResult) {
					$.stopLoading();
					if (jsonResult.successful) {
						action.check();
					} else {
						$.callFailProcess(jsonResult);
					}

				});
			}else{
				action.check();
			}
		},
		check: function() {
			//获取用户资料判断是否完整
			$.doAjaxCall("atomicquery/account/logininfo", "",  function (jsonResult) {
				if (jsonResult.successful) {
					var result = jsonResult.result;
					var customerappellation = result.customerappellation;
					var idno = result.idno;
					var handset = result.handset;
					var beneficiary = result.beneficiary;
					var holdingname = result.holdingname;
					var communicationaddr = result.communicationaddr;
					var workcode = result.workcode;
					var idtype = result.idtype;
					var birthday = result.birthday;
					if(""==customerappellation
						||""==idno
						||""==handset
						||""==beneficiary
						||""==holdingname
						||""==communicationaddr
						||""==workcode
						||""==idtype
						||""==birthday){
						$.UIAlert("您的资料需要完善", function() {
							var argv = {"title":"客户信息修改","leftbuttonstatus": "show", "hsnew": "true"};
							argv.securitylevel="login";
							$.hsOpen("account/setting-account-modify-form.html", argv);
						});
					}else{
						$.hsDo("finishBack", "");
					}
				}
			});
		}
	}
	action.init();
});