/**
 * Created by hundsun on 16/6/2.
 */
//从预约页面进入产品详情，只显示产品一些基本信息，不显示预约时间，剩余额度，已售罄等等，通过产品代码可以查询到产品详情

$(function () {
    var searchObj = new $.hsTools.parseLocationSearch();
    var projectCode = searchObj.projectCode;
    //var repeatbook = searchObj.repeatBooking;
    //var maxBookingNum = searchObj.maxBookingNum;
    //var limitStandard = searchObj.limitStandard;
    global = {
        projectName : "",
        projectCode : "",
        fundDidSell : 0,
        fundScale : 0,
        maxbala:0,
        minbala:0,
        memo:0,
    }
    var reserveDetail = {
        init: function () {
            reserveDetail.projectDetail();
            reserveDetail.events();
        },
        getDidSell: function(){
            var beforeMD5 = "111111formatjsonfundcode"+projectCode+"meridSINAquerySums1signmodemd5versionV1.0111111";
            var afterMD5 = hex_md5(beforeMD5);
            var data = "format=json&fundcode="+projectCode+"&merid=SINA&querySums=1&signmode=md5&version=V1.0&signmsg="+afterMD5;
            $.startLoading("正在加载...");
            $.ajax({
                //url: "http://114.251.93.37:7127/webapi/restful/webapps/countByFundcode",
                url:"http://www.ydamc.com/webapi/restful/webapps/countByFundcode",
                type:"post",
                dataType:"json",
                jsonp:"call",
                //jsonpCallback:"",
                data:data,
                timeout:200000,
                error:function(){
                    $.stopLoading();
                },
                success:function(jsonResult){
                    var fund = jsonResult.results;
                    if (jsonResult.results.code == "WEB-5BP0000"){
                        global.fundDidSell = fund.sums;
                        //如果，限制方式是根据预约方式限制
                        if(limitStandard == 2){
                            //如果预约数大于等于可以预约的最大数量，则置为已售罄
                            if (jsonResult.results.count >= maxBookingNum){
                                $("#cannotreserve").show();
                                $("#reserve").hide();
                            }
                        }

                        if(global.fundScale - global.fundDidSell <= 0){
                            $("#cannotreserve").show();
                            $("#reserve").hide();
                        }else{
                            $("#cannotreserve").hide();
                            $("#reserve").show();
                        }
                        var leftMoney = global.fundScale-global.fundDidSell;

                        if(leftMoney <=0){
                            leftMoney = 0;
                        }
                        global.fundScale && $("#surplusLimit").html(leftMoney + "万");
//                        global.fundScale && $("#surplusLimit").html(global.fundScale - global.fundDidSell + "元");
                    }else{
//                        $.callFailProcess(jsonResult);
                    }
                    $.stopLoading();
                }
            });
        },
        projectDetail: function(){

            var beforeMD5 = "111111formatjsonmeridSINAprojectCode"+projectCode+"signmodemd5versionV1.0111111";
            var afterMD5 = hex_md5(beforeMD5);
            var data = "format=json&merid=SINA&projectCode="+projectCode+"&signmode=md5&version=V1.0&signmsg="+afterMD5;
            $.startLoading("正在获取...");
            $.ajax({
                //url: "http://114.251.93.37:7127/webapi/restful/project/projects",
                url:"http://www.ydamc.com/webapi/restful/project/projects",
                type:"post",
                dataType:"json",
                jsonp:"call",
                //jsonpCallback:"",
                data:data,
                timeout:200000,
                error:function(){
                    // $.stopLoading();
                },
                success:function(jsonResult){
                    //当产品详情请求到后，再去请求countByFundcode，然后计算剩余额度
                    //reserveDetail.getDidSell();
                    var projectItem = jsonResult.results.returnlist[0];
                    if (jsonResult.results.code == "WEB-5BP0000"){
                        var projectMoney = projectItem.memo;
                        if(projectMoney == ""){
                            projectMoney = 1;
                        }
                        $("#projectName").html(projectItem.projectName);
                        $("#projectCode").html(projectItem.projectCode);
//                        $("#projectMoney").html(projectMoney+"万");
                        $("#expecteDrate").html(projectItem.expecteDrate);
//                        var createdate = new Date(projectItem.createDate);
//                        $("#createDate").html(createdate.toLocaleDateString());
                        $("#purpose").html(projectItem.purpose);
                        $("#timeLimit").html(projectItem.timeLimit);
                        global.fundScale = projectItem.scale;
                        global.maxbala = projectItem.maxbala;   //最大申购金额
                        global.minbala = projectItem.minbala;   //最小申购金额
                        global.memo = projectMoney;         //购买限制金额，购买金额必须是这个的整数倍
//                        var leftMoney = projectItem.scale/10000-global.fundDidSell/10000;
//                        $("#surplusLimit").html(leftMoney + "万");
//                        //如果可以预约数量超过可以预约的数量，显示已售罄
//                        if(projectItem.scale - global.fundDidSell <= 0){
//                            $("#cannotreserve").show();
//                            $("#reserve").hide();
//                        }else{
//                            $("#cannotreserve").hide();
//                            $("#reserve").show();
//                        }
                        var disCloseway = "";
                        switch(projectItem.disCloseway)
                        {
                            case "0":disCloseway = "高";break;
                            case "1":disCloseway = "中";break;
                            case "2":disCloseway = "低";break;
                            default:break;
                        }
                        $("#disCloseway").html(disCloseway);
                        global.projectName = projectItem.projectName;
                        global.projectCode = projectItem.projectCode;
                    }else{
                        $.callFailProcess(jsonResult);
                    }
                }
            });
        },
        events: function () {
            $("#reserve").on("tap", function () {
//                var checkContract = $("#checkContract").UICheckBox("value");
//                if (checkContract != "yes"){
//                    $.doAlert("请阅读并同意相关说明书!");
//                    return;
//                }
                var argv = {"title": "预约个人信息", "hsnew": "true", "locationpageid": ""};
//                argv.securitylevel = "login";
                var fundScale = global.fundScale-global.fundDidSell;
                var param = "?projectName="+global.projectName+"&projectCode="+global.projectCode+"&repeatBooking="+repeatbook+"&fundScale="+fundScale+"&maxbala="+global.maxbala+"&minbala="+global.minbala+"&memo="+global.memo;
                $.hsOpen("discoverinvestment/product-appointment.html"+param,argv);
            });
            $("#cannotreserve").on("tap",function(){
                $.doAlert("产品已售罄");
            });

        },
    };
    reserveDetail.init();
})
