/**
 * Created by yaoqi on 15/5/21.
 */
$(function(){
    var searchObj = new $.hsTools.parseLocationSearch();
    var queryShareDetailPage = {
        init:function(){
            $.startLoading("正在加载...");
            queryShareDetailPage.initData();
            queryShareDetailPage.events();
            var fundcode = searchObj.fundcode;
            var agencytype = searchObj.agencytype;
            var datasource = "0" == agencytype ? "DS" : "DC";
            data = "fundcode="+fundcode+"&datasource="+datasource;
             $.doAjaxCall("query/share/compositeShareDetail",data, queryShareDetailPage.shareQueryListCallback);
        },
        initData:function(){
            $("#totalincomeDiv").html(Number(searchObj.totalincome).toFixed(2));//盈亏(元)
        },

        shareQueryListCallback: function (jsonResult) {
            $.stopLoading();
            if(jsonResult && jsonResult.successful){
                var list = jsonResult.shareList;
                $("#fundnameDiv").html(list[0].fundname);
                $("#header").html(list[0].fundname);
                $("#markValueDiv").html(Number(jsonResult.marketvalue).toFixed(2));
                $("#currentremainshareDiv").html(Number(jsonResult.currentremainshare).toFixed(2));
                $("#bounstypeDiv").html(list[0].melonmethod);
                $("#usableremainshareDiv").html(Number(jsonResult.usableremainshare).toFixed(2));
                var fundtype = jsonResult.shareList[0].fundtype;
                if("2"==fundtype || "9"==fundtype){//如果是货币基金或者短期理财，显示七日年化，否则显示净值
                    $("#unicomDiv").html("七日年化收益率");
                    $("#netvalueDiv").html(jsonResult.incomeratio);
                }else{
                    $("#unicomDiv").html("最新净值");
                    $("#netvalueDiv").html(jsonResult.pernetvalue);
                }
                //var html = '<dd m-type='mark' +' m-id='226000038539><div m-role="cell" m-mode="x" m-layout="fit" m-valign="middle" m-padding="0 1 1 1"><div m-role="cell" m-mode="x" m-layout="fit" m-valign="middle"><div m-role="cell" m-padding="1 0 0 1" class="e-bank e-bank1-ico003"></div><div m-role="cell" m-padding="1 1 0 1" class="m-font-heavy m-font-big">通联_中国农业银行</div></div><div m-role="cell" m-valign="middle" class="m-font-big m-color-13">8774.00元</div></div></dd><dd m-type='mark' +' m-id='226000038854><div m-role="cell" m-mode="x" m-layout="fit" m-valign="middle" m-padding="0 1 1 1"><div m-role="cell" m-mode="x" m-layout="fit" m-valign="middle"><div m-role="cell" m-padding="1 0 0 1" class="e-bank e-bank1-ico003"></div><div m-role="cell" m-padding="1 1 0 1" class="m-font-heavy m-font-big">中国农业银行</div></div><div m-role="cell" m-valign="middle" class="m-font-big m-color-13">2554163.00元</div></div></dd><dd m-type='mark' +' m-id='226000038865><div m-role="cell" m-mode="x" m-layout="fit" m-valign="middle" m-padding="0 1 1 1"><div m-role="cell" m-mode="x" m-layout="fit" m-valign="middle"><div m-role="cell" m-padding="1 0 0 1" class="e-bank e-bank1-ico005"></div><div m-role="cell" m-padding="1 1 0 1" class="m-font-heavy m-font-big">中国建设银行</div></div><div m-role="cell" m-valign="middle" class="m-font-big m-color-13">22105.00元</div></div></dd>';
                var html = "";
                for(var index in list) {
                    item = list[index];
                    var bankname = item.bankname;
                    var bankserial = item.bankserial;
                    var tradeacco = item.tradeacco;
                    var bankacco = item.bankacco;
                    var sharetype = item.sharetype;
                    var usableremainshare = item.usableremainshare;
                    var capitalmode = item.capitalmode;
                    if(capitalmode==1)
                    {
                        bankname =""+bankname;
                    }

                    if(index ==0){
                        html += "<dd m-marked=yes m-type=\"mark\"  m-id=\"" + tradeacco + "\">"
                            + "<div m-role=\"cell\" m-mode=\"x\" m-layout=\"fit\" m-valign=\"middle\" m-padding=\"0 1 1 1\">"
                            + "<div m-role=\"cell\" m-mode=\"x\" m-layout=\"fit\" m-valign=\"middle\">"
                            + "<div m-role=\"cell\" m-padding=\"1 0 0 1\" class=\"e-bank e-bank1-ico" + bankserial + "\"></div>"
                            + "<div m-role=\"cell\" m-padding=\"1 1 0 1\" class=\"m-font-heavy m-font-small bankname\">" + bankname + "</div>"
                            + "</div>";
                            if (list[index].fundtype == "2" || list[index].fundtype == "9")
                            {
                                html += "<div m-role=\"cell\" m-valign=\"middle\" class=\"m-font-small m-color-13 remainshare\">" + usableremainshare + "元 </div>"
                                + "</div>"
                                + "</dd>";
                            }else{
                                html += "<div m-role=\"cell\" m-valign=\"middle\" class=\"m-font-small m-color-13 remainshare\">" + usableremainshare + "份 </div>"
                                + "</div>"
                                + "</dd>";
                            }

                    }else{
                        html += "<dd m-type=\"mark\"  m-id=\"" + tradeacco + "\">"
                            + "<div m-role=\"cell\" m-mode=\"x\" m-layout=\"fit\" m-valign=\"middle\" m-padding=\"0 1 1 1\">"
                            + "<div m-role=\"cell\" m-mode=\"x\" m-layout=\"fit\" m-valign=\"middle\">"
                            + "<div m-role=\"cell\" m-padding=\"1 0 0 1\" class=\"e-bank e-bank1-ico" + bankserial + "\"></div>"
                            + "<div m-role=\"cell\" m-padding=\"1 1 0 1\" class=\"m-font-heavy m-font-small bankname\">" + bankname + "</div>"
                            + "</div>";
                            if (list[index].fundtype == "2" || list[index].fundtype == "9")
                            {
                                html += "<div m-role=\"cell\" m-valign=\"middle\" class=\"m-font-small m-color-13 remainshare\">" + usableremainshare + "元 </div>"
                                    + "</div>"
                                    + "</dd>";
                            }else{
                                html += "<div m-role=\"cell\" m-valign=\"middle\" class=\"m-font-small m-color-13 remainshare\">" + usableremainshare + "份 </div>"
                                + "</div>"
                                + "</dd>";
                            }
                    }
                }
                $("#resultList").append(html);
  
                
                var firstObj = $("#UITableView #resultList #0");//默认选择第一个
                if (firstObj && firstObj.length > 0) {
                    firstObj.attr("m-marked", "yes");
                }
                $("#UITableView").UITableView("refresh");
            }else{
  		        $.stopLoading();
                $.callFailProcess(jsonResult);
            }
        },
        events:function(){
            $("#buyBtn").on("tap", function(){
                var argv = {};
                var mid = $("#UITableView").UITableView("marked");
                var marked = $("[m-type='mark']");
                var selectObj = $("[m-marked][m-id='" + mid + "']");
                    argv.title =searchObj.fundname;
                    var params = "fundcode=" + searchObj.fundcode  +  "&tradeacco=" + mid + "&sharetype="+searchObj.sharetype +"&fundname=" + searchObj.fundname ;
                    argv.securitylevel = "login";
 					if(searchObj.fundtype == '2'){
 						$.hsOpen("syb/money-in-form.html?" + params, argv);
 					}else{
                        $.hsOpen("trade/trade-buy-form.html?" + params, argv);
                    }

            });
            $("#redeemBtn").on("tap", function(){
                var argv = {};
                var mid = $("#UITableView").UITableView("marked");
                var marked = $("[m-type='mark']");
                var selectObj = $("[m-marked][m-id='" + mid + "']");
                    argv.title =searchObj.fundname;
                    var mbankname = selectObj.find(".bankname").html();
                if(mbankname=="天天盈"){
                    $.doAlert("您好！APP暂不支持天天盈渠道！");
                    return;
                }
                    var params = "fundcode=" + searchObj.fundcode  +  "&tradeacco=" + mid + "&sharetype="+searchObj.sharetype +"&fundname=" + searchObj.fundname ;
                    $.hsOpen("trade/trade-sale-form.html?" + params, argv);
            });

            $("#transBtn").on("tap", function(){
                var mid = $("#UITableView").UITableView("marked");
                var marked = $("[m-type='mark']");
                var selectObj = $("[m-marked][m-id='" + mid + "']");
                var mbankname = selectObj.find(".bankname").html();
                if(mbankname=="天天盈"){
                    $.doAlert("您好！APP暂不支持天天盈渠道！");
                    return;
                }
                var argv = {
                    "title": "转换",
                    "hsnew": "true",
                    "locationpageid": "transList",
                    "returnpageid": "",
                    "nextAction": "startpage",
                    "hidemenubar": "true"
                };
                argv.securitylevel = "login";
                              var params = "fundcode=" + searchObj.fundcode  +  "&tradeacco=" + mid + "&sharetype="+searchObj.sharetype +"&fundname=" + searchObj.fundname +"&currentremainshare=" + parseFloat(selectObj.find(".remainshare").html());
                $.hsOpen("trade/trade-trans-form.html?" + params, argv);
            });
        }
    };
    queryShareDetailPage.init();
});








