﻿$(function () {
    var searchObj = new $.hsTools.parseLocationSearch();
    var global = {};
    var applyDetail = {
        init: function () {
            $("#fundname").text(searchObj.fundname || "--");
            $("#fundcode").text(searchObj.fundcode || "--");
            $("#apply").text(searchObj.apply || "--");
            $("#busintypestr").text(searchObj.busintypestr || "--");
            $("#kkzt").text(searchObj.kkzt || "--");
            $("#confirmstatus").text(searchObj.confirmstatus || "--");
            $("#requestdate").text(searchObj.applydate || "--");
            $("#bankcard").text(searchObj.bankacco || "--");
            if(searchObj.withdrawstat == '1'){
                $("#withdrawBtn").show();
            }else{
                $("#withdrawBtn").hide();
            }
            applyDetail.events();
        },
        events: function () {
            $("#withdrawBtn").on("tap", applyDetail.confirmOrder);
        },
        doWithdraw: function () {
            $.startLoading("正在提交...");
            var data = "tradeacco=" + (searchObj.tradeacco || "")
                + "&applyserial=" + (searchObj.applyserial || "")
            var url = "trade/withdraw/withdraw";
            $.doAjaxCall(url, data, applyDetail.doWithdrawCallback);
        },
        doWithdrawCallback: function (jsonResult) {
            $.stopLoading();
            if(jsonResult && true==jsonResult.successful) {
                if(jsonResult.code == "ETS-5BP00000"){
                   //基金转换的页面也是跳转到资产页面，原生部分已做拦截，故此处jspage传递基金转换的就好了
                    var argv = {"title":"提示", "message":jsonResult.message, "jspage":"trade-trans-view"};
                    $.hsDo("doAlert",argv);
                }
            } else {
                $.callFailProcess(jsonResult);
            }
        },

        confirmOrder: function () {
            var html = "<div m-role='cell' m-mode='y' m-layout='fit' m-padding='1 1 1 1' >"
                + "<div m-role='cell' m-margin='1 1 1 1'  m-padding='1 1 1 1' "
                + "m-align='center' class='m-font-big'>您确认撤销此申请?</div>"
                + "</div>";
            $.UIComfirm({
                    "html": html,
                    "cancelText": "取消",
                    "cancelStyle": "style-2",
                    "submitText": "确定",
                    "submitStyle": "style-1"
                },
                function (v) {
                    if (v && "yes" == v) {
                        applyDetail.doWithdraw();
                    }
                });
        }
    };
    applyDetail.init();
});