$(function() {
	var pageForm = {
		init : function() {
		    pageForm.packForm();
			pageForm.events();
		},
		events : function() {
			$("#obtainOpenaccoRewardBtn").on("tap",pageForm.obtainOpenaccoReward);
		},
		obtainOpenaccoReward : function(){//开户提取
		  //先判断使用是否绑卡，如果没有绑卡，链接到绑卡页面
		  //$.stopLoading();
		  $.doAjaxCall("reward/hasbindcard", "", pageForm.hasbindCardCallback);

		},
		hasbindCardCallback : function(jsonResult){//判断是否绑卡
		 if(jsonResult && "true"==jsonResult.successful){
		    var hasbindcard = jsonResult.results.value;
			//hasbindcard = "false";//调试语句
			//未绑卡--跳转到绑卡页面
			if("false" == hasbindcard){
            	var argv={"title":"新增银行卡","returnpageid":"splashpage","nextAction":"startpage"};
            	argv.securitylevel="login";
            	$.hsOpen("account/account-openTradeAcco.html?comefrom=reward",argv);
			    return false;
			}
			//已绑卡--调用户的更新登录红包状态
			$.startLoading("正在提交申请...");
			var requestno = $("#obtainOpenaccoRewardBtn").attr("requestno");
			var params = "requestno="+requestno+"&status=1";
			$.doAjaxCall("reward/updateRewardStatus", params, pageForm.callbackForUpdatingStatus);
		 }else{
		    $.stopLoading();
			$.callFailProcess(jsonResult);
		 }
		
		},
		callbackForUpdatingStatus:function(jsonResult){
		   //更新成功，页面跳转到结果页面
		   if(jsonResult && "true"==jsonResult.successful){
		        // && "true" == jsonResult.results.success
            	var rewardshare = $("#obtainOpenaccoRewardBtn").attr("rewardshare");
				//alert(rewardshare);
            	var params = "rewardshare="+rewardshare;
            	var argv={"title":"获取红包结果","rewardshare":rewardshare,"returnpageid":"splashpage","nextAction":"startpage"};
            	argv.securitylevel="login";
				// $.hsOpen("syb/reward-result.html?"+params,argv);
            	$.hsDo("finishBack","");
            	$.hsDo("oneKeyShare",argv);
		   }else{
		      $.stopLoading();
			  $.callFailProcess(jsonResult);
		   }
			
		},
		packForm:function (){
		   //查询用户的红包信息
		   $.doAjaxCall("reward/queryCustRewardInfo", "", pageForm.unpackRewardInfo);
		},
		unpackRewardInfo:function(jsonResult){
		  var totalObtainRewardShare = 0.00;//总的已获取到的奖励数 红包状态为0,1,2
		  var totalDistributeRewardShare = 0.00 ;//总的已发放的奖励数 红包状态为2
		  var totalUndistributeRewardShare = 0.00 ;//总的没有发放的奖励数 红包状态为0,1
		  var detailHtml = "";
		  var hasOpenAccoReward = false;
		  var hasRewardDetail = false;
		  var unConfirmOpenAccoRewardRequestNo = "";//没有确认的首次登录分配的红包申请编号
		  var unConfirmOpenAccoRewardRewardshare = "";//没有确认的首次登录分配的红包申请编号
		  if(jsonResult && "true"==jsonResult.successful){
		     //query cust reward info successfully
			 var resultList = jsonResult.results.resultList.list;
			 for(var index in resultList){
			    var item = resultList[index];
				var status = item.status;//状态
				var requestno = item.requestno;
				var createdate = item.createdate;//创建日期
				var createtime = item.createtime;//创建时间
				var year = createdate.substring(0,4);
				var month = createdate.substring(4,6);
				var day = createdate.substring(6,8);
				var type = item.type;//红包类型
				var rewardshare = item.rewardshare;//红包金额
				rewardshare = parseFloat(rewardshare);
				totalObtainRewardShare += rewardshare;
				if("0" == status || "1" == status){
				  totalUndistributeRewardShare += rewardshare;
				    //判断是否有开户未提取的红包份额
			    	if("00" == type && status == "0"){
				          hasOpenAccoReward = true;
						  unConfirmOpenAccoRewardRequestNo = requestno;
						  unConfirmOpenAccoRewardRewardshare = rewardshare;
				    }
				}else if("2" == status){
				  totalDistributeRewardShare += rewardshare;
				}
				
				//组装明细的html
				if("1" == status || "2" == status){
				    hasRewardDetail = true;
				    detailHtml +="<dd><div m-role=\"cell\" m-mode=\"x\" m-layout=\"fit\" m-valign=\"middle\" m-padding=\"1 1 1 1\">"
        	                 +"<div m-role=\"cell\"  m-layout=\"fit\" class=\"m-color-6\" m-mode=\"y\">"
							 + "<div m-role=\"cell\">" +pageForm.getTypeDescByType(type)+"</div>"
							 + "<div m-role=\"cell\">"+year+"-"+month+"-" +day+"</div>"
							 + "</div>"
							 + "<div m-role=\"cell\" class=\" m-color-7\"  m-align=\"right\">"
							 + rewardshare
							 +"</div></div></dd>";
				}
			 }
                
			 //更新DOM节点
			 if(!resultList || resultList.length ==0 || !hasRewardDetail){
			      detailHtml +="<dd><div m-role=\"cell\" m-mode=\"x\" m-layout=\"fit\" m-valign=\"middle\" m-padding=\"1 1 1 1\">"
        	                 +"<div m-role=\"cell\"  m-layout=\"fit\" class=\"m-color-6\" m-mode=\"y\">"
							 + "<div m-role=\"cell\">对不起，暂时没有红包明细信息</div></div></dd>";
			 }
			 
			 //是否显示开户提取按钮
			 if(hasOpenAccoReward){
			    $("#obtainOpenaccoRewardBtn").attr("requestno",unConfirmOpenAccoRewardRequestNo);
				$("#obtainOpenaccoRewardBtn").attr("rewardshare",unConfirmOpenAccoRewardRewardshare);
			    $("#obtainOpenaccoRewardBtn").show();
			 }else{
			    $("#obtainOpenaccoRewardBtn").hide();
			 }
			 
			 //更新Html
			 $("#rewardDetail").append(detailHtml);
			 $("#obtainRewardShare").html(totalObtainRewardShare.toFixed(2));
			 $("#distributeRewardShare").html(totalDistributeRewardShare.toFixed(2));
			 $("#undistributeRewardShare").html(totalUndistributeRewardShare.toFixed(2));
		  }else{
		     //fail to query cust reward info
			 $.stopLoading();
			 $.callFailProcess(jsonResult);
		  }
		},
		getTypeDescByType :function(type){
		   var  typeDesc = "";
		   if("00" == type){
		     typeDesc = "登录提取";
		   }else if("01" == type){
		     typeDesc ="邀请好友";
		   }
		   return typeDesc;
		}
	};
	pageForm.init();
});