$(function () {
    var pageAccountIndex = {
        init: function () {
            pageAccountIndex.events();
        },
        events: function () {
            document.addEventListener("deviceready", function () {
                $.hsDo("refreshLoginStatus", "$.isLogin");
            }, false);

            $("#accountDiv").on("tap", function () {
                var argv = {"title": "账户", "hsnew": "true", "locationpageid": "accountInfo", "returnpageid": "accountIndex"};
                argv.securitylevel = "login";
                $.hsOpen("account/account-info.html", argv);
            });
            $("#hongbaoDiv").on("tap", function () {
                var argv = {"title": "我的红包", "hsnew": "true", "locationpageid": "hongbao", "returnpageid": "accountIndex"};
                argv.securitylevel = "login";
                $.hsOpen("syb/fqb-hongbao.html", argv);
            });
            $("#helpDiv").on("tap", function () {
                var argv = {"title": "帮助中心", "hsnew": "true", "locationpageid": "help", "returnpageid": "accountIndex"};
                $.hsOpen("http://m.fullgoal.com.cn/mobile/fullwallet/help/index.html", argv);
            });
            $("#versionUpdateDiv").on("tap", function () {//检查更新
				 $.hsDo("checkUpdateVersion","check");
               // pageAccountIndex.checkVersion();
            });
            $("#aboutDiv").on("tap", function () {
                var argv = {"title": "关于现金宝", "hsnew": "true", "locationpageid": "about", "returnpageid": "accountIndex"};
                $.hsOpen("http://m.fullgoal.com.cn/mobile/fullwallet/about/index.html", argv);
            });
			
			$("#onLineServer").on("tap", function () {
                var argv = {"title": "在线客服", "hsnew": "true", "locationpageid": "about", "returnpageid": "accountIndex"};
                $.hsOpen("https://cs-online.fullgoal.com.cn/web/icc/chat/chat!wapIndex.action?c=1&argv={%22type%22:%22browser%22}#homePage", argv);
            });
			
			$("#serverPhone").on("tap", function () {
				var argv={"number":"400-890-5288","message":"是否拨打客服电话"};
               $.hsDo("callPhone", argv);
            });

        },
        checkVersion: function () {
            var channel = $("#channelDiv").html();
            var data = "platform=" + channel;
            $.doAjaxCall("system/version", data, pageAccountIndex.versionCallback);
        },
        versionCallback: function (jsonResult) {
            if (jsonResult && "true" == jsonResult.successful) {
                var version = $("#versionSpan").html();
                var requestVersion = jsonResult.results.version;
                if (null == requestVersion || "" == requestVersion || null == version || "" == version) {
                    $.doAlert("检查更新失败！");
                } else {
                    if (Number(version) - Number(requestVersion) >= 0) {
                        $.doAlert("当前已是最新版本!");
                    } else {
                        //$.doAlert("有新版本" + requestVersion + "可以更新！");
						$.hsDo("checkUpdateVersion","check");
                    }
                }
            } else {
                $.callFailProcess(jsonResult);
            }
        }
    };
    pageAccountIndex.init();
})

$.extend({
    isLogin: function (jsonResult) {
        if (jsonResult.isLogin == 'true') {
            $("#loginButton").text("安全退出");
            $("#loginButton").attr("m-style", "style-1");
            $("#loginButton").unbind();
            $("#loginButton").bind("tap", function () {
                $.logout();
            });
            $("#handsetDiv").html("账户信息");
            //$.doAjaxCall("account/customerinfo", "", $.custinfoCallback);

        } else {
            $("#handsetDiv").html("未登录");
            $("#loginButton").text("登 录");
            $("#loginButton").attr("m-style", "style-1");
            $("#loginButton").unbind();
            $("#loginButton").bind("tap", function () {
                $.login();
            });
        }
        if (jsonResult.version) {
            $("#versionSpan").html(jsonResult.version);
            $("#channelDiv").html(jsonResult.channel);
        }
    },
    login: function () {
        $.hsDo("login", {"nextAction": "js"});
    },
    logout: function () {
        $.hsDo("logout", {"message": "确定要安全退出吗？", "nextAction": "js"});
    },
    //获取客户信息返回
    custinfoCallback: function (jsonResult) {
        if (jsonResult && "true" == jsonResult.successful) {
            $.assembleData(jsonResult.results);
            $.stopLoading();
        } else {
            $.callFailProcess(jsonResult);
        }
    },
    assembleData: function (results) {
        var handset = results.handset;
        var handset1 = $.hsTools.substr(handset.toString(), 0, 3);
        var handset2 = $.hsTools.substr(handset.toString(), 3, 5);
        handset2 = handset2.replace(/([\_\.a-zA-Z0-9\u4E00-\u9FA5])/g, "*");
        var handset3 = $.hsTools.substr(handset.toString(), 8, 999);
        handset = handset1 + handset2 + handset3;
        $("#handsetDiv").html(handset);
    }
});
