$(function () {
    var global = {
        fundcode: "000638"
    }
    var pageHome = {
        init: function () {
            $.startLoading("正在加载...");
//            var myDate = new Date();
//            var myMonth = myDate.getMonth()+1;
//            var myDay = myDate.getDate()-1;
//            var zrsyDiv = myMonth + "月" + myDay + "日收益(元)"
//            $("#zrsyDiv").html(zrsyDiv);
//
//            pageHome.events();
//            setTimeout(pageHome.initData, 1000);
        },
        events: function () {
            $("#qrnhsylDiv_login").on("tap", function () {
                $.hsDo("doOpenYieldChart", "");
            });
            $("#wfsylDiv_login").on("tap", function () {
      //          $.hsDo("doOpenYieldChart", "");
            });
            $("#zsyDiv").on("tap", function () {
                $.hsDo("toSYDetail", "");
            });
            $("#zzcDiv").on("tap", function(){
                $.hsDo("toJYMXDetail", "");
            });
//            $.doAjaxCall("account/customerinfo", "", pageHome.custinfoCallback);
//            $.doAjaxCall("query/share","filterzerofundshare=0&datasource=DS&querytype=12", pageHome.queryShareCallBack);//查询用户现金宝信息
            $.refreshZZC();

            $("#accountDiv").on("tap", function() {
                var argv = {"title":"账户","hsnew":"true","locationpageid":"accountInfo","returnpageid":"accountIndex", "hidemenubar":"true"};
                argv.securitylevel="login";
                $.hsOpen("account/account-info.html", argv);
            });
            $("#cunru").on("tap", function () {
                var argv = {"title": "存入", "hsnew": "true", "locationpageid": "moneyIn", "returnpageid": "accountIndex","hidemenubar":"true", "startpage":"syb/money-in-form.html", "leftbuttonstatus":"show"};
                argv.securitylevel="login";
                $.hsDo("doOpenMoneyInPage", argv);
            });
            $("#quxian").on("tap", function () {
                var argv = {"title": "取现", "hsnew": "true", "locationpageid": "moneyOut", "returnpageid": "accountIndex","hidemenubar":"true", "startpage":"syb/money-out-form.html", "leftbuttonstatus":"show"};
                argv.securitylevel="login";
                $.hsDo("doOpenMoneyOutPage", argv);
            });
        },
        //获取客户信息返回
        custinfoCallback: function (jsonResult) {
            if (jsonResult && "true" == jsonResult.successful) {
                pageHome.assembleData(jsonResult.results);
            } else {
//                $.stopLoading();
                $.callFailProcess(jsonResult);
            }
        },
        assembleData: function (results) {
            var name = results.customerappellation;
            var nameTmp1 = $.hsTools.substr(name.toString(), 0, 2);
            var nameTmp2 = $.hsTools.substr(name.toString(), 1, 999);
            nameTmp2 = nameTmp2.replace(/([\_\.a-zA-Z0-9\u4E00-\u9FA5])/g, "*");
            name = nameTmp1 + nameTmp2;
            $("#customNameDiv").html(name);
            var handset = results.handset;
            var handset1 = $.hsTools.substr(handset.toString(), 0, 3);
            var handset2 = $.hsTools.substr(handset.toString(), 3, 5);
            handset2 = handset2.replace(/([\_\.a-zA-Z0-9\u4E00-\u9FA5])/g, "*");
            var handset3 = $.hsTools.substr(handset.toString(), 8, 999);
            handset = handset1 + handset2 + handset3;
            $("#handsetDiv").html(handset);
        },
        initData: function () {
            //加载超级现金宝的信息
//            var data = "item=SALE&caption=ETS_SUPERMONEYFUND";
//            $.doAjaxCall("common/sysparameter", data, pageHome.loadSuperMoneyFundInfo);
            pageHome.loadSuperMoneyFundInfo();
        },
        loadSuperMoneyFundInfo: function () {
//            if (jsonResult && "true" == jsonResult.successful) {
//                var sysvalue = jsonResult.results.value;
//                var values = sysvalue.split("|");
//                global.fundcode = values[0];
                var data = "fundcode=" + global.fundcode;//这个要根据英大现金宝实际基金代码进行配置
                $.doAjaxCall("product/funddetail", data, pageHome.funddetailCallback);
//            } else {
//                $.stopLoading();
//                $.callFailProcess(jsonResult);
//            }
        },
        funddetailCallback: function (jsonResult) {
            if (jsonResult && "true" == jsonResult.successful) {
//                $.stopLoading();
                var list = jsonResult.results.returnlist.list;
                if (list.length > 0) {
                    var info = list[0];
                    var incomeratio = (Number(info.incomeratio) * 100).toFixed(4);//七日年化收益率
                    var incomeunit = info.incomeunit;//万份收益率
                    $("#qrnhsylSpan").html(incomeratio);
                    $("#wfsyDiv").html(incomeunit);
                }
            } else {
//                $.stopLoading();
                $.callFailProcess(jsonResult);
            }
        },
        queryShareCallBack: function (jsonResult) {
            if (jsonResult && "true" == jsonResult.successful) {
//                $.stopLoading();
                pageHome.setQueryShareData(jsonResult.results);
            } else {
//                $.stopLoading();
                $.callFailProcess(jsonResult);
            }
        },
        setQueryShareData: function (results) {
            var list = results.returnlist.list;
            var totalcapital = Number(results.totalcapital);//总资产
            var totaldayincome = Number(0.00);//昨日收益
            var totalincome = Number(0.00);//累计收益
            if (list.length > 0) {
                for (var item in list) {
                    var info = list[item];
                    if (typeof(info.dayincome) != "undefined") {
                        totaldayincome += Number(info.dayincome);
                    }

                    if (typeof(info.totalincome) != "undefined") {
                        totalincome += Number(info.totalincome);
                    }
                }
                $("#zrsy").html(totaldayincome!=0?totaldayincome.toFixed(2):"0.00");
                $("#zzc").html(totalcapital!=0?totalcapital.toFixed(2):"0.00");
                $("#zsy").html(totalincome!=0?totalincome.toFixed(2):"0.00");
            }
            else {
                //$("#zrsyText").hiden;
                //$("#noIncom").show();
                $("#zrsy").html("0.00");
                $("#zzc").html("0.00");
                $("#zsy").html("0.00");
            }

        }
    };
    window.otherpagehome=pageHome;
    pageHome.init();
})

$.extend({
    refreshPage : function(jsonResult) {
        $.hsDo("refreshPage",null);
    },

    refreshZZC: function(){
         $.doAjaxCall("account/customerinfo", "", window.otherpagehome.custinfoCallback);

        $.doAjaxCall("query/share","filterzerofundshare=0&datasource=DS&querytype=12",  window.otherpagehome.queryShareCallBack);//查询用户现金宝信息
    }
})




