/**
 * Created by yaoqi on 15/5/26.
 */
$(function () {
    var global2 = {
        result: {}
    };
    var searchObj = new $.hsTools.parseLocationSearch();
    var myAvgrDetail = {
        init: function () {
            this.events();
            this.initData();
        },
        initData: function () {
            $.startLoading("正在加载...");
            var data = "xyh=" + searchObj.xyh;
            $.doAjaxCall("valuavgr/fixcharge/fixChargeChangeForm", data, myAvgrDetail.avgrQueryCallback);
        },
        events: function () {
            //暂停按钮
            $("#changeStateBtn").on("tap", function () {
                var state = global2.result.state == "A" ? "P" : "A";
                myAvgrDetail.doConfirm(state);
            });
            //终止按钮
            $("#endBtn").on("tap", function () {
                var state = "H";
                global2.result.state = state;
                myAvgrDetail.doConfirm(state);
            });
            //修改协议
            $("#modifyBtn").on("tap", function () {
                var argv = {"title": "定期申购详情", "returnpageid": "returnpageid-money-avgr-charge-modify-form", "locationpageid": "locationpageid-money-avgr-charge-modify-form", "hsnew": "true",
                    "leftbuttonstatus": "hidden", "rightbutton": {"title": "取消", "type": "cancel"}};
                argv.securitylevel = "login";
                var data = "xyh="+searchObj.xyh+"&jyzq="+global2.result.jyzq+"&jyrq="+global2.result.jyrq+"&state="+global2.result.state+"&applysum="+global2.result.applysum+
                    "&cycleunit=" + global2.result.cycleunit+ "&bankinfo=" + global2.result.bankinfo+ "&xybm=" + global2.result.xybm;
                $.hsOpen("syb/money-avgr-charge-modify-form.html?" + data, argv);
            });
        },
        doConfirm: function (state) {
            var html = "";
            if ("A" == state) {
                html = "您确定开启定期申购计划？";
            } else if ("P" == state) {
                html = "您确定暂停定期申购计划？";
            } else if ("H" == state) {
                html = "您确定终止定期申购计划？";
            }
            var html = "<div m-role=\"cell\" m-mode=\"y\" m-layout=\"fit\">"
                + "<div m-role=\"cell\"  m-padding=\"1 1 1 1\" m-align=\"center\" id='bankcardinfo'>" + html + "</div>"
                + "</div>";
            $.UIComfirm({
                "html": html,
                "cancelText": "取消",
                "cancelStyle": "style-3",
                "submitText": "确认",
                "submitStyle": "style-2"
            }, function (v) {
                if (v && "yes" == v) {//选择支付，则直接调用下单接口
                    myAvgrDetail.doChange(state);
                }
            });
        },
        doChange: function (state) {

            var data = "xyh=" + searchObj.xyh  + "&state=" + state + "&applysum=" + global2.result.applysum
                + "&jyrq=" + global2.result.jyrq + "&cycleunit=" + global2.result.cycleunit+ "&xybm=" + global2.result.xybm
                + "&jyzq=" + global2.result.jyzq ;
            $.startLoading("正在提交...");
            $.doAjaxCall("valuavgr/fixcharge/fixChargeChange", data, myAvgrDetail.modifyCallback);
        },

        modifyCallback: function (jsonResult) {
            if (jsonResult && jsonResult.successful) {
                var argv = {"returnpageid":"backMainPage", "message":jsonResult.message};
                $.hsDo("doBackMainPage", argv);
//                var argv = {"title": "定期申购修改结果", "returnpageid": "trade-money-index", "locationpageid": "auto-trade-result", "leftbuttonstatus": "hidden", "rightbutton": {"title": "确定", "type": "done"}};
//                var params = "ismoney=1";
//                argv.securitylevel = "login";
//                $.hsOpen("auto-trade-result.html?" + params, argv);
            } else {
                $.stopLoading();
                $.callFailProcess(jsonResult);
            }
        },
        avgrQueryCallback: function (jsonResult) {
            $.stopLoading();
            if (jsonResult && jsonResult.successful) {
                global2.result = jsonResult;
                var cycleunit = "每月";//交易周期
                var applysum = jsonResult.applysum;
                var jyrq = jsonResult.jyrq + " 日";//交易日期
                if ("A" == jsonResult.state) {
                    $("#stateStr").html("已开启");
                    $("#changeStateBtn").html("暂 停");
                } else if ("P" == jsonResult.state) {
                    $("#stateStr").html("已暂停");
                    $("#changeStateBtn").html("开 启");
                } else if ("H" == jsonResult.state) {
                    $("#stateStr").html("已终止");
                    $("#buttonView").hide();
                }

                $("#cycleunit").html(cycleunit);
                $("#jyrq").html(jyrq);
                $("#nextdate").html(jsonResult.nextdate);
                $("#sum").html(applysum);
                $("#bankinfo").html(jsonResult.bankinfo);
                if(parseInt(jsonResult.maxsuccessnum)!=0&&jsonResult.zzrq=="99991231"&&Number(jsonResult.maxvalue)==0){
                    $("#condition").show();
                    $("#endconditionStr").html("扣款期数");
                    $("#endcondition").html(parseInt(jsonResult.maxsuccessnum)+"期");
                }else if(parseInt(jsonResult.maxsuccessnum)==0&&jsonResult.zzrq!="99991231"&&Number(jsonResult.maxvalue)==0){
                    $("#condition").show();
                    $("#endconditionStr").html("终止日期");
                    $("#endcondition").html(jsonResult.zzrq.substr(0,4)+"-"+jsonResult.zzrq.substr(4,2)+"-"+jsonResult.zzrq.substr(6,2));
                }else if(parseInt(jsonResult.maxsuccessnum)==0&&jsonResult.zzrq=="99991231"&&Number(jsonResult.maxvalue)!=0) {
                    $("#condition").show();
                    $("#endconditionStr").html("累计扣款金额");
                    $("#endcondition").html(jsonResult.maxvalue+"元");
                }
            } else {
                $.callFailProcess(jsonResult);
            }
        }
    }
    myAvgrDetail.init();
});
