$(function () {
    var fqbArray = new Array();//英大现金宝
    var wbfArray = new Array();//沃百富
    var pageForm = {
        init: function () {
            pageForm.packForm();
            pageForm.events();
        },
        events: function () {
        },
        packForm: function () {//组装基金信息
            $.startLoading("正在加载...");
            //加载超级现金宝的信息
            $.doAjaxCall("trade/supermoneyinfo", "", pageForm.loadSuperMoneyInfo);
        },
        loadSuperMoneyInfo: function (jsonResult) {
            if (jsonResult && "true" == jsonResult.successful) {
                var list = jsonResult.results.resultList.list;
                for (var index in list) {
                    var capitalmode = list[index].capitalmode;
                    var comefrom = list[index].comefrom;
                    var key = capitalmode + "_" + list[index].tradeacco;
                    var value = list[index];
                    var obj = {"key": key, "value": value};
                    //过滤小d
                    if (capitalmode == "d") {
                        continue;
                    }
                    if(comefrom == "000000150001"){
                    	fqbArray.push(obj);
                    }
                    if(comefrom == "000000220001"){
                    	wbfArray.push(obj);
                    }
                }
                pageForm.packCardlist();//组装
            } else {
                $.callFailProcess(jsonResult);
            }
        },
        packCardlist: function () {
        	pageForm.packFqbCardlist();
        	pageForm.packWbfCardlist();
        },
        packFqbCardlist: function () {
        	if(fqbArray.length>0){
        		var ddStr = "";
                var headStr = "<div m-role=\"header\">英大现金宝</div>";
                var footStr = "<div m-role=\"split\"></div>";
                for (var item in fqbArray) {
                    var superMoneyTradeAccoObj = fqbArray[item];
                    var key = superMoneyTradeAccoObj.key;
                    var value = superMoneyTradeAccoObj.value;
                    var totalasset = value.realasset;//总金额
                    if(value.orignalTradeAccoList.list.length==0){
                    	continue;
                    }
                    var orignalTradeAccoObj = value.orignalTradeAccoList.list[0];
                    var bankaccoTemp = orignalTradeAccoObj.bankacco;
                    var length = bankaccoTemp.length;
                    bankaccoTemp = "尾号" + bankaccoTemp.substr(length - 4);
                    var bankName = orignalTradeAccoObj.bankname;
                    if (bankName.indexOf("_") == -1) {
                        if (bankName.indexOf("中国银行") == -1) {
                            if (bankName.indexOf("中国") != -1) {
                                bankName = bankName.split("中国")[1];
                            }
                        }
                    } else {
                        bankName = bankName.split("_")[1];
                        if (bankName.indexOf("中国银行") == -1) {
                            if (bankName.indexOf("中国") != -1) {
                                bankName = bankName.split("中国")[1];
                            }
                        }
                    }
                    if (orignalTradeAccoObj.capitalmode == "3") {
                        bankName += "(银联)";
                    } else if (orignalTradeAccoObj.capitalmode == "M") {
                        bankName += "(通联)";
                    } else {
                        bankName += "(直联)";
                    }
                    var bankserial = orignalTradeAccoObj.bankserial;
                    if (orignalTradeAccoObj.capitalmode == "6") {
                        bankserial = "6";
                        bankaccoTemp = "";
                    } else if (orignalTradeAccoObj.capitalmode == "E") {
                        bankserial = "E";
                        bankaccoTemp = "";
                    } else if (orignalTradeAccoObj.capitalmode == "Q") {
                        bankserial = "Q";
                        bankaccoTemp = "";
                    }
                    ddStr += "<dl><dd> <div m-role=\"cell\" m-mode=\"x\" m-layout=\"fit\" m-valign=\"middle\" m-padding=\"1 1 1 1\">"
                        + "<div m-role=\"cell\" m-mode=\"x\" m-layout=\"fit\" m-valign=\"middle\">"
                        + "<div m-role=\"cell\" m-padding=\"1 0 0 1\" class=\"e-bank e-bank1-ico" + bankserial + "\"></div>"
                        + "<div m-role=\"cell\" m-padding=\"1 1 0 1\" class=\"m-font-heavy m-font-big\">" + bankName + "</div>"
                        + "<div m-role=\"cell\" m-padding=\"1 1 0 1\" class=\"m-font-small m-color-6\">" + bankaccoTemp + "</div>"
                        + "</div>"
                        + "<div m-role=\"cell\" class=\"m-font-big m-color-13\">" + totalasset + "</div>"
                        + "</div>"
                        + "</dd></dl>"
                }
                $("#UITableView").append(headStr);
                $("#UITableView").append(ddStr);
                $("#UITableView").append(footStr);
                $("#UITableView").UITableView("refresh");
        	}
        },
        packWbfCardlist: function () {
        	if(wbfArray.length>0){
        		var ddStr1 = "";
                var headStr1 = "<div m-role=\"header\">沃百富</div>";
                for (var item in wbfArray) {
                    var superMoneyTradeAccoObj = wbfArray[item];
                    var key = superMoneyTradeAccoObj.key;
                    var value = superMoneyTradeAccoObj.value;
                    var totalasset = value.realasset;//总金额
                    if(value.orignalTradeAccoList.list.length==0){
                    	continue;
                    }
                    var orignalTradeAccoObj = value.orignalTradeAccoList.list[0];
                    var bankaccoTemp = orignalTradeAccoObj.bankacco;
                    var length = bankaccoTemp.length;
                    bankaccoTemp = "尾号" + bankaccoTemp.substr(length - 4);
                    var bankName = orignalTradeAccoObj.bankname;
                    if (bankName.indexOf("_") == -1) {
                        if (bankName.indexOf("中国银行") == -1) {
                            if (bankName.indexOf("中国") != -1) {
                                bankName = bankName.split("中国")[1];
                            }
                        }
                    } else {
                        bankName = bankName.split("_")[1];
                        if (bankName.indexOf("中国银行") == -1) {
                            if (bankName.indexOf("中国") != -1) {
                                bankName = bankName.split("中国")[1];
                            }
                        }
                    }
                    if (orignalTradeAccoObj.capitalmode == "3") {
                        bankName += "(银联)";
                    } else if (orignalTradeAccoObj.capitalmode == "M") {
                        bankName += "(通联)";
                    } else {
                        bankName += "(直联)";
                    }
                    var bankserial = orignalTradeAccoObj.bankserial;
                    if (orignalTradeAccoObj.capitalmode == "6") {
                        bankserial = "6";
                        bankaccoTemp = "";
                    } else if (orignalTradeAccoObj.capitalmode == "E") {
                        bankserial = "E";
                        bankaccoTemp = "";
                    } else if (orignalTradeAccoObj.capitalmode == "Q") {
                        bankserial = "Q";
                        bankaccoTemp = "";
                    }
                    ddStr1 += "<dl><dd> <div m-role=\"cell\" m-mode=\"x\" m-layout=\"fit\" m-valign=\"middle\" m-padding=\"1 1 1 1\">"
                        + "<div m-role=\"cell\" m-mode=\"x\" m-layout=\"fit\" m-valign=\"middle\">"
                        + "<div m-role=\"cell\" m-padding=\"1 0 0 1\" class=\"e-bank e-bank1-ico" + bankserial + "\"></div>"
                        + "<div m-role=\"cell\" m-padding=\"1 1 0 1\" class=\"m-font-heavy m-font-big\">" + bankName + "</div>"
                        + "<div m-role=\"cell\" m-padding=\"1 1 0 1\" class=\"m-font-small m-color-6\">" + bankaccoTemp + "</div>"
                        + "</div>"
                        + "<div m-role=\"cell\" class=\"m-font-big m-color-13\">" + totalasset + "</div>"
                        + "</div>"
                        + "</dd></dl>"
                }
                $("#UITableView").append(headStr1);
                $("#UITableView").append(ddStr1);
                
                $("#UITableView").UITableView("refresh");
        	}
        }
    }
    pageForm.init();
});
