﻿$(function() {
	var global = {
		fundcode : "",
		totals: 0,
		pageno : 1,
		pagesize: 10,
	}
	var incomeQuery = {
		init : function() {
			incomeQuery.events();
		},
		events: function() {
			$("#callingcode").UISelectMenu("change",function(value){
				global.totals=0;
				global.pageno = 1;
				$("#confirmList").html("");
				incomeQuery.doQuery();
			});
			$("#moreBtn").on("tap",function(){
				global.pageno++;
				incomeQuery.doQuery();
			});
			//加载超级现金宝的信息
			var data = "item=SALE&caption=ETS_SUPERMONEYFUND";
			$.doAjaxCall("common/sysparameter", data, incomeQuery.loadSuperMoneyFundInfo);
		},
		loadSuperMoneyFundInfo:function (jsonResult){
			if(jsonResult && "true"==jsonResult.successful){
				var sysvalue = jsonResult.results.value;
				var values = sysvalue.split("|");
				global.fundcode = values[0];
				incomeQuery.doQuery();
			}else{
				$.stopLoading();
				$.callFailProcess(jsonResult);
			}
		},
		doQuery:function(){
			$.startLoading("请稍后...");
			var callingcode = $("#callingcode").UISelectMenu("value");
			var data = "datasource=DS&busintype=02&callingcode="+callingcode+"&fundcode="+global.fundcode+"&applyrecordno="+global.pagesize+"&pageno="+global.pageno;
			$.doAjaxCall("query/apply",data,incomeQuery.incomeQueryCallback)
		},
		
		incomeQueryCallback: function(jsonResult) {
			$.stopLoading();
			if(jsonResult && "true" == jsonResult.successful){
				var list = jsonResult.results.returnlist.list;
				var totalrecords = jsonResult.results.totalrecords;
				
				if(null==list||list.length==0){
					$("#noResult").show();
				}else{
					
					$("#noResult").hide();
					var htmlStr = "";
					for(var item in list){
						var obj = list[item];
						var sum = 0;
						if(null!=obj.applysum&&0!=obj.applysum){
							sum = obj.applysum;
						}else if(null!=obj.applyshare){
							sum = obj.applyshare;
						}
						var color = "m-color-2";
						if("02"==obj.busintype&&"022"==obj.callingcode){
							sum = "+"+sum;
						}else if("02"==obj.busintype&&("024"==obj.callingcode||"098"==obj.callingcode)){
							sum = "-"+sum;
							color = "m-color-12";
						}
						htmlStr += '<dd>'
							 +	  '<div m-role="cell" m-mode="x" m-layout="fit" m-valign="middle" m-padding="1 1 1 1">'
							 +		 '<div m-role="cell" m-mode="y">'
							 +			'<div m-role="cell" class="m-font-big m-font-bold">'
							 +				obj.businflagStr
							 +			'</div>'
							 +			'<div m-role="cell" class="m-color-6">'
							 +				obj.oriapplydate+" "+obj.accepttime
							 +			'</div>'
							 +		 '</div>'
							 +		 '<div m-role="cell" class="m-font-max '+color+'" m-layout="fit" m-align="right">'
							 +			sum
							 +		 '</div>'
							 +	  '</div>'
							 +	'</dd>';
					}
					$("#confirmList").append(htmlStr);
					global.totals+=parseFloat(list.length);//累加页面记录	
					if(parseFloat(totalrecords)>parseFloat(global.totals)){
						$("#moreBtn").show();
					}else{
						$("#moreBtn").hide();
					}
				}
			}else{
				$.stopLoading();
				$.callFailProcess(jsonResult);
			}
		}
	};
	incomeQuery.init();
})
