$(function() {
	var global = {
		fundname:"",//基金名称
		fundcode : "",//基金代码
		moneyPayCards:{},//可支付的财富宝列表
		bankCards:{},//可以支付的银行卡
		riskmatchResult:{},//风险评估列表
		moneyCapsource:"",//财富宝购买业务的capsource，01普通财富宝，03超级财富宝
		moneyBusinFlag:"",//财富宝购买业务的实际业务代码，036转换，022转申购
		sharetype :"",//收费方式
		sharetypes:{},//收费方式列表
		onlySameSharetype:"",//财富宝是否只支持相同收费方式的基金
		businflag : "",//业务代码
		applysum : "",//金额
		buyLimitResult:{},//购买限制列表
		capsource:"",//资金来源 银行卡：0 财富宝：1
		minValue:"",//最低购买金额
		maxValue:"",//最高购买金额
		buyConfirmTime:"",//购买确认时间
		tradeacco:"",
		bankInfo:"",
		paymode:"",//支付方式
		usableShare:"",//财富宝可用份额
		result:"",
		counter:0,//计时器
		repeatSeconds: 10,//倒计时时间
		warningResult:""	//警示信息用的result
	};
	var obj = new $.hsTools.parseLocationSearch();
	var tradeBuyForm = {
		init : function() {
			//先判断是否风险过期和资料完整
			$.doAjaxCall("atomicquery/account/logininfo", "",  function (jsonResult) {
				if (jsonResult.successful) {
					var result = jsonResult.result;
					var riskexpired = result.riskexpired;
					var pubhgflag = result.pubhgflag;
					if(pubhgflag != "1"){
						//没有勾选风险同意，需要进入风险评测
						$.UIAlert("您需要重新进行风险评测，并同意准入协议", function() {
							var argv = {"title":"风险问卷","leftbuttonstatus": "show", "hsnew": "true"};
							argv.securitylevel="login";
							$.hsOpen("account/account-risk.html", argv);
						});
					}else {
						if(riskexpired===true){//风险评测过期,需要进入风险评测
							$.UIAlert("您的风险问卷已过期，请重新做风险问卷", function() {
								var argv = {"title":"风险问卷","leftbuttonstatus": "show", "hsnew": "true"};
								argv.securitylevel="login";
								$.hsOpen("account/account-risk.html", argv);
							});
						}else{
							//判断资料是否完整
							var customerappellation = result.customerappellation;
							var idno = result.idno;
							var handset = result.handset;
							var beneficiary = result.beneficiary;
							var holdingname = result.holdingname;
							var communicationaddr = result.communicationaddr;
							var workcode = result.workcode;
							var idtype = result.idtype;
							var birthday = result.birthday;
							if(""==customerappellation
								||""==idno
								||""==handset
								||""==beneficiary
								||""==holdingname
								||""==communicationaddr
								||""==workcode
								||""==idtype
								||""==birthday){
								$.UIAlert("您的资料需要完善", function() {
									var argv = {"title":"客户信息修改","leftbuttonstatus": "show", "hsnew": "true"};
									argv.securitylevel="login";
									$.hsOpen("account/setting-account-modify-form.html", argv);
								});
							}else{
								$("#fundname").html(obj.fundname)
								tradeBuyForm.event();
								tradeBuyForm.initData();
								tradeBuyForm.sandclock.start();
							}
						}
					}
				}
			});
		},
		sandclock :  {//倒计时方法
			run : function() {
				if (global.counter == 0) {
					$("#submitBtn").attr("m-state","");
					$("#submitBtn").html("购买");
					global.counter = -1;
				} else {
					$("#submitBtn").html((global.counter--)+" 秒");
					global.timer = setTimeout(tradeBuyForm.sandclock.run.bind(tradeBuyForm), 1000);
				}
			},
			start : function() {
				//清除上次
				if( global.timer) clearTimeout( global.timer);
				global.counter = global.repeatSeconds;
				$("#submitBtn").attr("m-state","disabled");
				$("#submitBtn").html((global.counter--)+" 秒");
				setTimeout(tradeBuyForm.sandclock.run.bind(tradeBuyForm), 1000);
			},
			readyStart : function() {
				if (global.counter == -1) {
					return true;
				} else {
					return false;
				}
			}
		},
		renderAWarning:function(jsonResult){
			//如果不是专业投资者,显示tip
			if(jsonResult.pubprofessionflag != "1"){
				// $("#tip").html(jsonResult.warningAContent).UITip("show");
				$("#tip").bind("tap",function () {
					//打开A类警示页面
					var argv = {"title": "风险提示", "hsnew" : "true", "leftbuttonstatus" : "show" ,"locationpageid": "", "returnpageid": "", "nextAction": "startpage", "hidemenubar":"true"};
					$.hsOpen("trade/warning-protocol.html?protocol="+jsonResult.warningAContent,argv);
				});
				this.makeTrace("A");//留痕
			}
		},
		//renderBWarning:function(callback){
		//	var jsonResult = global.result;
		//	if(jsonResult.pubprofessionflag !="1" && jsonResult.productRiskLevel == 0){//$.theHighestRiskLevel){
		//		$.UIConfirm({"html": jsonResult.warningBContent, "submitText":"确定购买","cancelText":"取消"}, function(result) {
		//			if (result == "yes") {
		//				tradeBuyForm.makeTrace("B");
		//				callback && callback.call(this);
		//			}
		//		});
		//	}else{
		//		callback && callback.call(this);
		//	}
		//},
		renderCWarning:function(){
			if(global.counter != -1){
				return;
			}
			if(tradeBuyForm.formValidate()){
				var result = global.warningResult;
				if(result.riskmatchResult.riskflag =="1"||result.riskmatchResult.riskflag =="2"||result.riskmatchResult.riskflag =="3"){//不匹配
					$("#warningCheck").find("#warningCContent")
						// .html(result.warningCContent)
						// .end().show();
						$("#warningPage").show();
						$("#buypage").hide();
						$("#warningtip").html(result.warningCContent);
					if(result.pubprofessionflag != "1"){//普通投资者
						tradeBuyForm.makeTrace("C");//普通C看到留痕
						// $("#warningtip").html(result.warningCContent);
					}
				}
				// var argv = {"title": "警示函", "hsnew" : "true", "leftbuttonstatus" : "show" ,"locationpageid": "", "returnpageid": "", "nextAction": "startpage", "hidemenubar":"true"};
				// $.hsOpen("trade/trade-warning.html?protocol="+result.warningCContent,argv);
				$("#warningPage").show();
				$("#buypage").hide();
				$("#warningtip").html(result.warningCContent);
			}
		},
		makeTrace:function(type,requestno,pflag){
			var jsonResult = global.result;
			requestno = requestno || "";
			var typestr = "warning"+type+"No";
			if(pflag == "1" && jsonResult.pubprofessionflag!="1") return ;//下单成功后C类仅专业投资者才留痕
			this.requestTrace({
				warningno:jsonResult[typestr],
				businflag:jsonResult.businflag,
				fundcode:jsonResult.fundcode,
				content:jsonResult["warning"+type+"Content"],
				fundrisklevel:jsonResult.productRiskLevel,
				custrisktype:jsonResult.accoRiskability,
				requestno:requestno
			});
		},
		requestTrace:function(data){
			var param = $.map(data,function(value,key){
				return key+"="+value
			}).join("&");
			//"warningno="+warningno+"&requestno="+requestno+"&openid="+openid+"&deviceid="+deviceid+"&custrisktype="+custrisktype+"&fundrisklevel="+fundrisklevel+"&fundcode="+fundcode+"&businflag="+businflag+"&content="+content,"trace"
			$.doAjaxCall("account/risk/trace",param,function(jsonResult) {
				if (jsonResult.successful) {
				}
			});
		},
		renderLowRiskLimit:function(jsonResult){
			var userrisklevel = jsonResult.accoRiskability;
			var fundrisklevel = jsonResult.productRiskLevel;

			// $.doAlert("您的风险等级是低风险,不能购买此基金", "finishBack");
			var minriskflag = jsonResult.minriskflag;
			if(minriskflag && fundrisklevel){
				if(minriskflag == "1" && fundrisklevel>$.theLowestRiskLevel){
					// $.doAlert("您的风险等级是"+jsonResult.riskmatchResult.riskbilityStr+",不能购买此基金", "finishBack");
					$.UIAlert("您的风险等级是"+jsonResult.riskmatchResult.riskbilityStr+",不能购买此基金");
				}
			}
		},
		initData : function(){
			$.startLoading("正在加载...");
			global.fundcode = obj.fundcode || "";
			global.businflag = obj.businflag || "022";
			global.sharetype = obj.sharetype;
			if(obj.sharetype == "A"){
				//前收费
				$("#sharetype_div").html("前收费");
				$("#sharetype").hide();
			}else if(obj.sharetype == "B"){
				//后收费
				$("#sharetype_div").html("后收费");
				$("#sharetype").hide();
			}else if(obj.sharetype == "C"){
				//C类
				$("#sharetype_div").html("C类");
				$("#sharetype").hide();
			}else {
				//可能有多种,就保持原有的下拉框选择
				$("#sharetype").show();
			}
			$("#capsource_dd").css("cursor","pointer");
			global.capsource = $("#capsource").UISelectMenu("value");
			global.applysum = obj.applysum || "";
			$("#applysum").UITextField("value",Number(global.applysum).toFixed(2));
			$("#fare").html("0.00");
			var data = {};
			data.fundcode = global.fundcode;
			data.businflag = global.businflag;
			data.sharetype = global.sharetype;
			data.warningchannel = 2;
			$.doAjaxCall("trade/buy/buyForm",data,tradeBuyForm.buyFormCallback);
		},
		buyFormCallback : function(jsonResult){
			$.stopLoading();
			if(jsonResult && jsonResult.successful){
				global.fundname = jsonResult.fundname;
				$("#fundname").html(global.fundname);
				global.fundcode = jsonResult.fundcode;
				global.sharetypes = jsonResult.sharetypes;
				global.result = jsonResult;
				tradeBuyForm.renderAWarning(jsonResult);
				// tradeBuyForm.renderCWarning(jsonResult);
				global.warningResult = jsonResult;	//这里是警示信息。
				tradeBuyForm.renderLowRiskLimit(jsonResult);
				var moneyPayCardhtml = "";
				if(jsonResult.moneyPayCards.length<=0){
					moneyPayCardhtml = "<dd m-padding=\"1 1 1 1\" class=\"noresult\">"
					+ "<div m-role=\"cell\" m-mode=\"x\" m-layout=\"fit\" m-valign=\"middle\" m-padding=\"1 1 1 1\">"
					+ "<div m-role=\"cell\" m-mode=\"x\" m-layout=\"fit\" m-valign=\"middle\">"
					+ "<div m-role=\"cell\" m-valign=\"middle\">"
					+  "您暂无现金宝份额"
					+ "</div>"
					+ "</div>"
					+ "</div>"
					+ "</dd>";
					$("#bankacco_list_1").html(moneyPayCardhtml);
					$("#bankacco_list_tableview_1").UITableView("refresh");
				}else{
					//组装现金宝
					var count = 0;
					global.moneyPayCards = jsonResult.moneyPayCards;
					for(var index in global.moneyPayCards ){
						var tradeacco = jsonResult.moneyPayCards[index].tradeacco;
						var capitalmode = jsonResult.moneyPayCards[index].capitalmode;
						var bankserial = jsonResult.moneyPayCards[index].bankserial;
						var alias = jsonResult.moneyPayCards[index].alias;
						var bankacco = jsonResult.moneyPayCards[index].bankacco;
						var bankname = jsonResult.moneyPayCards[index].bankname;
						var bankInfo = jsonResult.moneyPayCards[index].bankInfo;
						var usableShare = jsonResult.moneyPayCards[index].usableShare;
						var onceMaxValue = jsonResult.moneyPayCards[index].onceMaxValue;
						var dayMaxValue = jsonResult.moneyPayCards[index].dayMaxValue;
						var paymode = jsonResult.moneyPayCards[index].paymode;
						count++;
						var markedHtml = (count == 1) ? "m-marked='yes'" : "";
						if (bankInfo.indexOf("尾号") != 0){
							bankInfo = bankInfo.replace("尾号","");
						}
						if(capitalmode == "3"){
							bankInfo = bankInfo +"(银联)";
						}
						moneyPayCardhtml += "<dd m-type=\"mark\" "+markedHtml+" class=\"bankcard_list\" bankInfo=\""+bankInfo+"\" paymode=\""+paymode+"\" usableShare=\""+usableShare+"\""
						+ "tradeacco=\""+tradeacco+"\">"
						+ "<div m-role=\"cell\" m-mode=\"x\" class=\"bankcard_zone\" m-layout=\"fit\" m-valign=\"middle\" m-padding=\"1 1 1 1\">"
						+ "<div m-role=\"cell\" m-mode=\"x\" m-layout=\"fit\" m-valign=\"middle\">"

						+ "<div m-role=\"cell\" m-valign=\"middle\">"
						+  bankInfo
						+ "</div>"
						+ "</div>"
						+ "<div m-role=\"cell\" m-valign=\"middle\" class=\"m-font-big m-color-13\">" + Number(usableShare).toFixed(2) + "</div>"
						+ "</div>"
						+ "</dd>";
					}
					$("#bankacco_list_1").html(moneyPayCardhtml);
					$("#bankacco_list_tableview_1").UITableView("refresh");
				}

				var bankCardhtml = "";
				if(jsonResult.bankCards.length<=0){
					//没有银行卡
					bankCardhtml = "<dd m-padding=\"1 1 1 1\" class=\"noresult\">"
					+ "<div m-role=\"cell\" m-mode=\"x\" m-layout=\"fit\" m-valign=\"middle\" m-padding=\"1 1 1 1\">"
					+ "<div m-role=\"cell\" m-mode=\"x\" m-layout=\"fit\" m-valign=\"middle\">"
					+ "<div m-role=\"cell\" m-valign=\"middle\">"
					+  "暂无可购买的银行账号"
					+ "</div>"
					+ "</div>"
					+ "</div>"
					+ "</dd>";
					$("#bankacco_list_0").html(bankCardhtml);
					$("#bankacco_list_tableview_0").UITableView("refresh");
				}else{
					//组装银行卡
					var count = 0;
					global.bankCards = jsonResult.bankCards;
					for(var index in global.bankCards){
						var tradeacco = global.bankCards[index].tradeacco;
						var capitalmode = global.bankCards[index].capitalmode;
						var bankserial = global.bankCards[index].bankserial;
						var alias = global.bankCards[index].alias;
						var bankacco = global.bankCards[index].bankacco;
						var bankname = global.bankCards[index].bankname;
						var bankInfo = global.bankCards[index].bankInfo;
						var paymode = global.bankCards[index].paymode;
						global.paymode = paymode;
						var capitalDetails = global.bankCards[index].capitalDetails;
						var onceMaxValue = global.bankCards[index].onceMaxValue;
						var dayMaxValue = global.bankCards[index].dayMaxValue;
						count++;
						var markedHtml = (count == 1) ? "m-marked='yes'" : "";
						if (bankInfo.indexOf("尾号") != 0){
							bankInfo = bankInfo.replace("尾号","");
						}
						if(capitalmode == "3"){
							bankInfo = bankInfo +"(银联)";
						}
						bankCardhtml +=  "<dd m-type=\"mark\" " + markedHtml + " class=\"bankcard_list\" bankInfo=\""+bankInfo+"\" paymode=\""+paymode+"\" tradeacco=\""+tradeacco+"\">"
						+ "<div m-role=\"cell\" m-mode=\"x\" m-layout=\"fit\" m-valign=\"middle\" m-padding=\"1 1 1 1\">"
						+ "<div m-role=\"cell\" m-mode=\"x\" class=\"bankcard_zone\" m-layout=\"fit\" m-valign=\"middle\">"
						+ "<div m-role=\"cell\" ></div>"
						+ "<div m-role=\"cell\" m-valign=\"middle\">"
						+  bankInfo
						+ "</div>"
						+ "</div>"
						+ "</div>"
						+ "</dd>";
						$("#bankacco_list_0").html(bankCardhtml);
						$("#bankacco_list_tableview_0").UITableView("refresh");
					}
				}
				//设置客户的风险等级信息
				global.riskmatchResult = jsonResult.riskmatchResult;
				$("#riskmsg").html(global.riskmatchResult.riskmsg);

				global.moneyCapsource = jsonResult.moneyCapsource;
				global.moneyBusinFlag = jsonResult.moneyBusinFlag;
				//设置费率查询按钮
				tradeBuyForm.setFareBtnStatus();
			} else{
				$.callFailProcess(jsonResult);
			}

		},

		setDefaultTradeacco : function(){
			var capsourceObj = $("#capsource");
			var capsource = "";
			if(capsourceObj && capsourceObj.length > 0){
				capsource = $("#capsource").UISelectMenu("value");
			}else{
				capsource = global.capsource;
			}
			global.capsource = capsource;
			var id = "#bankacco_list_" + capsource;
			var firstObj = $(id).find("dd.bankcard_list:first-child");
			if(firstObj && firstObj.length >0){
				$(id).find("dd.bankcard_list").removeAttr("m-marked");
				$(id).find("dd.bankcard_list").removeClass("UITableViewMarked");
				global.tradeacco = firstObj.attr("tradeacco");
				global.bankInfo = firstObj.attr("bankInfo");
				global.paymode = firstObj.attr("paymode");
				if(global.capsource=="1"){
					global.usableShare = firstObj.attr("usableShare");
				}
				var bankhtml = firstObj.find(".bankcard_zone").html();
				$("#bankacco").html(bankhtml);
				firstObj.attr("m-marked","yes");
				$("#bankacco_list_tableview_" + capsource).UITableView("refresh");

			}else{
				var html = "";
				if("0" == global.capsource){
					html = "请选择付款银行卡";
				}else if("1" == global.capsource){
					html = "请选择现金宝账号";
				}
				$("#bankacco").html(html);
			}

		},
		queryTradeFare:function(){
			$("#fare").html("--");
			if(tradeBuyForm.validateQueryTradeFare()){
				if("0" == global.capsource){
					tradeBuyForm.queryBankCardFare();
				}
			}
		},
		queryBankCardFare : function(){

			var url = "trade/buy/buyPreviewForm";
			var tradeacco = global.tradeacco;//交易账号
			var businflag = global.businflag;//业务代码
			var capsource = 0; //资金来源
			var fundcode = global.fundcode;//基金代码
			var sharetype =  $("#sharetype").UISelectMenu("value") ;//收费方式
			var detailcapitalmode = global.paymode;//支付方式
			var applysum = Number($("#applysum").UITextField("value").trim()).toFixed(2);//金额					
			var params = "tradeacco="+ tradeacco + "&businflag="+ businflag +"&capsource="+capsource
				+ "&fundcode=" + fundcode + "&sharetype=" + sharetype
				+ "&detailcapitalmode=" + detailcapitalmode+"&applysum="+applysum;
			$.startLoading("正在计算手续费...");
			$.doAjaxCall(url,params,tradeBuyForm.queryBankCardFareCallback);
		},
		queryBankCardFareCallback : function(jsonResult){
			$.stopLoading();
			if(jsonResult && jsonResult.successful){
				var fare = jsonResult.procedurefee;
				$("#fare").html(fare|| "--");
			}else{
				$.callFailProcess(jsonResult);
				$("#fare").html("--");
			}
		},
		validateQueryTradeFare : function(){
			var sharetype = $("#sharetype").UISelectMenu("value");//收费方式
			if(global.capsource == "1"){
				$.UIAlert("亲，现金宝购买其他基金无法计算手续费哦!");
				return false;
			}
			if(global.tradeacco.length == 0){
				$.UIAlert("亲，请选择付款银行卡哦!");
				return false;
			}
			if(sharetype.length == 0){
				$.UIAlert("亲，请选择收费方式哦!");
				return false;
			}else if("B" == sharetype){
				$.UIAlert("亲，后收费方式无法计算手续费哦!");
				return false;
			}
			var applysum = $("#applysum").UITextField("value").trim();
			var min = applysum.toString().split(".")[1];
			if(null != min && min.length > 2) {
				$.UIAlert("亲，购买金额最多只保留2位小数哦!");
				return false;
			}
			if("" == applysum || isNaN(applysum) || isNaN(applysum.charAt(0)) || applysum.charAt(0) == " ") {
				$.UIAlert("亲，您输入的购买金额不正确哦!");
				return false;
			}
			if(0 >= Number(applysum)) {
				$.UIAlert("亲，最低购买金额不能少于0元哦!");
				return false;
			}
			var checkContract2 = $("#checkContract2").UICheckBox("value");
			if($("#warningCheck").is(":visible")){//产品风险大于个人
				if (checkContract2 != "yes") {
					$.UIPopup($("#warningCContent").html()+"，请勾选以确认购买");
					return false;
				}
			}
			return true;
		},
		event : function() {
			//提交按钮
			// $("#submitBtn").on("tap",tradeBuyForm.nextPage);
			$("#submitBtn").on("tap",tradeBuyForm.renderCWarning);
			//点击选择银行卡按钮
			$("#capsource").UISelectMenu("change",function(value){
				//设置默认账号
				tradeBuyForm.setDefaultTradeacco();
				//设置费率查询按钮
				tradeBuyForm.setFareBtnStatus();
				$(".bankacco_list_tableview").slideUp(100);
			});
			//选择对应的卡
			$("#capsource_dd").on("tap",function(){
				//global.capsource = $("#capsource").UISelectMenu("value") || global.capsource;
				var id = "#bankacco_list_tableview_"+global.capsource;
				$(id).slideToggle(100);
			});
			//切换收费方式
			if($("#sharetype") && $("#sharetype").length > 0){
				$("#sharetype").UISelectMenu("change",function(){
					tradeBuyForm.setFareBtnStatus();
				});
			}
			//查询费率
			$("#getFareBtn").on("tap",function(){
				$("#applysum").find(".UITextFieldClear").hide();
				$("#applysum").find("input").blur();
				setTimeout(function(){
					if(global.capsource.length == 0){
						$.UIAlert("亲，请选择支付方式哦!");
					}else{
						tradeBuyForm.queryTradeFare();
					}
				},300);
				return false;
			});
			//选择银行卡
			$(".bankacco_list").on("tap","dd",function(){
				if(!$(this).is(".noresult")){
					global.tradeacco = $(this).attr("tradeacco");
					global.bankInfo = $(this).attr("bankInfo");
					global.paymode = $(this).attr("paymode");
					var capsource = $("#capsource").UISelectMenu("value");
					if(capsource = 1){
						global.usableShare = $(this).attr("usableShare");
					}
					var bankhtml = $(this).find(".bankcard_zone").html();
					$("#bankacco").html(bankhtml);
				}
				$(".bankacco_list_tableview").slideUp(100);
			});

			//点击继续交易
			$("#trade-agreement-agree").bind("tap",function (e) {
				e.preventDefault();
				var checkContract2 = $("#checkContract2").UICheckBox("value");
				if (checkContract2 != "yes2") {
					$.UIPopup("请确认已阅读《风险不匹配警示函》和《投资者确认书》!");
					return false;
				}
				$("#warningPage").hide();
				$("#buypage").show();
				tradeBuyForm.nextPage();
			});

			//点击取消
			$("#trade-agreement-cancel").bind("tap",function (e) {
				e.preventDefault();
				$("#warningPage").hide();
				$("#buypage").show();
			});
		},
		setFareBtnStatus : function(){
			$("#fare").html("--");
			if(global.capsource == "1"){
				$("#fare_dd").hide();
			}else{
				var sharetype =  $("#sharetype").UISelectMenu("value");//收费方式
				if("B" == sharetype){
					$("#fare_dd").hide();
				}else{
					$("#fare_dd").show();
				}
			}
		},
		nextPage : function(){
			if(!(tradeBuyForm.sandclock.readyStart()))return false;
			$("#applysum").find(".UITextFieldClear").hide();
			$("#applysum").find("input").blur();
			setTimeout(function(){
				if(tradeBuyForm.formValidate()){
					//if(global.riskmatchResult.riskmsg.indexOf("高出")){
					//	$.doAlert(global.riskmatchResult.riskmsg);
					//}
					tradeBuyForm.confirmOrder();
				}
			},300);
			return false;
		},
		confirmOrder: function(){
			var applysum = Number($("#applysum").UITextField("value").trim()).toFixed(2);
			var bankcardinfo = global.capsource == "1" ? "现金宝" : global.bankInfo;
			var jsonResult = global.result;
			if(jsonResult.pubprofessionflag !="1" && jsonResult.productRiskLevel == $.theHighestRiskLevel){
				var html = "<div m-role=\"cell\" m-mode=\"y\" m-layout=\"fit\" m-padding=\"1 1 1 1\" >"
					+ "<div m-role=\"cell\" m-margin=\"1 1 1 1\"  m-padding=\"1 1 1 1\" m-align=\"center\" "
					+ "id='bankcardinfo' class=\"m-font-big\">"+jsonResult.warningBContent+"<br><br>"+"使用" + bankcardinfo + "付款</div>"
					+ "<div m-role=\"cell\" class=\"m-font-big m-font-bold e-whitebg\" m-margin=\"1 1 1 1\""
					+ "m-padding=\"1 1 1 1\" m-align=\"center\">" + applysum+ "(元)</div>"
					+ "</div>";
				$.UIComfirm({
						"html": html,
						"cancelText": "取消",
						"cancelStyle": "style-2",
						"submitText": "确定",
						"submitStyle": "style-1"
					},
					function (v) {
						if (v && "yes" == v) {
							tradeBuyForm.makeTrace("B");
							tradeBuyForm.doSubmit();
						}
					});

			}else{
				var html = "<div m-role=\"cell\" m-mode=\"y\" m-layout=\"fit\" m-padding=\"1 1 1 1\" >"
					+ "<div m-role=\"cell\" m-margin=\"1 1 1 1\"  m-padding=\"1 1 1 1\" m-align=\"center\" "
					+ "id='bankcardinfo' class=\"m-font-big\">使用" + bankcardinfo + "付款</div>"
					+ "<div m-role=\"cell\" class=\"m-font-big m-font-bold e-whitebg\" m-margin=\"1 1 1 1\""
					+ "m-padding=\"1 1 1 1\" m-align=\"center\">" + applysum+ "(元)</div>"
					+ "</div>";
				$.UIComfirm({
						"html": html,
						"cancelText": "取消",
						"cancelStyle": "style-2",
						"submitText": "确定",
						"submitStyle": "style-1"
					},
					function (v) {
						if (v && "yes" == v) {
							tradeBuyForm.doSubmit();
						}
					});
			}
		},
		doSubmit: function(){
			var tradeacco = global.tradeacco;
			var businflag = global.businflag;
			var capsource = global.capsource;
			var fundcode = global.fundcode;
			var sharetype;
			if(obj.sharetype == "A" || obj.sharetype == "B" || obj.sharetype == "C"){
				sharetype = obj.sharetype;
			}else {
				sharetype = $("#sharetype").UISelectMenu("value");
			}
			var detailcapitalmode = global.paymode;
			var applysum = $("#applysum").UITextField("value").trim();
			var params = "tradeacco="+ tradeacco + "&businflag="+ businflag +"&capsource="+capsource
				+ "&fundcode=" + fundcode + "&sharetype=" + sharetype
				+ "&detailcapitalmode=" + detailcapitalmode+"&applysum="+applysum;
			var url = "trade/buy/buy";
			$.startLoading("正在提交数据...");
			$.doAjaxCall(url,params,tradeBuyForm.doSubmitCallBack);
		},
		doSubmitCallBack: function(jsonResult){
			if(jsonResult && jsonResult.successful){
				if(global.riskmatchResult.riskflag =="1"||global.riskmatchResult.riskflag =="2"||global.riskmatchResult.riskflag =="3"){//不匹配
					jsonResult.purchaseResult && tradeBuyForm.makeTrace("C",jsonResult.purchaseResult.applyserial || "","1");
				}
				var argv = {"title": "购买", "hsnew" : "true", "leftbuttonstatus" : "hidden" ,"locationpageid": "", "returnpageid": "", "nextAction": "startpage", "hidemenubar":"true"};
				argv.securitylevel = "login";
				var params = "tradetype=buy";
				$.hsOpen("trade/trade-result.html?"+params, argv);

			} else {
				$.stopLoading();
				$.callFailProcess(jsonResult);
			}
		},
		//表单验证
		formValidate : function(){
			var sharetype =  $("#sharetype").UISelectMenu("value");//收费方式
			if(global.sharetypes!="A,B"){
				if(global.sharetype=="A"&&sharetype=="B"){
					$.UIAlert("亲，此产品只支持前收费");
					return false;
				}
				if(global.sharetype=="B"&&sharetype=="A"){
					$.UIAlert("亲，此产品只支持后收费");
					return false;
				}
			}
			if(global.capsource.length ==0){
				$.UIAlert("亲，请选择付款方式哦!");
				return false;
			}else{
				if(global.tradeacco.length ==0){
					var errormsg = "";
					if(global.capsource == "0"){
						errormsg = "亲，先选择支付银行卡账号哦!";
					}else if(global.capsource == "1"){
						errormsg = "亲，先选择现金宝支付账号哦!";
					}
					$.UIAlert(errormsg);
					return false;
				}
			}
			/*
			 if(tradeBuyForm.isFundRiskGreatThanCustRisk()){
			 var checked = $("#risk_checkbox").attr("m-checked");
			 if(checked != "yes"){
			 $.doAlert("亲，请勾选我确认购买超出我风险偏好的产品选项哦!");
			 return false;
			 }
			 }*/
			var applysum = $("#applysum").UITextField("value").trim();
			var min = applysum.toString().split(".")[1];
			if (null != min && min.length > 2) {
				$.UIAlert("亲，购买金额请最多只保留2位小数哦!");
				return false;
			}
			if ("" == applysum || isNaN(applysum) || isNaN(applysum.charAt(0)) || applysum.charAt(0) == " ") {
				$.UIAlert("亲，您输入的购买金额不对哦!");
				return false;
			}
			if (0 >= Number(applysum)) {
				$.UIAlert("亲，输入的购买金额不能少于0元哦!");
				return false;
			}
			if(Number(applysum)>1000000){
				$.UIAlert("亲，购买金额应小于一百万！");
				return false;
			}
			if(global.capsource == "1"){
				if(Number(global.usableShare) < Number(applysum)){
					$.UIAlert("亲，现金宝余额不足哦!");
					return false;
				}
			}
			if(global.bankInfo == "天天盈"){
					$.UIAlert("您好！APP暂不支持天天盈渠道!");
					return false;
			}
			var checkContract3 = $("#riskCCheck").UICheckBox("value");
			if(checkContract3 != "yes3"){
				$.UIAlert("请阅读并同意风险提示!");
				return false;
			}
			var checkContract2 = $("#checkContract2").UICheckBox("value");
			if($("#warningCheck").is(":visible")){//产品风险大于个人
				if (checkContract2 != "yes") {
					// $.doAlert($("#warningCContent").html()+"，请勾选以确认购买");
					$.UIAlert($("#warningCContent").html()+"，请勾选以确认购买");
					return false;
				}
			}
			return true;
		}


	};
	tradeBuyForm.init();
})
